<%@ page language="java" contentType="text/html; charset=UTF-8"
         pageEncoding="UTF-8" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@taglib prefix="app" tagdir="/WEB-INF/tags" %>
<!DOCTYPE html>
<html>
<head>
    <jsp:include page="../../include/assets.jsp"></jsp:include>
    <style>
        .form-group {
            margin-right: 50px;
            margin-bottom: 10px !important;
        }
    </style>
</head>

<body style="background-color: #ffffff">
<div id="wrapper">
    <c:if test="${empty hiddenLeft}">
    <jsp:include page="../../include/menu.jsp"></jsp:include>
    <div id="page-wrapper" class="gray-bg">
        <jsp:include page="../../include/nav.jsp"></jsp:include>
        <div class="row wrapper border-bottom white-bg page-heading">
            <div class="col-lg-10">
                <h2>活动上报</h2>
                <ol class="breadcrumb">
                    <li>
                        <a href="javascript:void(0);" style="cursor:default">首页</a>
                    </li>
                    <li>
                        <a href="javascript:void(0);" style="cursor:default">活动管理</a>
                    </li>
                    <li class="active">
                        <strong>活动上报</strong>
                    </li>
                </ol>
            </div>
            <div class="col-lg-2">
            </div>
        </div>
        </c:if>

        <!-- 主内容 -->
        <div class="wrapper wrapper-content animated fadeInRight">
            <div class="row">
                <div class="col-lg-12">
                    <div class="ibox float-e-margins">
                        <div class="ibox-title">
                            <h5>活动搜索</h5>
                            <div class="ibox-tools">
                                <a class="collapse-link">
                                    <i class="fa fa-chevron-up"></i>
                                </a>

                            </div>
                        </div>
                        <div class="ibox-content" style="padding-bottom:5px;">
                            <form class="form-inline" onsubmit="return false">
                                <input type="hidden" id="iProvince" name="province" value="${LOGIN_USER.province}">
                                <input type="hidden" id="iCity" name="city" value="${LOGIN_USER.city }">
                                <input type="hidden" id="iArea" name="area" value="${LOGIN_USER.area }">
                                <app:region></app:region>

                                <div class="form-group">
                                    <label for="addTime">创建日期：</label>
                                    <div class="input-daterange input-group" id="datepicker3">
                                        <input type="text" class="form-control" id="addTime" name="addTime" maxlength="10" placeholder="创建时间"/>
                                        <a class="input-group-addon" onclick="oTable.fnDraw();"><i class="fa fa-search"></i></a>
                                    </div>
                                </div>


                                <div class="form-group">
                                    <label for="startDate">活动日期：</label>
                                    <div class="input-daterange input-group" id="datepicker">
                                        <input type="text" class="form-control" id="startDate" name="startDate" maxlength="10" placeholder="开始时间"/>
                                        <span class="input-group-addon"> ~ </span>
                                        <input type="text" class="form-control" id="endDate" name="endDate" maxlength="10" placeholder="结束时间"/>
                                        <a class="input-group-addon" onclick="oTable.fnDraw();"><i class="fa fa-search"></i></a>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label for="approveStatus">上报状态：</label>
                                    <select name="approveStatus" class="form-control" id="approveStatus" onchange="oTable.fnDraw();">
                                        <option value="">全部状态</option>
                                        <option value="0">待审核</option>
                                        <option value="1">已上报</option>
                                    </select>
                                </div>
                                <div class="form-group">
                                    <label for="keywords">查询关键字：</label>
                                    <div class="input-group">
                                        <input id="keywords" name="keywords" type="text" class="form-control" maxlength="50" placeholder="输入关键词"/>
                                        <a id="searchBtn" class="input-group-addon" onclick="oTable.fnDraw();"><i class="fa fa-search"></i></a>
                                    </div>
                                </div>
                            </form>

                        </div>
                    </div>
                </div>
            </div>

            <div class="row">
                <div class="col-lg-12">
                    <div class="ibox float-e-margins">
                        <div class="ibox-title">
                            <h5>上报审核列表</h5>
                            <div class="ibox-tools">
                                <a class="collapse-link">
                                    <i class="fa fa-chevron-up"></i>
                                </a>

                            </div>
                        </div>
                        <div class="ibox-content">
                            <table id="dynamic-table" class="table table-striped table-bordered table-hover dataTables-example">
                                <thead>
                                <tr>
                                    <th>创建时间</th>
                                    <th>活动名称</th>
                                    <th>承办单位</th>
                                    <th>活动地址</th>
                                    <th>活动时间</th>
                                    <th>活动人数</th>
                                    <th>数据来源</th>
                                    <th>上报状态</th>
                                    <th>操作</th>
                                </tr>
                                </thead>
                                <tbody>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <jsp:include page="../../include/footer.jsp"></jsp:include>
    </div>
</div>

<%--<jsp:include page="detail.jsp"></jsp:include>--%>
<jsp:include page="../../include/scripts.jsp"></jsp:include>

<script type="text/javascript">

    $('#startDate,#endDate,#addTime').datetimepicker({
        minView: "month",//设置只显示到月份
        format : "yyyy-mm-dd",//日期格式
        autoclose:true,//选中关闭
        todayBtn: true//今日按钮
    });


    var cprovince = '${LOGIN_USER.province}';
    var ccity = '${LOGIN_USER.city}';
    var carea = '${LOGIN_USER.area}';

    function initSelect() {
        //初始化省市县下拉框状态
        switch (crlvl) {
            case "1":
                $("#province").attr("disabled", "disabled");
                break;
            case "2":
                $("#province,#city").attr("disabled", "disabled");
                break;
            case "3":
                $("#province,#city,#area").attr("disabled", "disabled");
                break;
        }
    }


    function submitActivity(rowNum) {
        if (null != rowNum) {
            var data = oTable.fnGetData(oTable.fnGetNodes()[rowNum]);
            layer.confirm('确定上报"' + data.fullName + '"活动吗?', {
                btn: ['确定', '取消']
            }, function () {
                $.ajax({
                    url: '<c:url value="/business/activity/action/submit/'+data.actionId+'"/>',
                    type: 'post',
                    dataType: 'json',
                    success: function (data) {
                        if (!data.successful) {
                            layer.msg(data.msg, {time: 1000, icon: 2});
                        }else{
                            oTable.fnDraw();
                            layer.msg(data.msg, {time: 1000, icon: 1});
                        }
                    }
                });
            });
        } else {
            layer.alert('参数错误!');
        }
    }

    $(function () {
        initQueryRegion();
        initQueryParam();
        oTable = $('#dynamic-table')
            .dataTable({
                "bAutoWidth": false,
                "bFilter": false,
                "bDestroy": true,
                "bServerSide": true,
                "bPaginate": true,
                "bLengthChange": false,
                "sAjaxSource": "<c:url value='/business/activity/action/findData.json'/>",
                "sAjaxDataProp": "data",
                "aLengthMenu": [10],
                "aoColumns": [
                    {"mDataProp": "addTime", "sClass": "text-center", "bSortable": false, "width": "10%"},
                    {"mDataProp": "fullName", "sClass": "text-left", "bSortable": false, "width": "17%"},
                    {"mDataProp": "sponsor", "sClass": "text-left", "bSortable": false, "width": "17%"},
                    {"mDataProp": "sponsorAddress", "sClass": "text-left", "bSortable": false, "width": "17%"},
                    {"mDataProp": "activityDate", "sClass": "text-center", "bSortable": false, "width": "10%"},
                    {"mDataProp": "activityNumber", "sClass": "text-center", "bSortable": false, "width": "7%"},
                    {"mDataProp": "dateLink", "sClass": "text-center", "bSortable": false, "width": "7%"},
                    {"mDataProp": "actionStatus", "sClass": "text-center", "bSortable": false, "width": "7%"},
                    {"mDataProp": "use", "sClass": "", "bSortable": false, "width": "8%"}
                ],
                "fnServerParams": function (aoData) {
                    rowNum = 0;
                    var sCity,sArea;
                    if ($("#sCity").length > 0) {
                        sCity = $("#sCity").val();
                    }
                    var sArea;
                    if ($("#sArea").length > 0) {
                        sArea = $("#sArea").val();
                    }
                    aoData.push(
                        {"name": "startDate", "value": $("#startDate").val()},
                        {"name": "endDate", "value": $("#endDate").val()},
                        {"name": "addTime", "value": $("#addTime").val()},
                        {"name": "sCity", "value": sCity},
                        {"name": "sArea", "value": sArea},
                        {"name": "approveStatus", "value": $("#approveStatus").val()},
                        {"name": "keywords", "value": $("#keywords").val()}
                    );
                },
                "fnDrawCallback": function (data) {
                    $("td").tooltip({
                        selector: "[data-toggle=tooltip]",
                        container: "body"
                    });
                },
                "aoColumnDefs": [
                    {
                        "aTargets": [0],
                        "mRender": function (tar, type, data) {
                            return data.addTime;
                        }
                    },
                    {
                        "aTargets": [1],
                        "mRender": function (tar, type, data) {
                            return data.fullName;
                        }
                    },
                    {
                        "aTargets": [2],
                        "mRender": function (tar, type, data) {
                            return data.sponsor;
                        }
                    },
                    {
                        "aTargets": [3],
                        "mRender": function (tar, type, data) {
                            if(data.areaName != null && data.areaName != '' ){
                                return data.cityName + " "+ data.areaName + " "+ data.address;
                            }
                            if(data.cityName != '' && data.cityName != null){
                                return data.cityName + " "+ data.address;
                            }
                            return '';
                        }
                    },
                    {
                        "aTargets": [4],
                        "mRender": function (tar, type, data) {
                            return data.startDate + " ~ "+ data.endDate;
                        }
                    },
                    {
                        "aTargets": [5],
                        "mRender": function (tar, type, data) {
                            return data.peakNumber;
                        }
                    },
                    {
                        "aTargets": [6],
                        "mRender": function (tar, type, data) {
                            return data.activityClass;
                        }
                    },
                    {
                        "aTargets": [7],
                        "mRender": function (tar, type, data) {
                            if(data.actionStatus == 0){
                                return "待审核";
                            }
                            return "已上报";
                        }
                    },
                    {
                        "aTargets": [8],
                        "mRender": function (tar, type, data) {
                            // var html = "<a class='btn btn-outline btn-primary btn-xs ml5' onclick='showDetailPanel(" + rowNum + ")'  >活动详情</a>   ";
                            var html = "<a class='btn btn-outline btn-primary btn-xs ml5' href='"+baseUrl+"/business/activity/action/detail/" + data.actionId + "'  >上报信息</a>   ";
                            if(data.actionStatus == 0){
                                html += "<a class='btn btn-outline btn-primary btn-xs ml5' onclick='submitActivity(" + rowNum + ")'>上报</a>";
                            }
                            rowNum++;
                            return html;
                        }
                    }

                ],
                "oLanguage": {
                    "sProcessing": "处理中...",
                    "sLengthMenu": "显示_MENU_ 项结果",
                    "sZeroRecords": "没有匹配结果",
                    "sInfo": " _START_ - _END_条记录，共_TOTAL_条",
                    "sInfoEmpty": "没有匹配结果",
                    "sInfoFiltered": "(由_MAX_项结果过滤)",
                    "sSearch": "搜索:",
                    "oPaginate": {
                        "sFirst": "首页",
                        "sPrevious": "上页",
                        "sNext": "下页",
                        "sLast": "末页"
                    }
                }
            });


        initRegion();
        $(document).keyup(function (event) {
            if (event.keyCode == 13) {
                $("#searchBtn").trigger("click");
            }
        });

    });

    function initRegion() {
        $("#province,#city").change(function (event) {
            var val = $(this).val();
            if ($(this).is("#province")) {
                $("#city,#area").empty();
                val == "0" || getRegion(val, "city");
            } else if ($(this).is("#city")) {
                $("#area").empty();
                val == "0" || getRegion(val, "area");
            }
        });
        //获取省数据
        getRegion(100000, 'province');
    }

    function getRegion(id, input) {
        $.ajax({
            url: "<c:url value='/business/getRegion/"+id+".json'/>",
            type: 'post',
            async: false,
            dataType: 'json',
            success: function (data) {
                if (input == 'province') {
                    $.each(data, function (index, d) {
                        if (d.id == cprovince) {
                            $("#" + input).append("<option value='" + d.id + "' selected>" + d.fullName + "</option>");
                            return false;
                        } else {
                            $("#" + input).append("<option value='" + d.id + "'>" + d.fullName + "</option>");
                        }
                    });
                    var val = $("#" + input).val();
                    if (val && val != "") {
                        getRegion(val, 'city');
                    }
                }
                if (input == 'city') {
                    $.each(data, function (index, d) {
                        if (d.id == ccity) {
                            $("#" + input).append("<option value='" + d.id + "' selected>" + d.fullName + "</option>");
                            return false;
                        } else {
                            $("#" + input).append("<option value='" + d.id + "'>" + d.fullName + "</option>");
                        }
                    });
                    var val = $("#" + input).val();
                    if (val && val != "") {
                        getRegion(val, 'area');
                    }
                }
                if (input == 'area') {
                    $.each(data, function (index, d) {
                        if (d.id == carea) {
                            $("#" + input).append("<option value='" + d.id + "' selected>" + d.fullName + "</option>");
                            return false;
                        } else {
                            $("#" + input).append("<option value='" + d.id + "'>" + d.fullName + "</option>");
                        }
                    });
                }
            }
        })
    }


    /**
     * 初始化查询参数
     */
    function initQueryParam(){
        var dataSource = '${dataSource}';
        if(dataSource != null && dataSource != ""){
            //选中活动类型
            var city = '${city}';
            var area = '${area}';
            $('#startDate').val('${startDate}');
            $('#endDate').val('${endDate}');
            if(city != null && city != ""){
                //选中市级
                $("#sCity").val(city);
            }
            if(area != null && area != "" &&  area != "null" && city != null && city != ""){
                $.ajax({
                    url: "${pageContext.request.contextPath }" + "/business/getRegion/" + city + ".json",
                    type: 'post',
                    async: false,
                    dataType: 'json',
                    success: function (data) {
                        $("#sArea").empty();
                        $("#sArea").append("<option value=''>全部区县</option>");
                        $(data).each(function (i, d) {
                            $("#sArea").append("<option value='" + d.id + "'>" + d.fullName + "</option>");
                        })
                        //选中区县级
                        $("#sArea").val(area);
                    }
                });
            }
        }
    }
</script>
<script>
    function openHistoryEnter() {
        layer.open({
            type: 2,
            title: '公安备案',
            shadeClose: false,
            scrollbar: false,
            shade: [0.8, '#393D49'],
            area: ['60%', '70%'],
            content: '${pageContext.request.contextPath }' + '/business/activity/history/enterReport'
            <%--content: '${pageContext.request.contextPath }' + '/business/activity/history/enterReportTab'--%>
        });
    }
</script>
</body>

</html>
