<%@ page language="java" contentType="text/html; charset=UTF-8"
         pageEncoding="UTF-8" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%>
<%@taglib prefix="app" tagdir="/WEB-INF/tags" %>
<!DOCTYPE html>
<html>
<head>
    <jsp:include page="../../anbao/include/assets.jsp"></jsp:include>
</head>

<body>
<div id="wrapper">
   <%-- <jsp:include page="../../anbao/include/menu.jsp"></jsp:include>
    <div id="page-wrapper" class="gray-bg">
        <jsp:include page="../../anbao/include/nav.jsp"></jsp:include>
        <div class="row wrapper border-bottom white-bg page-heading">
            <div class="col-lg-10">
                <h2>活动查看</h2>
                <ol class="breadcrumb">
                    <li>
                        <a href="javascript:void(0);" style="cursor:default">首页</a>
                    </li>
                    <li>
                        <a href="javascript:void(0);" style="cursor:default">活动管理</a>
                    </li>
                    <li class="active">
                        <strong>活动查看</strong>
                    </li>
                </ol>
            </div>
            <div class="col-lg-2">
            </div>
        </div>--%>

        <!-- 主内容 -->
        <div class="row">
            <div class="col-lg-10 col-lg-offset-1">
                <div class="ibox float-e-margins">
                    <div class="ibox-title">
                        <h5>活动详情</h5>
                        <div class="ibox-tools">
                            <a class="collapse-link">
                                <i class="fa fa-chevron-up"></i>
                            </a>
                        </div>
                    </div>
                    <div id="detail-activity-info-area">
                        <div class="ibox-content">
                            <div class="row">
                                <div class="col-lg-6">
                                    <dl class="dl-horizontal">
                                        <dt>活动名称</dt>
                                        <dd>${activity.fullName}</dd>
                                    </dl>
                                </div>
                                <div class="col-lg-6">
                                    <dl class="dl-horizontal">
                                        <dt>活动类型</dt>
                                        <dd>${activityType}</dd>
                                    </dl>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-lg-6">
                                    <dl class="dl-horizontal">
                                        <dt>举办地区</dt>
                                        <dd>${activity.provincename}${activity.cityname}${activity.areaname}</dd>
                                    </dl>
                                </div>
                                <div class="col-lg-6">
                                    <dl class="dl-horizontal">
                                        <dt>举办场地</dt>
                                        <dd>${activity.address}</dd>
                                    </dl>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-lg-6">
                                    <dl class="dl-horizontal">
                                        <dt>主办单位</dt>
                                        <dd>${activity.organizer}</dd>
                                    </dl>
                                </div>
                                <div class="col-lg-6">
                                    <dl class="dl-horizontal">
                                        <dt>承办单位</dt>
                                        <dd>${activity.sponsor}</dd>
                                    </dl>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-lg-6">
                                    <dl class="dl-horizontal">
                                        <dt>活动时间</dt>
                                        <dd>
                                            <fmt:formatDate value='${activity.startDate }' pattern='yyyy-MM-dd HH:mm:ss' />
                                            ~
                                            <fmt:formatDate value='${activity.endDate }' pattern='yyyy-MM-dd HH:mm:ss' />
                                    </dl>
                                </div>
                                <div class="col-lg-6">
                                    <dl class="dl-horizontal">
                                        <dt>活动期间单日最大参加人数</dt>
                                        <dd>${activity.number}</dd>
                                    </dl>
                                </div>
                            </div>
                            <div class="row">
                                <c:set var="stuff" value=""/>
                                <c:set var="stuffName" value="审批材料"/>
                                <c:set var="reportUrl" value=""/>
                                <c:choose>
                                    <c:when test="${activity.gov}">
                                        <c:set var="stuffName" value="报备材料"/>
                                        <c:if test="${not empty materialData.bpcl}">
                                            <c:set var="stuff" value="${materialData.bpcl}"/>
                                        </c:if>
                                    </c:when>
                                    <c:when test="${not empty materialData.bpcl}">
                                        <c:if test="${empty materialData.pgbg}">
                                            <c:set var="stuffName" value="审批材料"/>
                                        </c:if>
                                        <c:if test="${not empty materialData.pgbg}">
                                            <c:set var="stuffName" value="许可审批材料"/>
                                            <c:set var="reportUrl" value="${materialData.pgbg}"/>
                                        </c:if>
                                    </c:when>
                                    <c:otherwise>
                                        <c:set var="stuffName" value="审批材料"/>
                                    </c:otherwise>
                                </c:choose>
                                <div class="col-lg-6">
                                    <dl class="dl-horizontal">
                                        <dt>${stuffName}</dt>
                                        <dd>
                                            <c:if test="${not empty stuff}">
                                                <a href='<c:url value="${stuff}"/>&reName=${activity.name}-${stuffName}' style='font-size:16px;' class='fa fa-download'></a>
                                            </c:if>
                                            <c:if test="${empty stuff}">
                                                无
                                            </c:if>
                                        </dd>
                                    </dl>
                                </div>
                                <div class="col-lg-6">
                                    <dl class="dl-horizontal">
                                        <dt>评估报告</dt>
                                        <dd>
                                            <c:if test="${not empty reportUrl}">
                                                <a href='<c:url value="${reportUrl}"/>&reName=${activity.fullName}-评估报告' style='font-size:16px;' class='fa fa-download'></a>
                                            </c:if>
                                            <c:if test="${empty reportUrl}">
                                                无
                                            </c:if>
                                        </dd>
                                    </dl>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-lg-6">
                                    <dl class="dl-horizontal">
                                        <dt>检查表/监理报告</dt>
                                        <dd>
                                            <c:if test="${not empty material.jljcb}">
                                                <a href='<c:url value="${material.jljcb}"/>&reName=${activity.fullName}-检查表' style='font-size:16px;' class='fa fa-download'></a>
                                            </c:if>
                                        </dd>
                                    </dl>
                                </div>
                                <div class="col-lg-6">
                                    <dl class="dl-horizontal">
                                        <dt>监理报告</dt>
                                        <dd>
                                            <c:if test="${not empty material.jlbg}">
                                                <a href='<c:url value="${material.jlbg}"/>&reName=${activity.fullName}-监理报告' style='font-size:16px;' class='fa fa-download'></a>
                                            </c:if>
                                        </dd>
                                    </dl>
                                </div>
                            </div>
                            <div class="row">
                                <c:if test="${not empty material.slws}">
                                    <div class="col-lg-6" id="slpz-div">
                                        <dl class="dl-horizontal">
                                            <dt>${activity.approveStatus eq 'SL20'?"申请不予受理决定书":"安全许可申请受理凭证"}</dt>
                                            <dd>
                                                <a href='<c:url value="${material.slws}"/>&reName=${activity.fullName}-安全许可申请受理凭证' style='font-size:16px;' class='fa fa-download'></a>
                                            </dd>
                                        </dl>
                                    </div>
                                </c:if>
                                <c:if test="${not empty material.xkjds}">
                                    <div class="col-lg-6" id="xkjds-div">
                                        <dl class="dl-horizontal">
                                            <dt>${activity.approveStatus eq 'NO'?"不予安全许可决定书":"安全许可决定书"}</dt>
                                            <dd>
                                                <a href='<c:url value="${material.xkjds}"/>&reName=${activity.fullName}-安全许可决定书' style='font-size:16px;' class='fa fa-download'></a>
                                            </dd>
                                        </dl>
                                    </div>
                                </c:if>
                            </div>
                            <div class="row">
                                <c:if test="${not empty material.aqxkspb}">
                                    <div class="col-lg-6" id="aqxkspb-div">
                                        <dl class="dl-horizontal">
                                            <dt>安全许可审批表</dt>
                                            <dd>
                                                <a href='<c:url value="${material.aqxkspb}"/>&reName=${activity.fullName}-安全许可审批表' style='font-size:16px;' class='fa fa-download'></a>
                                            </dd>
                                        </dl>
                                    </div>
                                </c:if>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div id="detail-activityContractor-box" class="row">
            <div class="col-lg-10 col-lg-offset-1">
                <div class="ibox float-e-margins">
                    <div class="ibox-title">
                        <h5>承办方</h5>
                        <div class="ibox-tools">
                            <a class="collapse-link">
                                <i class="fa fa-chevron-up"></i>
                            </a>
                        </div>
                    </div>
                    <div id="detail-activityContractor-area">

                        <c:forEach items="${contractors}" var="activityContractor" varStatus="status">
                            <div class="ibox-content" id="detail-activityContractor">
                                <div class="row">
                                    <div class="col-lg-6">
                                        <dl class="dl-horizontal">
                                            <dt>承办单位</dt>
                                            <dd>${activityContractor.fullName}</dd>
                                        </dl>
                                    </div>
                                    <c:if test="${not empty activityContractor.address}">
                                    <div class="col-lg-6">
                                        <dl class="dl-horizontal">
                                            <dt>企业所在地</dt>
                                            <dd>${activityContractor.address}</dd>
                                        </dl>
                                    </div>
                                    </c:if>
                                </div>
                                <c:if test="${not empty activityContractor.contact}">
                                <div class="row">
                                    <div class="col-lg-6">
                                        <dl class="dl-horizontal">
                                            <dt>联系人</dt>
                                            <dd>${activityContractor.contact}</dd>
                                        </dl>
                                    </div>
                                    <div class="col-lg-6">
                                        <dl class="dl-horizontal">
                                            <dt>联系电话</dt>
                                            <dd>${activityContractor.companyPhone}</dd>
                                        </dl>
                                    </div>
                                </div>
                                </c:if>
                                <div class="row">
                                    <div class="col-lg-6">
                                        <dl class="dl-horizontal">
                                            <dt>活动承办经验年限</dt>
                                            <dd>${activityContractor.experienceYear}</dd>
                                        </dl>
                                    </div>
                                    <div class="col-lg-6">
                                        <dl class="dl-horizontal">
                                            <dt>单位性质</dt>
                                            <dd>${activityContractor.nature}</dd>
                                        </dl>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-lg-12">
                                        <dl class="dl-horizontal">
                                            <dt>单位简介</dt>
                                            <dd>${activityContractor.intro}</dd>
                                        </dl>
                                    </div>
                                </div>
                            </div>
                        </c:forEach>
                    </div>
                </div>
            </div>
        </div>
        <div class="wrapper wrapper-content animated fadeInRight">
            <div id="detail-approve-history-area" class="row">
                <div class="col-lg-10 col-lg-offset-1">
                    <div class="ibox float-e-margins">
                        <div class="ibox-title">
                            <h5>审批清单</h5>
                            <div class="ibox-tools">
                                <a class="collapse-link">
                                    <i class="fa fa-chevron-up"></i>
                                </a>
                            </div>
                        </div>
                        <div class="ibox-content inspinia-timeline">
                            <div class="ibox float-e-margins">
                                <div class="ibox-title"style="border: none;">
                                    <h5>初审</h5>
                                    <div class="ibox-tools">
                                        <a class="collapse-link">
                                            <i class="fa fa-chevron-up"></i>
                                        </a>
                                    </div>
                                </div>
                                <div id="first-approve-history" class="ibox-content inspinia-timeline">
                                    <c:forEach items="${historyList}" var="approveHistory" varStatus="historyStatus">
                                        <c:set var="approveType" value=""/>
                                        <c:if test="${approveHistory.approveType eq '10'}">
                                            <c:set var="approveType" value="${初审}"/>
                                            <div class="timeline-item" style="word-break: break-all;">
                                                <div class="row">
                                                    <div class="col-xs-1 date">
                                                        <i class="btn-circle   fa fa-pencil-square-o fa-inverse"></i>
                                                    </div>
                                                    <div class="col-xs-11 content no-top-border">
                                                        <p class="m-b-xs">
                                                            <strong>${approveHistory.userName}  ${approveHistory.content}</strong>
                                                            <small style="float: right" class="text-navy">
                                                                ${approveHistory.addTime}
                                                                <c:if test="${not empty approveHistory.elapsed && approveHistory.reset eq '0'}">
                                                                    /耗时${approveHistory.elapsed}
                                                                </c:if>
                                                            </small>
                                                        </p>
                                                        <table class="table table-bordered">
                                                            <tbody id="approve-table-${historyStatus.index}">
                                                            <c:if test="${not empty approveHistory.approve}">
                                                                <tr id="approveResult-${historyStatus.index}">
                                                                    <th class="col-lg-10" colspan="3">审批结果: <a class="${fn.toLowerCase(approveHistory.approve)}">${approveTypeMap[approveHistory.approve]}</a></th>
                                                                </tr>
                                                                <c:if test="${approveHistory.approve eq 'NO' or approveHistory.approve eq 'REJECT' or approveHistory.approve eq 'SL20'}">
                                                                    <tr id="opinion-${historyStatus.index}">
                                                                        <th class="col-lg-10" colspan="3">${approveTypeMap[approveHistory.approve]}意见: ${approveHistory.opinion}</th>
                                                                    </tr>
                                                                </c:if>
                                                            </c:if>
                                                            <c:if test="${empty approveHistory.approve and not empty approveHistory.opinion}">
                                                                <tr id="opinion2-${historyStatus.index}">
                                                                    <th class="col-lg-10" colspan="3">备注: ${approveHistory.opinion}</th>
                                                                </tr>
                                                            </c:if>
                                                            <c:if test="${not empty approveHistory.detailList}">
                                                                <c:forEach items="${approveHistory.detailList}" var="approveDetail">
                                                                    <tr>
                                                                        <th class="col-lg-10" colspan="3">检查时间：${empty approveDetail.checkDate ? "无":approveDetail.checkDate}</th>
                                                                    </tr>
                                                                    <tr>
                                                                        <th class="col-lg-10" colspan="3">检查情况：${empty approveDetail.situation ? "无":approveDetail.checkDate}</th>
                                                                    </tr>
                                                                    <tr>
                                                                        <th class="col-lg-10" colspan="3">检查材料：
                                                                            <c:if test="${not empty approveDetail.imgPath}">
                                                                                <c:forEach items="${fn:split(customerNames, '')}" var="imgPath" varStatus="imgIndex">
                                                                                    <c:if test="${imgIndex.index eq 0}">
                                                                                        <a onclick="viewInfoImgHasShade('<c:url value='${imgPath}'/>')">
                                                                                    </c:if>
                                                                                    <c:if test="${imgIndex.index ne 0}">
                                                                                        、<a onclick="viewInfoImgHasShade('<c:url value='${imgPath}'/>')">
                                                                                    </c:if>
                                                                                    <c:set value='${fn:replace(imgPath,"\\\\","/")}' var="imgPath"/>
                                                                                    ${fn:substringAfter(imgPath,'/')}
                                                                                    </a>
                                                                                </c:forEach>
                                                                            </c:if>
                                                                        </th>
                                                                    </tr>
                                                                </c:forEach>
                                                            </c:if>
                                                            </tbody>
                                                        </table>
                                                    </div>
                                                </div>
                                            </div>
                                            <c:if test="${approveHistory.finish eq '1'}">
                                                <div class="row">
                                                    <div class="col-xs-1 date">

                                                    </div>
                                                    <div class="col-xs-11 content no-top-border">
                                                        <p class="m-b-xs">
                                                        <h3 class="${fn.toLowerCase(approveHistory.approve)}">${approveType} ${approveHistory.approve eq 'YES' ? "通过":"拒绝"}</h3>
                                                        </p>
                                                    </div>
                                                </div>
                                            </c:if>
                                        </c:if>
                                    </c:forEach>

                                </div>
                            </div>

                            <div class="ibox float-e-margins">
                                <div class="ibox-title"style="border: none;">
                                    <h5>审批</h5>
                                    <div class="ibox-tools">
                                        <a class="collapse-link">
                                            <i class="fa fa-chevron-up"></i>
                                        </a>
                                    </div>
                                </div>
                                <div id="approve-history" class="ibox-content inspinia-timeline">
                                    <c:forEach items="${historyList}" var="approveHistory" varStatus="historyStatus">
                                        <c:set var="approveType" value=""/>
                                        <c:if test="${approveHistory.approveType eq '10'}">
                                            <c:set var="approveType" value="${审批}"/>
                                            <div class="timeline-item" style="word-break: break-all;">
                                                <div class="row">
                                                    <div class="col-xs-1 date">
                                                        <i class="btn-circle   fa fa-pencil-square-o fa-inverse"></i>
                                                    </div>
                                                    <div class="col-xs-11 content no-top-border">
                                                        <p class="m-b-xs">
                                                            <strong>${approveHistory.userName}  ${approveHistory.content}</strong>
                                                            <small style="float: right" class="text-navy">
                                                                    ${approveHistory.addTime}
                                                                <c:if test="${not empty approveHistory.elapsed && approveHistory.reset eq '0'}">
                                                                    /耗时${approveHistory.elapsed}
                                                                </c:if>
                                                            </small>
                                                        </p>
                                                        <table class="table table-bordered">
                                                            <tbody id="approve-table-${historyStatus.index}">
                                                            <c:if test="${not empty approveHistory.approve}">
                                                                <tr id="approveResult-${historyStatus.index}">
                                                                    <th class="col-lg-10" colspan="3">审批结果: <a class="${fn.toLowerCase(approveHistory.approve)}">${approveTypeMap[approveHistory.approve]}</a></th>
                                                                </tr>
                                                                <c:if test="${approveHistory.approve eq 'NO' or approveHistory.approve eq 'REJECT' or approveHistory.approve eq 'SL20'}">
                                                                    <tr id="opinion-${historyStatus.index}">
                                                                        <th class="col-lg-10" colspan="3">${approveTypeMap[approveHistory.approve]}意见: ${approveHistory.opinion}</th>
                                                                    </tr>
                                                                </c:if>
                                                            </c:if>
                                                            <c:if test="${empty approveHistory.approve and not empty approveHistory.opinion}">
                                                                <tr id="opinion2-${historyStatus.index}">
                                                                    <th class="col-lg-10" colspan="3">备注: ${approveHistory.opinion}</th>
                                                                </tr>
                                                            </c:if>
                                                            <c:if test="${not empty approveHistory.detailList}">
                                                                <c:forEach items="${approveHistory.detailList}" var="approveDetail">
                                                                    <tr>
                                                                        <th class="col-lg-10" colspan="3">检查时间：${empty approveDetail.checkDate ? "无":approveDetail.checkDate}</th>
                                                                    </tr>
                                                                    <tr>
                                                                        <th class="col-lg-10" colspan="3">检查情况：${empty approveDetail.situation ? "无":approveDetail.checkDate}</th>
                                                                    </tr>
                                                                    <tr>
                                                                        <th class="col-lg-10" colspan="3">检查材料：
                                                                            <c:if test="${not empty approveDetail.imgPath}">
                                                                            <c:forEach items="${fn:split(customerNames, '')}" var="imgPath" varStatus="imgIndex">
                                                                            <c:if test="${imgIndex.index eq 0}">
                                                                            <a onclick="viewInfoImgHasShade('<c:url value='${imgPath}'/>')">
                                                                                </c:if>
                                                                                <c:if test="${imgIndex.index ne 0}">
                                                                                、<a onclick="viewInfoImgHasShade('<c:url value='${imgPath}'/>')">
                                                                                </c:if>
                                                                                <c:set value='${fn:replace(imgPath,"\\\\","/")}' var="imgPath"/>
                                                                                    ${fn:substringAfter(imgPath,'/')}
                                                                            </a>
                                                                                </c:forEach>
                                                                                </c:if>
                                                                        </th>
                                                                    </tr>
                                                                </c:forEach>
                                                            </c:if>
                                                            </tbody>
                                                        </table>
                                                    </div>
                                                </div>
                                            </div>
                                            <c:if test="${approveHistory.finish eq '1'}">
                                                <div class="row">
                                                    <div class="col-xs-1 date">

                                                    </div>
                                                    <div class="col-xs-11 content no-top-border">
                                                        <p class="m-b-xs">
                                                        <h3 class="${fn.toLowerCase(approveHistory.approve)}">${approveType} ${approveHistory.approve eq 'YES' ? "通过":"拒绝"}</h3>
                                                        </p>
                                                    </div>
                                                </div>
                                            </c:if>
                                        </c:if>
                                    </c:forEach>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
       <%-- <jsp:include page="../../anbao/include/footer.jsp"></jsp:include>--%>
    </div>
</div>

<jsp:include page="../../anbao/include/detail.jsp"></jsp:include>
<jsp:include page="../../anbao/include/scripts.jsp"></jsp:include>

<script type="text/javascript">
    showApproveHistory("detail-approve-history-area",'${activity.oid}');
</script>
</body>

</html>
