<%@ page language="java" contentType="text/html; charset=UTF-8"
		 pageEncoding="UTF-8" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@taglib prefix="app" tagdir="/WEB-INF/tags" %>
<!DOCTYPE html>
<html>
<head>
	<jsp:include page="../../anbao/include/assets.jsp"></jsp:include>

	<style>
		.maxHeight_600{
			max-height: 600px;
		}

		.maxHeight_600 .layui-layer-content{
			max-height: 600px;
		}

		.maxHeight_600 .layui-layer-content iframe{
			max-height: 600px;
		}
	</style>
</head>

<body>
<div id="wrapper">
	<%--<jsp:include page="../../anbao/include/menu.jsp"></jsp:include>
	<div id="page-wrapper" class="gray-bg">
		<jsp:include page="../../anbao/include/nav.jsp"></jsp:include>
		<div class="row wrapper border-bottom white-bg page-heading">
			<div class="col-lg-10">
				<h2>人员配置统计</h2>
				<ol class="breadcrumb">
					<li>
						<a href="javascript:void(0);" style="cursor:default">首页</a>
					</li>
					<li>
						<a href="javascript:void(0);" style="cursor:default">统计中心</a>
					</li>
					<li class="active">
						<strong>人员配置统计</strong>
					</li>
				</ol>
			</div>
			<div class="col-lg-2">
			</div>
		</div>--%>

		<!-- 主内容 -->
		<div class="wrapper wrapper-content animated fadeInRight">
			<div class="row">
				<div class="col-lg-12">
					<div class="ibox float-e-margins">
						<div class="ibox-title">
							<h5>活动搜索</h5>
							<div class="ibox-tools">
								<a class="collapse-link">
									<i class="fa fa-chevron-up"></i>
								</a>
							</div>
						</div>
						<div class="ibox-content" style="padding-bottom:5px;">
							<form class="form-inline">
								<app:region></app:region>
							</form>
						</div>
					</div>
				</div>
			</div>
			<div class="row">
				<div class="col-lg-12">
					<div class="ibox float-e-margins">
						<div class="ibox-content">
							<table id="dynamic-table" class="table table-striped table-bordered table-hover dataTables-example">
								<thead>
								<tr>
									<th style="min-width: 86px">公安机构</th>
									<th>全权限人员账号</th>
									<th>管理员账号</th>
									<th style="min-width: 76px">审批人员账号</th>
									<th style="min-width: 100px;">审批角色数</th>
									<th style="min-width: 100px;">审批流程数</th>
								</tr>
								</thead>
								<tbody>
								</tbody>
							</table>
						</div>
					</div>
				</div>
			</div>
		</div>
		<%--<jsp:include page="../../anbao/include/footer.jsp"></jsp:include>--%>
	</div>
</div>


<jsp:include page="../../anbao/include/scripts.jsp"></jsp:include>

<script type="text/javascript">

    $(function () {
        initQueryRegion();

        oTable = $('#dynamic-table')
            .dataTable({
                "bAutoWidth": false,
                "bFilter": false,
                "bDestroy": true,
                "bServerSide": true,
                "bPaginate": true,
                "bLengthChange": false,
                "sAjaxSource": "<c:url value='/thirdBusiness/anBaoUser/summarySearch.json?access_token=${access_token}'/>",
                "sAjaxDataProp": "data",
                "aLengthMenu": [10],
                "aoColumns": [
                    {"mDataProp": "orgName", "sClass": "text-center", "bSortable": false},
                    {"mDataProp": "adminApproveCount", "sClass": "text-center", "bSortable": false},
                    {"mDataProp": "adminCount", "sClass": "text-center", "bSortable": false},
                    {"mDataProp": "approveCount", "sClass": "text-center", "bSortable": false},
                    {"mDataProp": "approveRoleCount", "sClass": "text-center", "bSortable": false},
                    {"mDataProp": "workFlowCount", "sClass": "text-center", "bSortable": false}
                ],
                "fnServerParams": function (aoData) {
                    aoData.push(
                        {"name": "city", "value": $("#sCity").val()},
                        {"name": "area", "value": $("#sArea").val()}
                    );
                },
                "fnDrawCallback": function (data) {
                    $("td").tooltip({
                        selector: "[data-toggle=tooltip]",
                        container: "body"
                    });
                },
                "aoColumnDefs": [
                    {
                        "aTargets": [0],
                        "mRender": function (tar, type, data) {
                            return data.orgName || "";
                        }
                    },
                    {
                        "aTargets": [1],
                        "mRender": function (tar, type, data) {
                            var btnFn = "showUserModal('"+data.areaCode+"','ADMIN_APPROVE');"
                            var btnHtml = '<a onclick="'+btnFn+'">'+data.adminApproveCount || '0'+'</a>';
                            return btnHtml;
                        }
                    },
                    {
                        "aTargets": [2],
                        "mRender": function (tar, type, data) {
                            var btnFn = "showUserModal('"+data.areaCode+"','ADMIN');"
                            var btnHtml = '<a onclick="'+btnFn+'">'+data.adminCount || '0'+'</a>';
                            return btnHtml;
                        }
                    },
                    {
                        "aTargets": [3],
                        "mRender": function (tar, type, data) {
                            var btnFn = "showUserModal('"+data.areaCode+"','APPROVE');"
                            var btnHtml = '<a onclick="'+btnFn+'">'+data.approveCount || '0'+'</a>';
                            return btnHtml;
                        }
                    },
                    {
                        "aTargets": [4],
                        "mRender": function (tar, type, data) {
                            var btnFn = "showRoleModal('"+data.areaCode+"');"
                            var btnHtml = '<a onclick="'+btnFn+'">'+data.approveRoleCount || '0'+'</a>';
                            return btnHtml;
                        }
                    },
                    {
                        "aTargets": [5],
                        "mRender": function (tar, type, data) {
                            var btnFn = "showWorkFlowModal('"+data.areaCode+"');"
                            var btnHtml = '<a onclick="'+btnFn+'">'+data.workFlowCount || '0'+'</a>';
                            return btnHtml;
                        }
                    }
                ],
                "oLanguage": {
                    "sProcessing": "处理中...",
                    "sLengthMenu": "显示_MENU_ 项结果",
                    "sZeroRecords": "没有匹配结果",
                    "sInfo": " _START_ - _END_条记录，共_TOTAL_条",
                    "sInfoEmpty": "没有匹配结果",
                    "sInfoFiltered": "(由_MAX_项结果过滤)",
                    "sSearch": "搜索:",
                    "oPaginate": {
                        "sFirst": "首页",
                        "sPrevious": "上页",
                        "sNext": "下页",
                        "sLast": "末页"
                    }
                }
            });

        $(document).keyup(function (event) {
            if (event.keyCode == 13) {
                $("#searchBtn").trigger("click");
            }
        });
    });

    function showUserModal(areaCode,role){
        layer.open({
            type: 2,
            title: '用户列表',
            skin:"maxHeight_600",
            shadeClose: false,
            scrollbar: false,
            shade: [0.8, '#393D49'],
            area: ['800px'],
            offset: 't',
            content: baseUrl + '/thirdBusiness/anBaoUser/userModal?access_token=${access_token}&active=1&areaCode=' + areaCode+"&role="+role
        });
    }

    function showRoleModal(areaCode){
        layer.open({
            type: 2,
            title: '角色列表',
            shadeClose: false,
            scrollbar: false,
            skin:"maxHeight_600",
            shade: [0.8, '#393D49'],
            area:['800px'],
            offset: 't',
            content: baseUrl + '/thirdBusiness/anBaoApproveRole/approveRoleModal?access_token=${access_token}&areaCode=' + areaCode
        });
    }

    function showWorkFlowModal(areaCode){
        layer.open({
            type: 2,
            title: '流程列表',
            shadeClose: false,
            scrollbar: false,
            skin:"maxHeight_600",
            shade: [0.8, '#393D49'],
            area: ['800px'],
            offset: 't',
            content: baseUrl + '/thirdBusiness/anBaoWorkflow/workflowModal?access_token=${access_token}&areaCode=' + areaCode
        });
    }
</script>
</body>

</html>
