<%@ page language="java" contentType="text/html; charset=UTF-8"
         pageEncoding="UTF-8"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%>
<!DOCTYPE html>
<html>
<head>
    <jsp:include page="../../anbao/include/assets.jsp"></jsp:include>
</head>

<body>
<div id="wrapper">
    <%-- <jsp:include page="../../anbao/include/menu.jsp"></jsp:include>
     <div id="page-wrapper" class="gray-bg">
         <jsp:include page="../../anbao/include/nav.jsp"></jsp:include>
         <div class="row wrapper border-bottom white-bg page-heading">
             <div class="col-lg-10">
                 <h2>审批规模配置</h2>
                 <ol class="breadcrumb">
                     <li>
                         <a href="javascript:void(0);" style="cursor:default">首页</a>
                     </li>
                     <li>
                         <a href="javascript:void(0);" style="cursor:default">系统配置</a>
                     </li>
                     <li class="active">
                         <strong>审批规模配置</strong>
                     </li>
                 </ol>
             </div>
             <div class="col-lg-2">
             </div>
         </div>--%>

        <!-- 主内容 -->
        <div class="wrapper wrapper-content animated fadeInRight">
            <div class="row">
                <div class="col-lg-12">
                    <div class="ibox float-e-margins">
                        <div class="ibox-title">
                            <div class="ibox-tools">
                                <a class="collapse-link">
                                    <i class="fa fa-chevron-up"></i>
                                </a>
                            </div>
                        </div>
                        <div class="ibox-content">
                            <table id="dynamic-table" class="table table-striped table-bordered table-hover dataTables-example" >
                                <thead>
                                <tr>
                                    <th>区域编码</th>
                                    <th>区域名称</th>
                                    <th>审批人数阀值</th>
                                    <th>操作</th>
                                </tr>
                                </thead>
                                <tbody>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
       <%-- <jsp:include page="../../anbao/include/footer.jsp"></jsp:include>--%>
    </div>
</div>

<div class="modal inmodal" id="update-approveLimit" tabindex="-1" role="dialog" aria-hidden="true" style="z-index:101">
    <div class="modal-dialog modal-lg">
        <div class="modal-content animated bounceInRight">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
                <i class="fa fa-laptop modal-icon"></i>
                <h4 class="modal-title" id="modeltitle">修改审批规模</h4>
                <br/>
                <small class="font-bold" style="color: red">
                    一、如果当前修改区域为省级，活动人数超过此阀值将由省级审批，低于此阀值由市级审批
                </small>
                <br/>
                <small class="font-bold" style="color: red">
                    二、如果当前修改区域为市级，活动人数超过此阀值将由市级审批，低于此阀值由区县审批
                </small>
            </div>
            <form id="update-from" class="form-horizontal">
                <input type="hidden" id="regionId" name="regionId" value=""/>
                <div class="modal-body">
                    <div class="row">
                        <div class="col-sm-12">
                            <div class="form-group">
                                <label class="col-sm-4 control-label">区域名称</label>
                                <div class="col-sm-8">
                                    <input id="regionName" name="regionName" class="form-control" readonly/>
                                </div>
                            </div>
                            <div class="hr-line-dashed"></div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-sm-12">
                            <div class="form-group">
                                <label class="col-sm-4 control-label">审批人数规模<span style="color: red">*</span></label>
                                <div class="col-sm-8">
                                    <input id="approveLimit" name="approveLimit" class="form-control" type="number" required/>
                                </div>
                            </div>
                            <div class="hr-line-dashed"></div>
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-white" data-dismiss="modal">取 消</button>
                    <button type="submit" class="btn btn-primary" onclick="createOrUpdate()">保 存</button>
                </div>
            </form>
        </div>
    </div>
</div>

<jsp:include page="../../anbao/include/scripts.jsp"></jsp:include>

<script type="text/javascript">

    function createOrUpdate() {
        $('#update-from').unbind('submit');
        $('#update-from').submit(function(){
            $(this).ajaxSubmit({
                type: 'post',
                url: '<c:url value="/thirdBusiness/anBaoApprovelimit/update.json?access_token=${access_token}"/>',
                success: function(data) {
                    oTable.fnDraw();
                },
                completed: function() {
                }
            });
            $("#update-approveLimit").modal('hide');
        });
    }

    function updatePanel(rowNum) {
        $("#update-approveLimit").modal();
        if(null != rowNum) {
            var data = oTable.fnGetData(oTable.fnGetNodes()[rowNum]);
            $("#regionId").val(data.regionId);
            $("#regionName").val(data.regionName);
            $("#approveLimit").val(data.approveLimit);
        }
        $(".has-error").each(function(i, e) {
            $(e).removeClass("has-error");
        });
    }

    $(document).ready(function(){
        oTable = $('#dynamic-table')
            .dataTable({
                "bAutoWidth": false,
                "bFilter": false,
                "bDestroy":true,
                "bServerSide":true,
                "bPaginate":true,
                "bLengthChange":false,
                "sAjaxSource": "<c:url value='/thirdBusiness/anBaoApprovelimit/findData.json?access_token=${access_token}'/>",
                "sAjaxDataProp": "data",
                "aLengthMenu": [20],
                "aoColumns": [
                    { "mDataProp": "regionId","sClass":"text-center","bSortable": false},
                    { "mDataProp": "regionName","sClass":"text-center","bSortable": false},
                    { "mDataProp": "approveLimit","sClass":"text-center","bSortable": false}
                ],
                "fnServerParams" : function (aoData) {
                    rowNum = 0;
                },
                "fnDrawCallback": function(data) {
                    $("td").tooltip({
                        selector: "[data-toggle=tooltip]",
                        container: "body"
                    });
                },
                "aoColumnDefs": [
                    {"aTargets":[0],
                        "mRender":function(tar,type,data){
                            return data.regionId;
                        }
                    },
                    {"aTargets":[1],
                        "mRender":function(tar,type,data){
                            return data.regionName;
                        }
                    },
                    {"aTargets":[2],
                        "mRender":function(tar,type,data){
                            return data.approveLimit;
                        }
                    },
                    {"aTargets":[3],
                        "mRender":function(tar,type,data){
                            var html = "<a class='fa fa-edit' style='font-size:16px;' onclick='updatePanel("+rowNum+")' data-toggle='tooltip' data-placement='top' title='修改'></a>&nbsp;";
                            rowNum++;
                            return html;
                        }
                    }
                ],
                "oLanguage": {
                    "sProcessing":   "处理中...",
                    "sLengthMenu":   "显示_MENU_ 项结果",
                    "sZeroRecords":  "没有匹配结果",
                    "sInfo":         " _START_ - _END_条记录，共_TOTAL_条",
                    "sInfoEmpty":    "没有匹配结果",
                    "sInfoFiltered": "(由_MAX_项结果过滤)",
                    "sSearch":       "搜索:",
                    "oPaginate": {
                        "sFirst": "首页",
                        "sPrevious": "上页",
                        "sNext": "下页",
                        "sLast": "末页"
                    }
                }
            });
    });

</script>
</body>

</html>
