<%@ page language="java" contentType="text/html; charset=UTF-8"
         pageEncoding="UTF-8" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@taglib prefix="app" tagdir="/WEB-INF/tags" %>
<!DOCTYPE html>
<html>
<head>
    <style>
        #selectRegion select {
            width: 150px;
            display: inline-block;
            float: left;
            margin-left: 5px;
        }
    </style>
    <jsp:include page="../../include/assets.jsp"></jsp:include>
</head>

<body style="background-color: #ffffff">
<div id="wrapper">
    <c:if test="${empty hiddenLeft}">
    <jsp:include page="../../include/menu.jsp"></jsp:include>
    <div id="page-wrapper" class="gray-bg">
        <jsp:include page="../../include/nav.jsp"></jsp:include>
        <div class="row wrapper border-bottom white-bg page-heading">
            <div class="col-lg-10">
                <h2>编号记录</h2>
                <ol class="breadcrumb">
                    <li>
                        <a href="javascript:void(0);" style="cursor:default">首页</a>
                    </li>
                    <li>
                        <a href="javascript:void(0);" style="cursor:default">系统配置</a>
                    </li>
                    <li class="active">
                        <strong>编号记录</strong>
                    </li>
                </ol>
            </div>
            <div class="col-lg-2">
            </div>
        </div>
        </c:if>

        <!-- 主内容 -->
        <div class="wrapper wrapper-content animated fadeInRight">
            <div class="row">
                <div class="col-lg-12">
                    <div class="ibox float-e-margins">
                        <div class="ibox-title">
                            <h5>编号查询</h5>
                            <div class="ibox-tools">
                                <a class="collapse-link">
                                    <i class="fa fa-chevron-up"></i>
                                </a>

                            </div>
                        </div>
                        <div class="ibox-content" style="padding-bottom:5px;">
                            <form class="form-inline m-b">

                                <div class="form-group" style="padding-top: 10px;">
                                    <label for="startDate">举办地区：</label>
                                    <div class="input-daterange input-group">
                                        <div id="selectRegion">
                                            <select id="regionProvince" class="form-control"
                                                    onchange="loadCity(this.value)">
                                            </select>
                                            <select id="regionCity" class="form-control"
                                                    onchange="loadArea(this.value)">
                                            </select>
                                            <select id="regionArea" class="form-control">
                                            </select>
                                        </div>
                                        <a id="searchBtn1" class="input-group-addon" onclick="oTable.fnDraw();"><i
                                                class="fa fa-search"></i></a>
                                    </div>
                                </div>


                                <div class="form-group">
                                    <label for="keywords">查询关键字：</label>
                                    <div class="input-group">
                                        <input id="keywords" name="keywords" type="text" class="form-control"
                                               maxlength="50" placeholder="输入关键词"/>
                                        <a id="searchBtn" class="input-group-addon" onclick="oTable.fnDraw();"><i
                                                class="fa fa-search"></i></a>
                                    </div>
                                </div>

                                <div class="form-group">
                                    <label for="startDate">操作时间：</label>
                                    <div class="input-daterange input-group">
                                        <input type="text" class="form-control" id="startDate" name="startDate"
                                               maxlength="10" placeholder="开始时间"/>
                                        <span class="input-group-addon"> ~ </span>
                                        <input type="text" class="form-control" id="endDate" name="endDate"
                                               maxlength="10" placeholder="结束时间"/>
                                        <a class="input-group-addon" onclick="oTable.fnDraw();"><i
                                                class="fa fa-search"></i></a>
                                    </div>
                                    <button type="button" id="clearBtn" lay-submit lay-filter="layedit-link-yes" class="layui-btn" style="height: 38px">清除</button>
                                </div>
                            </form>

                        </div>
                    </div>
                </div>
            </div>

            <div class="row">
                <div class="col-lg-12">
                    <div class="ibox float-e-margins">
                        <div class="ibox-title">
                            <h5>编号记录</h5>
                            <div style="text-align:right">
                                <a style="margin-right: 100px" onclick="exportFileNumber()" role="button">导出审批结果文件</a>
                            </div>
                        </div>
                        <div class="ibox-content">
                            <table id="dynamic-table"
                                   class="table table-striped table-bordered table-hover dataTables-example">
                                <thead>
                                <tr>
                                    <th>地区</th>
                                    <th>生成文件</th>
                                    <th>生成时间</th>
                                    <th>生成编号</th>
                                    <th>操作人员</th>
                                </tr>
                                </thead>
                                <tbody>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <jsp:include page="../../include/footer.jsp"></jsp:include>
    </div>
</div>

<jsp:include page="../../include/scripts.jsp"></jsp:include>

<script type="text/javascript">


    /*导出Excel*/
    function exportFileNumber() {
        var province = $("#regionProvince").val();
        var city = $("#regionCity").val();
        var area = $("#regionArea").val();
        var keywords = $("#keywords").val();
        var startDate = $("#startDate").val();
        var endDate = $("#endDate").val();
        var baseUrl = '${pageContext.request.contextPath }';
        var newUrl = baseUrl + "/business/fileNumber/exportFileNumber?province=" + province + "&city=" + city + "&area=" + area
            + "&keywords=" + keywords + "&startDate=" + startDate + "&endDate=" + endDate;
        window.open(newUrl);
    }


    $('#startDate,#endDate').datetimepicker({
        minView: "month",//设置只显示到月份
        format: "yyyy-mm-dd",//日期格式
        autoclose: true,//选中关闭
        todayBtn: true//今日按钮
    });

    $(function () {
        oTable = $('#dynamic-table')
            .dataTable({
                "bAutoWidth": false,
                "bFilter": false,
                "bDestroy": true,
                "bServerSide": true,
                "bPaginate": true,
                "bLengthChange": false,
                "sAjaxSource": "<c:url value='/business/fileNumber/fileNumberList.json'/>",
                "sAjaxDataProp": "data",
                "aLengthMenu": [10],
                "aoColumns": [
                    {"mDataProp": "areaName", "sClass": "", "bSortable": false},
                    {"mDataProp": "fileName", "sClass": "text-center", "bSortable": false},
                    {"mDataProp": "addTime", "sClass": "text-center", "bSortable": false},
                    {"mDataProp": "fileNumber", "sClass": "", "bSortable": false},
                    {"mDataProp": "userName", "sClass": "text-center", "bSortable": false}
                ],
                "fnServerParams": function (aoData) {
                    rowNum = 0;
                    aoData.push(
                        {"name": "keywords", "value": $("#keywords").val()},
                        {"name": "province", "value": $("#regionProvince").val()},
                        {"name": "city", "value": $("#regionCity").val()},
                        {"name": "area", "value": $("#regionArea").val()},
                        {"name": "startDate", "value": $("#startDate").val()},
                        {"name": "endDate", "value": $("#endDate").val()}
                    );
                },
                "fnDrawCallback": function (data) {
                    $("td").tooltip({
                        selector: "[data-toggle=tooltip]",
                        container: "body"
                    });
                },
                "aoColumnDefs": [
                    {
                        "aTargets": [0],
                        "mRender": function (tar, type, data) {
                            return data.province + '-' + data.city + (data.area == null ? "" : (data.area == "" ? "" : "-" + data.area));
                        }
                    },
                    {
                        "aTargets": [1],
                        "mRender": function (tar, type, data) {
                            return data.fileName;
                        }
                    },
                    {
                        "aTargets": [2],
                        "mRender": function (tar, type, data) {
                            return data.addTime;
                        }
                    },
                    {
                        "aTargets": [3],
                        "mRender": function (tar, type, data) {
                            return data.fileNumber;
                        }
                    },
                    {
                        "aTargets": [4],
                        "mRender": function (tar, type, data) {
                            return data.realName
                        }
                    }
                ],
                "oLanguage": {
                    "sProcessing": "处理中...",
                    "sLengthMenu": "显示_MENU_ 项结果",
                    "sZeroRecords": "没有匹配结果",
                    "sInfo": " _START_ - _END_条记录，共_TOTAL_条",
                    "sInfoEmpty": "没有匹配结果",
                    "sInfoFiltered": "(由_MAX_项结果过滤)",
                    "sSearch": "搜索:",
                    "oPaginate": {
                        "sFirst": "首页",
                        "sPrevious": "上页",
                        "sNext": "下页",
                        "sLast": "末页"
                    }
                }
            });

        $(document).keyup(function (event) {
            if (event.keyCode == 13) {
                $("#searchBtn").trigger("click");
            }
        });

        //清空注册时间
        $('#clearBtn').click(function () {
            $('#startDate').val("");
            $('#endDate').val("");
            oTable.fnDraw();
        });

    });

</script>


<script>

    var crlvl = '${LOGIN_USER.regionLevel}';
    var cprovince = '${LOGIN_USER.province}';
    var ccity = '${LOGIN_USER.city}';
    var carea = '${LOGIN_USER.area}';

    $(function () {
        loadProvince();
        loadCity(null);
        loadArea(null);

        if (cprovince != '') {
            $("#regionProvince").val(cprovince);
            $("#regionProvince").attr("disabled", "disabled");
            loadCity(cprovince);
        }
        if (ccity != '') {
            $("#regionCity").val(ccity);
            $("#regionCity").attr("disabled", "disabled");
            loadArea(ccity)
        }
        if (carea != '') {
            $("#regionArea").val(carea);
            $("#regionArea").attr("disabled", "disabled");
        }
    });

    function loadProvince() {
        var provinceId = '100000';
        if (provinceId == '' || provinceId == null) {
            $("#regionProvince").empty();
            $("#regionProvince").append("<option value=''>全部省份</option>");
            return;
        }
        $.ajax({
            url: "<c:url value='/business/getRegion/' />" + provinceId,
            type: 'post',
            async: false,
            dataType: 'json',
            success: function (data) {
                $("#regionProvince").empty();
                $("#regionProvince").append("<option value=''>全部省份</option>");
                $(data).each(function (i, d) {
                    $("#regionProvince").append("<option value='" + d.id + "'>" + d.fullName + "</option>");
                })
            }
        });
    }

    function loadCity(provinceId) {
        debugger
        if (provinceId == null || provinceId == '') {
            $("#regionCity").empty();
            $("#regionCity").append("<option value=''>全部城市</option>");
            loadArea(null);
            return;
        }
        $.ajax({
            url: "<c:url value='/business/getRegion/' />" + provinceId,
            type: 'post',
            async: false,
            dataType: 'json',
            success: function (data) {
                $("#regionCity").empty();
                $("#regionCity").append("<option value=''>全部城市</option>");
                $(data).each(function (i, d) {
                    $("#regionCity").append("<option value='" + d.id + "'>" + d.fullName + "</option>");
                })
            }
        });

        loadArea(null);
    }

    function loadArea(cityId) {
        if (cityId == null || cityId == '') {
            $("#regionArea").empty();
            $("#regionArea").append("<option value=''>全部区县</option>");
            return;
        }
        $.ajax({
            url: "<c:url value='/business/getRegion/' />" + cityId,
            type: 'post',
            async: false,
            dataType: 'json',
            success: function (data) {
                $("#regionArea").empty();
                $("#regionArea").append("<option value=''>全部区县</option>");
                $(data).each(function (i, d) {
                    $("#regionArea").append("<option value='" + d.id + "'>" + d.fullName + "</option>");
                })
            }
        });
    }
</script>

</body>

</html>
