<%@ page language="java" contentType="text/html; charset=UTF-8"
         pageEncoding="UTF-8" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib prefix="fns" uri="/WEB-INF/jsp/tld/fns.tld" %>
<%@ taglib prefix="app" tagdir="/WEB-INF/tags" %>
<!DOCTYPE html>
<html>
<head>
    <jsp:include page="../../include/assets.jsp"></jsp:include>
<%--    <script type="text/javascript" src="${pageContext.request.contextPath }/js/jquery-1.11.1.min.js"></script>--%>
    <script type="text/javascript" src="${pageContext.request.contextPath }/js/plugins/juicer/juicer-min.js"></script>
    <base href="<c:url value='/' />"/>
    <style>
        input[type=file] {
            display: none !important;
        }

        .yes,.sl30{
            color: green;
        }

        .no,.reject,.sl20{
            color: red;
        }

        .timeline-item .content {
            min-height: auto !important;
        }

        .modal-content .ibox{
            margin-bottom: 0px;
        }
        .ml5{
            margin-left: 5px;
        }

        .riskTip .layui-layer-btn .layui-layer-btn0{
            border-color: #1ab394;
            color: #1ab394;
            background-color: #fff;
            border-radius: 3px;
        }

        .riskTip .layui-layer-btn .layui-layer-btn1{
            background-color: #1ab394;
            border-color: #1ab394;
            color: #fff;
            border-radius: 3px;
        }

        .riskTip .layui-layer-content{
            margin: 10px 10px;
        }
        .form-group {
            margin-bottom: 10px !important;
            margin-right: 50px;
        }
        .hideBtn{
            display: none !important;
        }
    </style>
</head>

<body style="background-color: #ffffff">
<div id="wrapper">
    <c:if test="${empty hiddenLeft}">
    <jsp:include page="../../include/menu.jsp"></jsp:include>
    <div id="page-wrapper" class="gray-bg">
        <jsp:include page="../../include/nav.jsp"></jsp:include>
        <div class="row wrapper border-bottom white-bg page-heading">
            <div class="col-lg-10">
                <h2>企业管理</h2>
                <ol class="breadcrumb">
                    <li>
                        <a href="javascript:void(0);" style="cursor:default">首页</a>
                    </li>
                    <li>
                        <a href="javascript:void(0);" style="cursor:default">企业管理</a>
                    </li>
                    <li class="active">
                        <strong>服务商管理</strong>
                    </li>
                </ol>
            </div>
            <div class="col-lg-2">
            </div>
        </div>
        </c:if>
        <!-- 主内容 -->
        <div class="wrapper wrapper-content animated fadeInRight">
            <div class="row">
                <div class="col-lg-12">
                    <div class="ibox float-e-margins">
                        <div class="ibox-title">
                            <h5>企业检索</h5>
                            <div class="ibox-tools">
                                <a class="collapse-link">
                                    <i class="fa fa-chevron-up"></i>
                                </a>

                            </div>
                        </div>
                        <div class="ibox-content" style="padding-bottom:5px;">
                            <form class="form-inline" onsubmit="return false">
                                <div class="form-group">
                                    <label for="assessmentType">服务商类型：</label>
                                    <select id="assessmentType" class="form-control" onchange="oTable.fnDraw();">
                                        <option value="">全部类型</option>
                                        <option value="1">风险评估机构</option>
                                        <option value="2">安保公司</option>
                                    </select>
                                </div>
                                <div class="form-group" style="padding-top: 10px;">
                                    <label for="regionProvince">举办地区：</label>
                                    <div class="input-daterange input-group">
                                        <div id="selectRegion">
                                            <select id="regionProvince" class="form-control"
                                                    onchange="loadCity('regionCity','regionArea',this.value)">
                                            </select>
                                            <select id="regionCity" class="form-control"
                                                    onchange="loadArea('regionArea',this.value)">
                                            </select>
                                            <select id="regionArea" class="form-control">
                                            </select>
                                        </div>
                                        <a id="searchBtn1" class="input-group-addon" onclick="oTable.fnDraw();"><i
                                                class="fa fa-search"></i></a>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label for="keywords">统一社会信用代码：</label>
                                    <div class="input-group">
                                        <input id="organizationCode" type="text" class="form-control" maxlength="50" placeholder="输入关键词"/>
                                        <a class="input-group-addon" onclick="oTable.fnDraw();"><i class="fa fa-search"></i></a>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label for="keywords">企业联系方式：</label>
                                    <div class="input-group">
                                        <input id="phone" type="text" class="form-control" maxlength="50" placeholder="输入手机"/>
                                        <a class="input-group-addon" onclick="oTable.fnDraw();"><i class="fa fa-search"></i></a>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label for="startDate">申请时间：</label>
                                    <div class="input-daterange input-group" id="datepicker">
                                        <input type="text" class="form-control" id="startDate" name="startDate" maxlength="10" placeholder="开始时间"/>
                                        <span class="input-group-addon"> ~ </span>
                                        <input type="text" class="form-control" id="endDate" name="endDate" maxlength="10" placeholder="结束时间"/>
                                        <a class="input-group-addon" onclick="oTable.fnDraw();"><i class="fa fa-search"></i></a>
                                    </div>
                                    <button type="button" id="dateBtn" lay-submit lay-filter="layedit-link-yes" class="btn-white btn-sm">清除</button>
                                </div>
                                <div class="form-group">
                                    <label for="keywords">查询关键字：</label>
                                    <div class="input-group">
                                        <input id="keywords" name="keywords" type="text" class="form-control" maxlength="50" placeholder="输入关键词"/>
                                        <a id="searchBtn" class="input-group-addon" onclick="oTable.fnDraw();"><i class="fa fa-search"></i></a>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-lg-12">
                    <div class="ibox float-e-margins">
                        <div class="ibox-title">
                            <h5>服务商列表</h5>
                            <div class="ibox-tools">
                                <%--<button type="button" style="margin-top: -9px;" class="btn btn-info" onclick="showAddPanel()">新增企业</button>--%>
                                <a class="collapse-link">
                                    <i class="fa fa-chevron-up"></i>
                                </a>

                            </div>
                        </div>
                        <div class="ibox-content">
                            <table id="dynamic-table" class="table table-striped table-bordered table-hover dataTables-example">
                                <thead>
                                <tr>
                                    <th style="min-width: 180px">公司名称</th>
                                    <th>申请日期</th>
                                    <th>企业所在地区</th>
                                    <th>详细地址</th>
                                    <th style="min-width: 90px">企业联系人</th>
                                    <th style="min-width: 140px">企业联系方式</th>
                                    <th style="min-width: 140px">统一社会信用代码</th>
                                    <th style="min-width: 140px">营业执照</th>
                                    <th style="min-width: 140px">审核状态</th>
                                    <th>操作</th>
                                </tr>
                                </thead>
                                <tbody>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <%--详情--%>
        <div class="modal inmodal" id="grade-assessment-info" tabindex="-1" role="dialog" aria-hidden="true" style="z-index:101">
            <div class="modal-dialog modal-lg">
                <div class="modal-content animated bounceInRight">
                    <div class="modal-header">
                        <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span>
                        </button>
                        <h4 class="modal-title">服务商详情</h4>
                    </div>
                    <div id="grade-assessment-info-area">
                        <div class="ibox-content">
                            <div class="row">
                                <div class="col-lg-6">
                                    <dl class="dl-horizontal">
                                        <dt>公司名称</dt>
                                        <dd class="input-group"><input readonly type="text" class="form-control" value="" id="ifullName"></dd>
                                    </dl>
                                </div>

                                <div class="col-lg-6">
                                    <dl class="dl-horizontal">
                                        <dt>服务商类型</dt>
                                        <dd class="input-group"><input readonly type="text" class="form-control" value="" id="iassessmentType"></dd>
                                    </dl>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-lg-6">
                                    <dl class="dl-horizontal">
                                        <dt>企业所在地</dt>
                                        <dd class="input-group"><input readonly type="text" class="form-control" value="" id="ipcaName"></dd>
                                    </dl>
                                </div>

                                <div class="col-lg-6">
                                    <dl class="dl-horizontal">
                                        <dt>详细地址</dt>
                                        <dd class="input-group"><input readonly type="text" class="form-control" value="" id="iaddress"></dd>
                                    </dl>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-lg-6">
                                    <dl class="dl-horizontal">
                                        <dt>企业联系人</dt>
                                        <dd class="input-group"><input readonly type="text" class="form-control" value="" id="icontact"></dd>
                                    </dl>
                                </div>

                                <div class="col-lg-6">
                                    <dl class="dl-horizontal">
                                        <dt>企业联系方式</dt>
                                        <dd class="input-group"><input readonly type="text" class="form-control" value="" id="iphone"></dd>
                                    </dl>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-lg-6">
                                    <dl class="dl-horizontal">
                                        <dt>管理员手机</dt>
                                        <dd class="input-group"><input readonly type="text" class="form-control" value="" id="iadminTel"></dd>
                                    </dl>
                                </div>

                                <div class="col-lg-6">
                                    <dl class="dl-horizontal">
                                        <dt>邮箱</dt>
                                        <dd class="input-group"><input readonly type="text" class="form-control" value="" id="iemail"></dd>
                                    </dl>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-lg-6">
                                    <dl class="dl-horizontal">
                                        <dt>统一社会信用代码</dt>
                                        <dd class="input-group"><input readonly type="text" class="form-control" value="" id="iorganizationCode"></dd>
                                    </dl>
                                </div>
                                <div class="col-lg-6">
                                    <dl class="dl-horizontal">
                                        <dt>营业执照</dt>
                                        <dd><a class="btn btn-outline btn-primary btn-xs ml5" target="_blank" id="iorgUrl" href="">下载</a></dd>
                                    </dl>
                                </div>
                            </div>
                        </div>
                    </div>

                    <form id="grade-assessment-info-from" class="form-horizontal">
                        <div class="modal-footer">
                            <button type="button" class="btn btn-white" data-dismiss="modal">取 消</button>
                        </div>
                    </form>
                </div>
            </div>
        </div>

        <%--修改预案--%>
        <div class="modal inmodal" id="grade-update-assessment" tabindex="-1" role="dialog" aria-hidden="true" style="z-index:101">
            <div class="modal-dialog modal-lg">
                <div class="modal-content animated bounceInRight">
                    <div class="modal-header">
                        <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span>
                        </button>
                        <h4 class="modal-title">修改企业信息</h4>
                    </div>
                    <div id="grade-activity-info-area"></div>

                    <form id="grade-update-assessment-from" class="form-horizontal">
                        <input type="hidden" id="uactivityAssessmentId" value=""/>
                        <input type="hidden" id="grade_urankFile" value=""/>
                        <div class="modal-body">
                            <div class="row">
                                <div class="form-group">
                                    <label class="col-sm-4 control-label">*公司名称</label>
                                    <div class="col-sm-8">
                                        <input type="text" class="form-control" value="" id="ufullName">
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-sm-4 control-label">*服务商类型</label>
                                    <div class="col-sm-4">
                                        <select id="uassessmentType" class="form-control">
                                            <option value="">全部类型</option>
                                            <option value="1">风险评估机构</option>
                                            <option value="2">安保公司</option>
                                        </select>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-sm-4 control-label">*企业所在区域</label>
                                    <div class="col-sm-8">
                                        <div class="row">
                                            <div class="col-sm-4">
                                                <select id="uregionProvince" class="form-control"
                                                        onchange="loadCity('uregionCity','uregionArea',this.value)">
                                                </select>
                                            </div>
                                            <div class="col-sm-4">
                                                <select id="uregionCity" class="form-control"
                                                        onchange="loadArea('uregionArea',this.value)">
                                                </select>
                                            </div>
                                            <div class="col-sm-4">
                                                <select id="uregionArea" class="form-control"></select>
                                            </div>
                                        </div>
                                    </div>
                                </div>

                                <div class="form-group">
                                    <label class="col-sm-4 control-label">详细地址</label>
                                    <div class="col-sm-8">
                                        <input type="text" class="form-control" value="" id="uaddress">
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-sm-4 control-label">企业联系人</label>
                                    <div class="col-sm-8">
                                        <input type="text" class="form-control" value="" id="ucontact">
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-sm-4 control-label">企业联系方式</label>
                                    <div class="col-sm-8">
                                        <input type="text" class="form-control" value="" id="uphone">
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-sm-4 control-label">管理员手机</label>
                                    <div class="col-sm-8">
                                        <input type="text" class="form-control" value="" id="uadminTel">
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-sm-4 control-label">邮箱</label>
                                    <div class="col-sm-8">
                                        <input type="text" class="form-control" value="" id="uemail">
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-sm-4 control-label">统一社会信用代码</label>
                                    <div class="col-sm-8">
                                        <input type="text" class="form-control" value="" id="uorganizationCode">
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-sm-4 control-label">营业执照</label>
                                    <div class="col-sm-8">
                                        <div class="col-sm-8 input-group">
                                            <label id="ufileInput-1" for="ufileInput-1" style="padding: 3px 20px; border: 1px solid #2e7cee; color: #2e7cee; background-color: white; border-radius: 3px;">
                                                添加图片
                                            </label>
                                        </div>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-sm-4 control-label"></label>
                                    <div class="col-sm-8" id="ufileArea-1">
                                    </div>
                                </div>
                            </div>
                            <br/>
                        </div>

                        <div class="modal-footer">
                            <button type="button" class="btn btn-white" data-dismiss="modal">取 消</button>
                            <button type="button" class="btn btn-primary" onclick="updateAssessment()">保 存</button>
                        </div>
                    </form>
                </div>
            </div>
        </div>

        <%--新增预案--%>
        <div class="modal inmodal" id="grade-add-assessment" tabindex="-1" role="dialog" aria-hidden="true" style="z-index:101">
            <div class="modal-dialog modal-lg">
                <div class="modal-content animated bounceInRight">
                    <div class="modal-header">
                        <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span>
                        </button>
                        <h4 class="modal-title">新增企业</h4>
                    </div>
                    <form id="grade-add-assessment-from" class="form-horizontal">
                        <input type="hidden" id="aactivityAssessmentId" value=""/>
                        <input type="hidden" id="grade_arankFile" value=""/>
                        <div class="modal-body">
                            <div class="row">
                                <div class="form-group">
                                    <label class="col-sm-4 control-label">*公司名称</label>
                                    <div class="col-sm-8">
                                        <input type="text" class="form-control" value="" id="afullName">
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-sm-4 control-label">*服务商类型</label>
                                    <div class="col-sm-4">
                                        <select id="aassessmentType" class="form-control">
                                            <option value="">全部类型</option>
                                            <option value="1">风险评估机构</option>
                                            <option value="2">安保公司</option>
                                        </select>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-sm-4 control-label">*企业所在区域</label>
                                    <div class="col-sm-8">
                                        <div class="row">
                                            <div class="col-sm-4">
                                                <select id="aregionProvince" class="form-control"
                                                        onchange="loadCity('aregionCity','aregionArea',this.value)">
                                                </select>
                                            </div>
                                            <div class="col-sm-4">
                                                <select id="aregionCity" class="form-control"
                                                        onchange="loadArea('aregionArea',this.value)">
                                                </select>
                                            </div>
                                            <div class="col-sm-4">
                                                <select id="aregionArea" class="form-control"></select>
                                            </div>
                                        </div>
                                    </div>
                                </div>

                                <div class="form-group">
                                    <label class="col-sm-4 control-label">详细地址</label>
                                    <div class="col-sm-8">
                                        <input type="text" class="form-control" value="" id="aaddress">
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-sm-4 control-label">企业联系人</label>
                                    <div class="col-sm-8">
                                        <input type="text" class="form-control" value="" id="acontact">
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-sm-4 control-label">企业联系方式</label>
                                    <div class="col-sm-8">
                                        <input type="text" class="form-control" value="" id="aphone">
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-sm-4 control-label">管理员手机</label>
                                    <div class="col-sm-8">
                                        <input type="text" class="form-control" value="" id="aadminTel">
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-sm-4 control-label">邮箱</label>
                                    <div class="col-sm-8">
                                        <input type="text" class="form-control" value="" id="aemail">
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-sm-4 control-label">统一社会信用代码</label>
                                    <div class="col-sm-8">
                                        <input type="text" class="form-control" value="" id="aorganizationCode">
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-sm-4 control-label">营业执照</label>
                                    <div class="col-sm-8">
                                        <div class="col-sm-8 input-group">
                                            <label id="afileInput-1" for="afileInput-1" style="padding: 3px 20px; border: 1px solid #2e7cee; color: #2e7cee; background-color: white; border-radius: 3px;">
                                                添加图片
                                            </label>
                                        </div>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-sm-4 control-label"></label>
                                    <div class="col-sm-8" id="afileArea-1">
                                    </div>
                                </div>
                            </div>
                            <br/>
                        </div>

                        <div class="modal-footer">
                            <button type="button" class="btn btn-white" data-dismiss="modal">取 消</button>
                            <button type="button" class="btn btn-primary" onclick="addAssessment()">保 存</button>
                        </div>
                    </form>
                </div>
            </div>
        </div>

        <jsp:include page="../../include/footer.jsp"></jsp:include>

    </div>
</div>
<div id="afile_list_templete" class="hide">
    <div id="{acheckIndex}{afileIndex}" style="padding: 3px; margin-bottom: 5px;">
        <span></span>
        <span class="vector"></span>
        <span>{afileName}
            <span style="color: #c1c1c1;">({afileSize}KB/3M)</span>
        </span>
        <span class="deleteFile btn btn-xs btn-success" style="margin-top: -2px;margin-left: 10px; cursor: pointer" onclick="removeImg('{checkIndex}{fileIndex}');">删除</span>
        <input type="hidden" name="aimgPaths{checkIndex}" id="imageIds-{checkIndex}{fileIndex}" value="">
    </div>
</div>
<div id="ufile_list_templete" class="hide">
    <div id="{ucheckIndex}{ufileIndex}" style="padding: 3px; margin-bottom: 5px;">
        <span></span>
        <span class="vector"></span>
        <span>{ufileName}
            <span style="color: #c1c1c1;">({ufileSize}KB/3M)</span>
        </span>
        <span class="deleteFile btn btn-xs btn-success" style="margin-top: -2px;margin-left: 10px; cursor: pointer" onclick="removeImg('{checkIndex}{fileIndex}');">删除</span>
        <input type="hidden" name="uimgPaths{checkIndex}" id="uimageIds-{checkIndex}{fileIndex}" value="">
    </div>
</div>
<jsp:include page="../../include/scripts.jsp"></jsp:include>
<script src="${pageContext.request.contextPath }/layui/layui.js"></script>

<script type="text/javascript">
    function loadCanvas(_img){
        top.layer.open({
            type: 1
            , title: "营业执照预览"
            , area: ['594px', '840px']
            , content: "<img src='"+_img+"'/>"
            , shade: 0.3 //不显示遮罩
            , shadeClose : true
            , closeBtn: 1
        });
    }
    $(function () {
        //清空开始时间
        $('#dateBtn').click(function () {
            $('#startDate').val("");
            $('#endDate').val("");
            oTable.fnDraw();
        });


        $('#startDate,#endDate').datetimepicker({
            todayBtn: "linked",
            keyboardNavigation: false,
            forceParse: false,
            calendarWeeks: true,
            autoclose: true,
            format: 'yyyy-mm-dd hh:ii'
        });
        oTable = $('#dynamic-table')
            .dataTable({
                "bAutoWidth": false,
                "bFilter": false,
                "bDestroy": true,
                "bServerSide": true,
                "bPaginate": true,
                "bLengthChange": false,
                "sAjaxSource": "<c:url value='/business/activityAssessment/findListData.json'/>",
                "sAjaxDataProp": "data",
                "aLengthMenu": [10],
                "aoColumns": [
                    {"mDataProp": "fullName", "sClass": "text-center", "bSortable": false},
                    {"mDataProp": "applyTime", "sClass": "", "bSortable": false},
                    {"mDataProp": "pcaName", "sClass": "", "bSortable": false},
                    {"mDataProp": "address", "sClass": "text-center", "bSortable": false},
                    {"mDataProp": "contact", "sClass": "text-center", "bSortable": false},
                    {"mDataProp": "phone", "sClass": "text-center", "bSortable": false},
                    {"mDataProp": "organizationCode", "sClass": "text-center", "bSortable": false},
                    {"mDataProp": "orgUrl", "sClass": "text-center", "bSortable": false},
                    {"mDataProp": "approveStatus", "sClass": "text-center", "bSortable": false}
                ],
                "fnServerParams": function (aoData) {
                    rowNum = 0;
                    var sProvince,sCity, sArea;
                    if ($("#regionProvince").val() != undefined && $("#regionProvince").val() != "") {
                        sProvince = $("#regionProvince").val();
                    }
                    if ($("#regionCity").val() != undefined && $("#regionCity").val() != "") {
                        sCity = $("#regionCity").val();
                    }
                    if ($("#regionArea").val() != undefined && $("#regionArea").val() != "") {
                        sArea = $("#regionArea").val();
                    }
                    aoData.push(
                        {"name": "assessmentType", "value": $("#assessmentType").val()},
                        {"name": "phone", "value": $("#phone").val()},
                        {"name": "organizationCode", "value": $("#organizationCode").val()},
                        {"name": "sProvince", "value": sProvince},
                        {"name": "sCity", "value": sCity},
                        {"name": "sArea", "value": sArea},
                        {"name": "keywords", "value": $("#keywords").val()},
                        {"name": "startDate", "value": $("#startDate").val()},
                        {"name": "endDate", "value": $("#endDate").val()}
                    );
                },
                "fnDrawCallback": function (data) {
                    $("td").tooltip({
                        selector: "[data-toggle=tooltip]",
                        container: "body"
                    });
                },
                "aoColumnDefs": [
                    {
                        "aTargets": [0],
                        "mRender": function (tar, type, data) {
                            return data.fullName;
                        }
                    },
                    {
                        "aTargets": [1],
                        "mRender": function (tar, type, data) {
                            return data.applyTime;
                        }
                    },
                    {
                        "aTargets": [2],
                        "mRender": function (tar, type, data) {
                            return data.pcaName;
                        }
                    },
                    {
                        "aTargets": [3],
                        "mRender": function (tar, type, data) {
                            return data.address;
                        }
                    },
                    {
                        "aTargets": [4],
                        "mRender": function (tar, type, data) {
                            return data.contact;
                        }
                    },
                    {
                        "aTargets": [5],
                        "mRender": function (tar, type, data) {
                            return data.phone;
                        }
                    },
                    {
                        "aTargets": [6],
                        "mRender": function (tar, type, data) {
                            return data.organizationCode;
                        }
                    },
                    {
                        "aTargets": [7],
                        "mRender": function (tar, type, data) {
                            var html = "";
                            if(data.orgUrl!=undefined&&data.orgUrl!=''){
                                html = "<a href='javascript:loadCanvas(\""+data.orgUrl+"\")'><img src='"+data.orgUrl+"' width='25px' href='30px'/></a>";
                            }
                            return html;
                        }
                    },
                    {
                        "aTargets": [8],
                        "mRender": function (tar, type, data) {
                            return data.approveStatus==1?'通过':data.approveStatus==2?'不通过':'审批中';
                        }
                    },
                    {
                        "aTargets": [9],
                        "mRender": function (tar, type, data) {
                            var fre = data.isFreeze==1?'解冻':'冻结';
                            var html = "<a class='btn btn-outline btn-primary btn-xs ml5' onclick='showDetailPanel(" + rowNum + ")'  >详情</a>";
//                                html += "<a class='btn btn-outline btn-primary btn-xs ml5' onclick='showUpdatePanel(" + rowNum + ")'  >编辑</a>";
                                if(data.approveStatus!=1&&data.approveStatus!=2){
                                    html += "<a class='btn btn-outline btn-primary btn-xs ml5' onclick='approvePanel(" + rowNum + ")'  >审批</a>";
                                }
                            html += "<a class='btn btn-outline btn-primary btn-xs ml5' onclick='freezePanel(" + rowNum + ")'  >"+fre+"</a>";
                            rowNum++;
                            return html;
                        }
                    }
                ],
                "oLanguage": {
                    "sProcessing": "处理中...",
                    "sLengthMenu": "显示_MENU_ 项结果",
                    "sZeroRecords": "没有匹配结果",
                    "sInfo": " _START_ - _END_条记录，共_TOTAL_条",
                    "sInfoEmpty": "没有匹配结果",
                    "sInfoFiltered": "(由_MAX_项结果过滤)",
                    "sSearch": "搜索:",
                    "oPaginate": {
                        "sFirst": "首页",
                        "sPrevious": "上页",
                        "sNext": "下页",
                        "sLast": "末页"
                    }
                }
            });
    });

    $(document).keyup(function (event) {
        if (event.keyCode == 13) {
            $("#searchBtn").trigger("click");
        }
    });

    $(function () {
        loadProvince('regionProvince');
        loadCity('regionCity','regionArea',null);
        loadArea('regionArea',null);
    });

    function loadProvince(p) {
        var provinceId = '100000';
        if (provinceId == '' || provinceId == null) {
            $("#"+p).empty();
            $("#"+p).append("<option value=''>全部省份</option>");
            return;
        }
        $.ajax({
            url: "<c:url value='/business/getRegion/' />" + provinceId,
            type: 'post',
            async: false,
            dataType: 'json',
            success: function (data) {
                $("#"+p).empty();
                $("#"+p).append("<option value=''>全部省份</option>");
                $(data).each(function (i, d) {
                    $("#"+p).append("<option value='" + d.id + "'>" + d.fullName + "</option>");
                })
            }
        });
    }

    function loadCity(c,a,provinceId) {
        if (provinceId == null || provinceId == '') {
            $("#"+c).empty();
            $("#"+c).append("<option value=''>全部城市</option>");
            loadArea(a,null);
            return;
        }
        $.ajax({
            url: "<c:url value='/business/getRegion/' />" + provinceId,
            type: 'post',
            async: false,
            dataType: 'json',
            success: function (data) {
                $("#"+c).empty();
                $("#"+c).append("<option value=''>全部城市</option>");
                $(data).each(function (i, d) {
                    $("#"+c).append("<option value='" + d.id + "'>" + d.fullName + "</option>");
                })
            }
        });

        loadArea(a,null);
    }

    function loadArea(a,cityId) {
        if (cityId == null || cityId == '') {
            $("#"+a).empty();
            $("#"+a).append("<option value=''>全部区县</option>");
            return;
        }
        $.ajax({
            url: "<c:url value='/business/getRegion/' />" + cityId,
            type: 'post',
            async: false,
            dataType: 'json',
            success: function (data) {
                $("#"+a).empty();
                $("#"+a).append("<option value=''>全部区县</option>");
                $(data).each(function (i, d) {
                    $("#"+a).append("<option value='" + d.id + "'>" + d.fullName + "</option>");
                })
            }
        });
    }

    function orgUrlNull() {
        layer.msg('无营业执照文件信息', {time: 2000, icon: 2});
    }

    function showDetailPanel(rowNum) {
        $(".has-error").removeClass("has-error");
        $("#grade-assessment-info").modal();
        if (null != rowNum) {
            var data = oTable.fnGetData(oTable.fnGetNodes()[rowNum]);
            $("#ifullName").val(data.fullName);
            $("#iassessmentType").val(data.assessmentType=='1'?'风险评估机构':data.assessmentType=='2'?'安保公司':'');
            $("#icontact").val(data.contact);
            $("#iphone").val(data.phone);
            $("#ipcaName").val(data.pcaName);
            $("#iaddress").val(data.address);
            $("#iorganizationCode").val(data.organizationCode);
            var orgUrl = data.orgUrl;
            if(data.orgUrl==undefined||data.orgUrl==''){
                orgUrl = 'javascript:orgUrlNull()';
                $("#iorgUrl").attr('target','');
            }
            $("#iorgUrl").attr('href',orgUrl);
            $("#iadminTel").val(data.adminTel);
            $("#iemail").val(data.email);
        }
        $(".has-error").removeClass("has-error");
    }

    function showUpdatePanel(rowNum) {
        $(".has-error").removeClass("has-error");
        $("#grade-update-assessment").modal();
        initUImgUpload('1');
        loadProvince('uregionProvince');
        if (null != rowNum) {
            var data = oTable.fnGetData(oTable.fnGetNodes()[rowNum]);
            loadCity('uregionCity','uregionArea',data.province);
            loadArea('uregionArea',data.city);
            $("#uactivityAssessmentId").val(data.activityAssessmentId);
            $("#ufullName").val(data.fullName);
            $("#uassessmentType").val(data.assessmentType);
            $("#ucontact").val(data.contact);
            $("#uphone").val(data.phone);
            $("#uregionProvince").val(data.province);
            $("#uregionCity").val(data.city);
            $("#uregionArea").val(data.area);
            $("#uaddress").val(data.address);
            $("#uorganizationCode").val(data.organizationCode);
            $("#uorgUrl").val(data.orgUrl);
            $("#uadminTel").val(data.adminTel);
            $("#uemail").val(data.email);
        }
        $(".has-error").removeClass("has-error");
    }

    function showAddPanel() {
        $(".has-error").removeClass("has-error");
        $("#grade-add-assessment").modal();
        initAImgUpload('1');
        loadProvince('aregionProvince');
        loadCity('aregionCity','aregionArea',null);
        loadArea('aregionArea',null);
        $(".has-error").removeClass("has-error");
    }

    function freezePanel(rowNum) {
        if (null != rowNum) {
            var data = oTable.fnGetData(oTable.fnGetNodes()[rowNum]);
            var fre = data.isFreeze==1?'解冻':'冻结';
            layer.confirm('确定'+fre+'"' + data.fullName + '"吗?', {
                btn: ['确定', '取消']
            }, function () {
                $.ajax({
                    url: '<c:url value="/business/activityAssessment/freeze/'+data.activityAssessmentId+'.json"/>',
                    type: 'post',
                    data: {},
                    dataType: 'json',
                    success: function (data) {
                        if (data.successful) {
                            oTable.fnDraw();
                            layer.msg(fre+'成功', {time: 1000, icon: 1});
                        } else {
                            layer.msg(data.msg);
                        }
                    }
                });
            });
        } else {
            layer.alert('参数错误!');
        }
    }

    function approvePanel(rowNum) {
        if (null != rowNum) {
            var data = oTable.fnGetData(oTable.fnGetNodes()[rowNum]);
            layer.confirm('服务商"'+ data.fullName + '"是否通过审核?', {
                btn: ['通过', '不通过']
            }, function () {
                $.ajax({
                    url: '<c:url value="/business/activityAssessment/approve/'+data.activityAssessmentId+'/1.json"/>',
                    type: 'post',
                    data: {},
                    dataType: 'json',
                    success: function (data) {
                        if (data.successful) {
                            oTable.fnDraw();
                            layer.msg('审核结果更新成功', {time: 1000, icon: 1});
                        } else {
                            layer.msg(data.msg);
                        }
                    }
                });
            }, function () {
                $.ajax({
                    url: '<c:url value="/business/activityAssessment/approve/'+data.activityAssessmentId+'/2.json"/>',
                    type: 'post',
                    data: {},
                    dataType: 'json',
                    success: function (data) {
                        if (data.successful) {
                            oTable.fnDraw();
                            layer.msg('审核结果更新成功', {time: 1000, icon: 1});
                        } else {
                            layer.msg(data.msg);
                        }
                    }
                });
            });
        } else {
            layer.alert('参数错误!');
        }
    }

    function addAssessment() {
        var fullName = $("#afullName").val();
        if (fullName == null || fullName == '') {
            layer.msg("公司名称不能为空");
            return ;
        }
        var contact = $("#acontact").val();
        if (contact == null || contact == '') {
            layer.msg("联系人不能为空");
            return ;
        }
        var phone = $("#aphone").val();
        if (phone == null || phone == '') {
            layer.msg("联系电话不能为空");
            return ;
        }
        var regionProvince = $("#aregionProvince").val();
        if (regionProvince == null || regionProvince == '') {
            layer.msg("省不能为空");
            return ;
        }
        var regionCity = $("#aregionCity").val();
        if (regionCity == null || regionCity == '') {
            layer.msg("市不能为空");
            return ;
        }
        var regionArea = $("#aregionArea").val();
        if (regionArea == null || regionArea == '') {
            layer.msg("区县不能为空");
            return ;
        }
        var address = $("#aaddress").val();
        if (address == null || address == '') {
            layer.msg("详细地址不能为空");
            return ;
        }
        var organizationCode = $("#aorganizationCode").val();
        if (organizationCode == null || organizationCode == '') {
            layer.msg("统一信用代码不能为空");
            return ;
        }
        var orgUrl = $("#aorgUrl").val();
        if (orgUrl == null || orgUrl == '') {
            layer.msg("营业执照不能为空");
            return ;
        }
        var adminTel = $("#aadminTel").val();
        if (adminTel == null || adminTel == '') {
            layer.msg("管理员手机不能为空");
            return ;
        }

        var loadIndex = parent.layer.load(0, {shade: [0.3,'#808080']});
        $.ajax({
            url: '<c:url value="/business/activityAssessment/createOrUpdate.json"/>',
            type: 'post',
            data: {
                fullName:$('#afullName').val()
                ,assessmentType:$('#aassessmentType').val()
                ,contact:$('#acontact').val()
                ,phone:$('#aphone').val()
                ,province:$('#aregionProvince').val()
                ,city:$('#aregionCity').val()
                ,area:$('#aregionArea').val()
                ,address:$('#aaddress').val()
                ,organizationCode:$('#aorganizationCode').val()
                ,orgUrl:$('#aorgUrl').val()
                ,adminTel:$('#aadminTel').val()
                ,email:$('#aemail').val()
            },
            dataType: 'json',
            success: function (data) {
                layer.close(loadIndex);
                if (data.successful) {
                    $("#grade-add-assessment").modal('hide');
                    oTable.fnDraw();
                    layer.msg('已提交', {time: 1000, icon: 1});
                } else {
                    layer.msg(data.msg);
                }
            }
        });
    }
    function updateAssessment() {
        var fullName = $("#ufullName").val();
        if (fullName == null || fullName == '') {
            layer.msg("公司名称不能为空");
            return ;
        }
        var contact = $("#ucontact").val();
        if (contact == null || contact == '') {
            layer.msg("联系人不能为空");
            return ;
        }
        var phone = $("#uphone").val();
        if (phone == null || phone == '') {
            layer.msg("联系电话不能为空");
            return ;
        }
        var regionProvince = $("#uregionProvince").val();
        if (regionProvince == null || regionProvince == '') {
            layer.msg("省不能为空");
            return ;
        }
        var regionCity = $("#uregionCity").val();
        if (regionCity == null || regionCity == '') {
            layer.msg("市不能为空");
            return ;
        }
        var regionArea = $("#uregionArea").val();
        if (regionArea == null || regionArea == '') {
            layer.msg("区县不能为空");
            return ;
        }
        var address = $("#uaddress").val();
        if (address == null || address == '') {
            layer.msg("详细地址不能为空");
            return ;
        }
        var organizationCode = $("#uorganizationCode").val();
        if (organizationCode == null || organizationCode == '') {
            layer.msg("统一信用代码不能为空");
            return ;
        }
        var orgUrl = $("#uorgUrl").val();
        if (orgUrl == null || orgUrl == '') {
            layer.msg("营业执照不能为空");
            return ;
        }
        var adminTel = $("#uadminTel").val();
        if (adminTel == null || adminTel == '') {
            layer.msg("管理员手机不能为空");
            return ;
        }

        var loadIndex = parent.layer.load(0, {shade: [0.3,'#808080']});
        $.ajax({
            url: '<c:url value="/business/activityAssessment/createOrUpdate.json"/>',
            type: 'post',
            data: {
                activityAssessmentId:$('#uactivityAssessmentId').val()
                ,fullName:$('#ufullName').val()
                ,assessmentType:$('#uassessmentType').val()
                ,contact:$('#ucontact').val()
                ,phone:$('#uphone').val()
                ,province:$('#uregionProvince').val()
                ,city:$('#uregionCity').val()
                ,area:$('#uregionArea').val()
                ,address:$('#uaddress').val()
                ,organizationCode:$('#uorganizationCode').val()
                ,orgUrl:$('#uorgUrl').val()
                ,adminTel:$('#uadminTel').val()
                ,email:$('#uemail').val()
            },
            dataType: 'json',
            success: function (data) {
                layer.close(loadIndex);
                if (data.successful) {
                    $("#grade-update-assessment").modal('hide');
                    oTable.fnDraw();
                    layer.msg('已提交', {time: 1000, icon: 1});
                } else {
                    layer.msg(data.msg);
                }
            }
        });
    }

    function initAImgUpload(checkIndex){
        //上传附件功能
        layui.use('upload', function(){
            var layuiUpload = layui.upload;
            //多文件列表示例
            var demoListView = $('#afileArea-'+checkIndex),fileUploadIndex,
                uploadListIns = layuiUpload.render({
                    elem : '#afileInput-'+checkIndex,
                    url : "<c:url value='/business/approve/uploadFile.json'/>",
                    multiple : true,
                    auto : true,
                    number:9,
                    size:3072,
                    accept:"images",
                    acceptMime: 'image/*',
                    before : function(obj) {
                        fileUploadIndex = parent.layer.load(0, {shade: [0.3, '#808080']});
                        //读取本地文件 加上选择文件列表显示
                        obj.preview(function (index, file, result) {
                            var html = $("#afile_list_templete").html();
                            html = html.replaceAll("{acheckIndex}", checkIndex);
                            html = html.replaceAll("{afileIndex}", index);
                            html = html.replaceAll("{afileName}", file.name);
                            html = html.replaceAll("{afileSize}", (file.size / 1024).toFixed(1));
                            demoListView.append(html);
                        });
                    },
                    done : function(res, index, upload) {
                        parent.layer.close(fileUploadIndex);
                        if (res.successful) { //上传成功
                            $("#aimageIds-"+checkIndex+index).val(res.obj);
                        }else{
                            $("#"+checkIndex+index).remove();
                            layer.msg(res);
                        }
                    },
                    error : function(index, upload) {
                        $("#"+index).remove();
                        parent.layer.close(fileUploadIndex);
                        layer.msg(res);
                    }
                });
        });
    }

    function initUImgUpload(checkIndex){
        //上传附件功能
        layui.use('upload', function(){
            var layuiUpload = layui.upload;
            //多文件列表示例
            var demoListView = $('#ufileArea-'+checkIndex),fileUploadIndex,
                uploadListIns = layuiUpload.render({
                    elem : '#ufileInput-'+checkIndex,
                    url : "<c:url value='/business/approve/uploadFile.json'/>",
                    multiple : true,
                    auto : true,
                    number:9,
                    size:3072,
                    accept:"images",
                    acceptMime: 'image/*',
                    before : function(obj) {
                        fileUploadIndex = parent.layer.load(0, {shade: [0.3, '#808080']});
                        //读取本地文件 加上选择文件列表显示
                        obj.preview(function (index, file, result) {
//                            var count = $("input[name='uimgPaths"+checkIndex+"']").length;
                            var html = $("#ufile_list_templete").html();
                            html = html.replaceAll("{ucheckIndex}", checkIndex);
                            html = html.replaceAll("{ufileIndex}", index);
                            html = html.replaceAll("{ufileName}", file.name);
                            html = html.replaceAll("{ufileSize}", (file.size / 1024).toFixed(1));
                            demoListView.html(html);
                        });
                    },
                    done : function(res, index, upload) {
                        parent.layer.close(fileUploadIndex);
                        if (res.successful) { //上传成功
                            $("#uimageIds-"+checkIndex+index).val(res.obj);
                        }else{
                            $("#"+checkIndex+index).remove();
                            layer.msg(res);
                        }
                    },
                    error : function(index, upload) {
                        $("#"+index).remove();
                        parent.layer.close(fileUploadIndex);
                        layer.msg(res);
                    }
                });
        });
    }
</script>

<style>
    #tip {
        position: absolute;
        border-width: 0px;
        position: absolute;
        left: 0px;
        top: 0px;
        width: 42px;
        height: 22px;
        background: inherit;
        background-color: rgba(0, 0, 0, 0.298039215686275);
        border: none;
        border-radius: 4px;
        -moz-box-shadow: none;
        -webkit-box-shadow: none;
        box-shadow: none;
        font-family: 'PingFangSC-Regular', 'PingFang SC';
        font-weight: 400;
        font-style: normal;
        font-size: 11px;
        color: #FFFFFF;
    }
    #tip span{
        display: inline-block;
        padding:3px 0px 0px 4px;
    }
</style>

</body>

</html>
