<%@ page language="java" contentType="text/html; charset=UTF-8"
         pageEncoding="UTF-8" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<!DOCTYPE html>
<html>
<head>
    <jsp:include page="../../include/assets.jsp"></jsp:include>
    <script src="<%=request.getContextPath() %>/bim/js/plupload.full.min.js"></script>
    <link rel="stylesheet" href="<%=request.getContextPath() %>/bim/css/sample.css">

    <%--    <script src="<%=request.getContextPath() %>/bim/js/jquery.js"></script>--%>

</head>

<body>
<div id="wrapper">
    <jsp:include page="../../include/menu.jsp"></jsp:include>
    <div id="page-wrapper" class="gray-bg">
        <jsp:include page="../../include/nav.jsp"></jsp:include>
        <div class="row wrapper border-bottom white-bg page-heading">
            <div class="col-lg-10">
                <h2>场馆材料配置</h2>
                <ol class="breadcrumb">
                    <li>
                        <a href="javascript:void(0);" style="cursor:default">首页</a>
                    </li>
                    <li>
                        <a href="javascript:void(0);" style="cursor:default">系统配置</a>
                    </li>
                    <li class="active">
                        <strong>场馆材料配置</strong>
                    </li>
                </ol>
            </div>
            <div class="col-lg-2">
            </div>
        </div>

        <!-- 主内容 -->
        <div class="wrapper wrapper-content animated fadeInRight">
            <div class="row">
                <div class="col-lg-12">
                    <div class="ibox float-e-margins">
                        <div class="ibox-title">
                            <h5><a href="javascript:showUpdatePanel()">添加场馆材料</a></h5>
                            <div class="ibox-tools">
                                <a class="collapse-link">
                                    <i class="fa fa-chevron-up"></i>
                                </a>

                            </div>
                        </div>
                        <div class="ibox-content">
                            <table id="dynamic-table"
                                   class="table table-striped table-bordered table-hover dataTables-example">
                                <thead>
                                <tr>
                                    <th>场馆名称</th>
                                    <th>材料名称</th>
                                    <th>材料类型</th>
                                    <th>材料说明</th>
                                    <th>操作</th>
                                </tr>
                                </thead>
                                <tbody>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <jsp:include page="../../include/footer.jsp"></jsp:include>
    </div>
</div>

<div class="modal inmodal" id="update-activity" tabindex="-1" role="dialog" aria-hidden="true" style="z-index:101">
    <div class="modal-dialog modal-lg">
        <div class="modal-content animated bounceInRight">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span
                        class="sr-only">Close</span></button>
                <i class="fa fa-laptop modal-icon"></i>
                <h4 class="modal-title">创建场馆材料</h4>
                <small class="font-bold">请确保所填资料的完整、准确.</small>
            </div>
            <form id="create-from" class="form-horizontal">
                <input type="hidden" id="id" name="id" value=""/>
                <div class="modal-body">
                    <div class="row">
                        <div class="col-sm-12">
                            <div class="form-group">
                                <label class="col-sm-4 control-label">场馆名称<span style="color: red">*</span></label>
                                <div class="col-sm-8">
                                    <select class="form-control m-b" id="fullName" name="fullName">
                                        <c:forEach items="${venues}" var="type">
                                            <option value="${type.id}">${type.fullName }</option>
                                        </c:forEach>
                                    </select>
                                </div>
                            </div>
                            <div class="form-group">
                                <label class="col-sm-4 control-label">材料名称<span style="color: red">*</span></label>
                                <div class="col-sm-8">
                                    <input id="name" type="text" class="form-control" name="name" maxlength="255"
                                           onblur="notNullCheck(this.id)">
                                </div>
                            </div>
                            <div class="form-group">
                                <label class="col-sm-4 control-label">材料类型<span style="color: red">*</span></label>
                                <div class="col-sm-8">
                                    <select class="form-control m-b" id="fileType" name="fileType">
                                        <option value="1">图纸</option>
                                        <option value="2">模型</option>
                                    </select>
                                </div>
                            </div>
                            <div class="form-group">
                                <label class="col-sm-4 control-label">材料说明<span style="color: red">*</span></label>
                                <div class="col-sm-8">
                                    <textarea id="description" class="form-control" name="description" maxlength="500"
                                              onblur="notNullCheck(this.id)"></textarea>
                                </div>
                            </div>
                            <div class="form-group">
                                <label class="col-sm-4 control-label">部署环境<span style="color: red">*</span></label>
                                <div class="col-sm-8">
                                    <label><input type="radio" name="env" value="0" class="env" checked="checked">在线部署</label>
                                    <label><input type="radio" name="env" value="1" class="env">离线部署</label>
                                </div>
                            </div>
                            <div class="form-group">
                                <label class="col-sm-4 control-label">主文件名<span style="color: red">(ZIP)</span></label>
                                <div class="col-sm-8">
                                    <input type="text" id="rootName" class="form-control" name="rootName" maxlength="500"
                                              onblur="notNullCheck(this.id)">
                                </div>
                            </div>
                            <%--                            <div class="hr-line-dashed"></div>--%>
                        </div>
                    </div>
                    <div class="row" id="type">
                        <div class="col-sm-12">
                            <div class="form-group">
                                <label class="col-sm-4 control-label">文件ID<span style="color: red">*</span></label>
                                <div class="col-sm-8">
                                    <input id="fileId" type="text" class="form-control" name="fileId"
                                           onblur="notNullCheck(this.id)" readonly>
                                    <div class="result hide" id="wait-box">
                                        <font color="blue"> 正在转换，请稍等...</font>
                                    </div>

                                    <div class="result hide" id="translate-error-box">
                                        <font color="red"> 转换失败，请重新上传</font>
                                    </div>
                                    <div class="upload-file">
                                        <div class="upload-button" id="pickfiles">选择文件</div>
                                        <div class="upload-desc">
                                            格式：rvt、rfa、dwg、dxf、skp、ifc、dgn、obj、stl、3ds、dae、ply、igms、zip、fbx、dwf、nwd。大小：500M。出现文件ID表示上传成功。
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
<%--                    如果是离线部署 厦门输入框可以手动输入文件的id--%>


                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-white" data-dismiss="modal">取 消</button>
                    <button type="submit" class="btn btn-primary" onclick="createOrUpdate()">保 存</button>
                </div>
            </form>
        </div>
    </div>
</div>

<jsp:include page="../../include/scripts.jsp"></jsp:include>

<script type="text/javascript">

    function formCheck() {
        var result = true;
        if (!notNullCheck("fullName", "场馆名称")) {
            result = false;
        }
        if (!notNullCheck("name", "材料名称")) {
            result = false;
        }
        if (!notNullCheck("fileType", "材料类型")) {
            result = false;
        }
        if (!notNullCheck("description", "材料说明")) {
            result = false;
        }
        if (!notNullCheck("fileId", "文件ID")) {
            result = false;
        }
        return result;
    }

    function showUpdatePanel(rowNum) {
        $("#update-activity").modal();
        if (null != rowNum) {
            $(".modal-title").text("修改场馆材料");
            var data = oTable.fnGetData(oTable.fnGetNodes()[rowNum]);
            $("#id").val(data.id);
            $("#fullName").val(data.venueId);
            $("#name").val(data.name);
            $("#fileType").val(data.fileType);
            $("#description").val(data.description);
            $("#fileId").val(data.fileId);
        } else {
            $(".modal-title").text("添加场馆材料");
            $("#id").val("");
            $("#name").val("");
            $("#fullName").val("");
            $("#fileType").val("");
            $("#description").val("");
            $("#fileId").val("");
        }
        $(".has-error").removeClass("has-error");
    }

    function createOrUpdate() {
        $('#create-from').unbind('submit').submit(function () {
            if (formCheck()) {
                $(this).ajaxSubmit({
                    type: 'post',
                    url: '<c:url value="/bim/createOrUpdate"/>',
                    success: function (data) {
                        if (data.successful == true) {
                            oTable.fnDraw();
                            $("#update-activity").modal('hide');
                        } else {
                            layer.msg(data.msg, {time: 3000, icon: 2});
                        }
                    },
                    completed: function () {
                    }
                });
            }
            return false;
        });
    }

    $(function () {
        $('#update-activity').on('hide.bs.modal', function () {
            // alert('嘿，我听说您喜欢模态框...');
            // oTable.fnDraw();
            location.reload();

        })
    });

    function deleteFlow(rowNum) {
        if (null != rowNum) {
            var data = oTable.fnGetData(oTable.fnGetNodes()[rowNum]);
            layer.confirm('确定删除"' + data.name + '"吗?', {
                btn: ['确定', '取消']
            }, function () {
                $.ajax({
                    url: '<c:url value="/bim/delete"/>',
                    type: 'post',
                    data: {
                        id: data.id
                    },
                    dataType: 'json',
                    success: function (data) {
                        if (data.successful) {
                            oTable.fnDraw();
                            layer.msg('删除成功', {time: 1000, icon: 1});
                        } else {
                            layer.msg(data.msg);
                        }
                    }
                });
            });
        } else {
            layer.alert('参数错误!');
        }
    }

    $(function () {
        oTable = $('#dynamic-table')
            .dataTable({
                "bAutoWidth": false,
                "bFilter": false,
                "bDestroy": true,
                "bServerSide": true,
                "bPaginate": true,
                "bLengthChange": false,
                "sAjaxDataProp": "data",
                "aLengthMenu": [10],
                "sAjaxSource": "<c:url value='/bim/findData'/>",
                "aoColumns": [
                    {"mDataProp": "fullName", "sClass": "", "bSortable": false},
                    {"mDataProp": "name", "sClass": "", "bSortable": false},
                    {"mDataProp": "fileType", "sClass": "", "bSortable": false},
                    {"mDataProp": "description", "sClass": "", "bSortable": false}
                ],
                "fnServerParams": function (aoData) {
                    rowNum = 0;
                },
                "aoColumnDefs": [
                    {
                        "aTargets": [2],
                        "mRender": function (tar, type, data) {
                            if (data.fileType == 1)
                                return "图纸";
                            else
                                return "模型";
                        }
                    },
                    {
                        "aTargets": [4],
                        "mRender": function (tar, type, data) {
                            var html = "<a class='fa fa-edit' style='font-size:14px;' onclick='showUpdatePanel(" + rowNum + ")' data-toggle='tooltip' data-placement='top' title='修改'>修改</a>&nbsp;&nbsp;&nbsp;";
                            html += "<a class='fa fa-save' style='font-size:14px;' onclick='preview(" + rowNum + ")' data-toggle='tooltip' data-placement='top' title='预览'>预览</a>&nbsp;&nbsp;&nbsp;";
                            html += "<a class='fa fa-trash-o' style='font-size:16px;color:#9D261D' onclick='deleteFlow(" + rowNum + ")' data-toggle='tooltip' data-placement='top' title='删除'>删除</a>";
                            rowNum++;
                            return html;
                        }
                    }
                ],
                "oLanguage": {
                    "sProcessing": "处理中...",
                    "sLengthMenu": "显示_MENU_ 项结果",
                    "sZeroRecords": "没有匹配结果",
                    "sInfo": " _START_ - _END_条记录，共_TOTAL_条",
                    "sInfoEmpty": "没有匹配结果",
                    "sInfoFiltered": "(由_MAX_项结果过滤)",
                    "sSearch": "搜索:",
                    "oPaginate": {
                        "sFirst": "首页",
                        "sPrevious": "上页",
                        "sNext": "下页",
                        "sLast": "末页"
                    }
                }
            });
    });

    var uploader = new plupload.Uploader({


        runtimes: 'html5,flash,silverlight,html4',
        browse_button: 'pickfiles',
        url: '<%=request.getContextPath() %>/bim/upload?rootName='+$("#rootName").val(),

        filters: {
            max_file_size: '500mb',
            mime_types: [
                {title: "files", extensions: "rvt,rfa,dwg,dxf,skp,ifc,dgn,obj,stl,3ds,dae,ply,igms,zip,fbx,dwf,nwd"}
            ]
        },

        flash_swf_url: '<%=request.getContextPath() %>/bim/js/Moxie.swf',
        silverlight_xap_url: '<%=request.getContextPath() %>/bim/js/Moxie.xap',

        init: {

            FilesAdded: function (up, files) {
                uploader.start();
                $('#translate-error-box').hide();
                return false;
            },

            UploadProgress: function (up, file) {
                $("#pickfiles").html(file.percent - 1 + '%');
            },

            FileUploaded: function (up, file, info) {
                if(info.response=="null"){
                    $('#translate-error-box').removeClass('hide');
                    $('#translate-error-box').show();
                    $("#pickfiles").html("重新上传");
                    return;
                }
                var fileId = $.parseJSON(info.response).fileId;
                // $('.upload-file').hide();
                $('#wait-box').removeClass('hide');
                $('#wait-box').show();
                getStatus(fileId);
            },

            Error: function (up, err) {
                $('#translate-error-box').removeClass('hide');
                $('#translate-error-box').show();
                $("#pickfiles").html("重新上传");
            }
        }
    });

    uploader.init();

    var timer;

    function getStatus(fileId) {
        timer = setInterval(function () {
            $.get('<%=request.getContextPath() %>/bim/pull?fileId=' + fileId, function (res) {
                var re = $.parseJSON(res);
                if (re.status == 'success') {
                    $('#wait-box').hide();
                    $('#translate-error-box').hide();
                    $("#pickfiles").html("重新上传");
                    // $('.upload-file').hide();
                    <%--location.href="<%=request.getContextPath() %>/bim/view?fileId="+fileId;--%>
                    $("#fileId").html(fileId);
                    $("#fileId").val(fileId);
                    clearInterval(timer);
                } else if (re.status == 'failed') {
                    $('#wait-box').hide();
                    $('#translate-error-box').removeClass('hide');
                    $('#translate-error-box').show();
                    $("#pickfiles").html("重新上传");
                    // $('.upload-file').show();
                    clearInterval(timer);
                }
            })
        }, 1000);
    }

    function preview(rowNum) {
        var data = oTable.fnGetData(oTable.fnGetNodes()[rowNum]);
        <%--location.href="<%=request.getContextPath() %>/bim/view?fileId="+data.fileId;--%>
        window.open("<%=request.getContextPath() %>/bim/view?fileId=" + data.fileId+"&fullName="+data.fullName+"&name="+data.name+"&fileType="+data.fileType)
    }

    /*
    重新上传
     */
    function reUpload() {
        $("#pickfiles").html("重新上传");
        // $('.upload-file').show();
        $('#translate-error-box').hide();
    }
    // 判断在线上传还是离线上传 然后对输入框进行隐藏
    $(function(){
        $(":radio").click(function(){
            console.log($(this).val())
            if ($(this).val() == 0) {
               console.log('1111111')
                $('#type').empty()
                $('#type').html(type1)


            }else {
                console.log('222222222222')
                $('#type').empty()
                $('#type').html(type2)


            }

        })
    })

    // 在线上传时用下面的
    const type1 = `   <div class="col-sm-12">
                            <div class="form-group">
                                <label class="col-sm-4 control-label">文件ID<span style="color: red">*</span></label>
                                <div class="col-sm-8">
                                    <input id="fileId" type="text" class="form-control" name="fileId"
                                           onblur="notNullCheck(this.id)" readonly>
                                    <div class="result hide" id="wait-box">
                                        <font color="blue"> 正在转换，请稍等...</font>
                                    </div>

                                    <div class="result hide" id="translate-error-box">
                                        <font color="red"> 转换失败，请重新上传</font>
                                    </div>
                                    <div class="upload-file">
                                        <div class="upload-button" id="pickfiles">选择文件</div>
                                        <div class="upload-desc">
                                            格式：rvt、rfa、dwg、dxf、skp、ifc、dgn、obj、stl、3ds、dae、ply、igms、zip、fbx、dwf、nwd。大小：500M。出现文件ID表示上传成功。
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
`;
    // 离线上传时用下面的
    const type2 = `   <div class="col-sm-12">
                            <div class="form-group">
                                <label class="col-sm-4 control-label">文件ID<span style="color: red">*</span></label>
                                <div class="col-sm-8">
                                    <input id="fileId" type="text" class="form-control" name="fileId">
                            </div>
                        </div>`;
</script>
</body>

</html>
