<%@ page language="java" contentType="text/html; charset=UTF-8"
         pageEncoding="UTF-8" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<!DOCTYPE html>
<html>
<head>
    <jsp:include page="../../include/assets.jsp"></jsp:include>
</head>

<body>
<div id="wrapper">
    <jsp:include page="../../include/menu.jsp"></jsp:include>
    <div id="page-wrapper" class="gray-bg">
        <jsp:include page="../../include/nav.jsp"></jsp:include>
        <div class="row wrapper border-bottom white-bg page-heading">
            <div class="col-lg-10">
                <h2>场馆配置</h2>
                <ol class="breadcrumb">
                    <li>
                        <a href="javascript:void(0);" style="cursor:default">首页</a>
                    </li>
                    <li>
                        <a href="javascript:void(0);" style="cursor:default">系统配置</a>
                    </li>
                    <li class="active">
                        <strong>场馆配置</strong>
                    </li>
                </ol>
            </div>
            <div class="col-lg-2">
            </div>
        </div>

        <!-- 主内容 -->
        <div class="wrapper wrapper-content animated fadeInRight">
            <div class="row">
                <div class="col-lg-12">
                    <div class="ibox float-e-margins">
                        <div class="ibox-title">
                            <h5><a href="javascript:showUpdatePanel()">添加场馆</a></h5>
                            <div class="ibox-tools">
                                <a class="collapse-link">
                                    <i class="fa fa-chevron-up"></i>
                                </a>

                            </div>
                        </div>
                        <div class="ibox-content">
                            <table id="dynamic-table"
                                   class="table table-striped table-bordered table-hover dataTables-example">
                                <thead>
                                <tr>
                                    <th>场馆名称</th>
                                    <th>场馆地址</th>
                                    <th>建立时间</th>
                                    <th>最大容量</th>
                                    <th>操作</th>
                                </tr>
                                </thead>
                                <tbody>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <jsp:include page="../../include/footer.jsp"></jsp:include>
    </div>
</div>

<div class="modal inmodal" id="update-activity" tabindex="-1" role="dialog" aria-hidden="true" style="z-index:101">
    <div class="modal-dialog modal-lg">
        <div class="modal-content animated bounceInRight">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span
                        class="sr-only">Close</span></button>
                <i class="fa fa-laptop modal-icon"></i>
                <h4 class="modal-title">创建场馆</h4>
                <small class="font-bold">请确保所填资料的完整、准确.</small>
            </div>
            <form id="create-from" class="form-horizontal">
                <input type="hidden" id="id" name="id" value=""/>
                <div class="modal-body">
                    <div class="row">
                        <div class="col-sm-12">
                            <div class="form-group">
                                <label class="col-sm-4 control-label">场馆名称<span style="color: red">*</span></label>
                                <div class="col-sm-8">
                                    <input id="fullName" type="text" class="form-control" name="fullName" maxlength="255"
                                           onblur="notNullCheck(this.id)">
                                </div>
                            </div>
                            <div class="hr-line-dashed"></div>
                        </div>
                        <div class="col-sm-12">
                            <div class="form-group">
                                <label class="col-sm-4 control-label">场馆地址<span style="color: red">*</span></label>
                                <div class="col-sm-8">
                                    <input id="address" type="text" class="form-control" name="address" maxlength="255"
                                           onblur="notNullCheck(this.id)">
                                </div>
                            </div>
                            <div class="hr-line-dashed"></div>
                        </div>
                        <div class="col-sm-12">
                            <div class="form-group">
                                <label class="col-sm-4 control-label">建成时间<span style="color: red">*</span></label>
<%--                                <div class="col-sm-8">--%>
<%--                                    <input id="buildDate" type="text" class="form-control" name="buildDate"--%>
<%--                                           onblur="notNullCheck(this.id)">--%>
<%--                                </div>--%>
                                <div class="col-sm-8">
                                <div class="input-daterange input-group" id="datepicker">
                                    <input type="text" class="form-control" id="buildDate" name="buildDate" maxlength="10" placeholder="时间"/>
                                </div>
                                </div>
                            </div>
                            <div class="hr-line-dashed"></div>
                        </div>
                        <div class="col-sm-12">
                            <div class="form-group">
                                <label class="col-sm-4 control-label">最大容量<span style="color: red">*</span></label>
                                <div class="col-sm-8">
                                    <input id="capacityMax" type="number" class="form-control" name="capacityMax"
                                           onblur="notNullCheck(this.id)">
                                </div>
                            </div>
                            <div class="hr-line-dashed"></div>
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-white" data-dismiss="modal">取 消</button>
                    <button type="submit" class="btn btn-primary" onclick="createOrUpdate()">保 存</button>
                </div>
            </form>
        </div>
    </div>
</div>

<jsp:include page="../../include/scripts.jsp"></jsp:include>

<script type="text/javascript">

    $('#buildDate').datetimepicker({
        minView: "month",//设置只显示到月份
        format : "yyyy-mm-dd",//日期格式
        autoclose:true,//选中关闭
        todayBtn: true//今日按钮
        // clearBtn:true
    });

    function formCheck() {
        var result = true;
        if (!notNullCheck("fullName", "场馆名称")) {
            result = false;
        }
        if (!notNullCheck("address", "场馆地址")) {
            result = false;
        }
        if (!notNullCheck("buildDate", "建立时间")) {
            result = false;
        }
        if (!notNullCheck("capacityMax", "最大容量")) {
            result = false;
        }
        return result;
    }

    function showUpdatePanel(rowNum) {
        $("#update-activity").modal();
        if (null != rowNum) {
            $(".modal-title").text("修改场馆");
            var data = oTable.fnGetData(oTable.fnGetNodes()[rowNum]);
            $("#id").val(data.id);
            $("#fullName").val(data.fullName);
            $("#address").val(data.address);
            $("#buildDate").val(data.buildDate);
            $("#capacityMax").val(data.capacityMax);

        } else {
            $(".modal-title").text("创建场馆");
            $("#id").val("");
            $("#fullName").val("");
            $("#address").val("");
            $("#buildDate").val("");
            $("#capacityMax").val("");
        }
        $(".has-error").removeClass("has-error");
    }

    function createOrUpdate() {
        $('#create-from').unbind('submit').submit(function () {
            if (formCheck()) {
                $(this).ajaxSubmit({
                    type: 'post',
                    url: '<c:url value="/business/venue/createOrUpdate.json"/>',
                    success: function (data) {
                        if (data.successful == true) {
                            oTable.fnDraw();
                            $("#update-activity").modal('hide');
                        } else {
                            layer.msg(data.msg, {time: 3000, icon: 2});
                        }
                    },
                    completed: function () {
                    }
                });
            }
            return false;
        });
    }

    // $(function () {
    //     $('#update-activity').on('hide.bs.modal', function () {
    //         // alert('嘿，我听说您喜欢模态框...');
    //         // oTable.fnDraw();
    //         location.reload();
    //
    //     })
    // });

    function deleteFlow(rowNum) {
        if (null != rowNum) {
            var data = oTable.fnGetData(oTable.fnGetNodes()[rowNum]);
            layer.confirm('确定删除"' + data.fullName + '"吗?', {
                btn: ['确定', '取消']
            }, function () {
                $.ajax({
                    url: '<c:url value="/business/venue/delete.json"/>',
                    type: 'post',
                    data: {
                        id: data.id,
                        fullName: data.fullName,
                        address: data.address,
                        buildDate: data.buildDate,
                        capacityMax: data.capacityMax
                    },
                    dataType: 'json',
                    success: function (data) {
                        if (data.successful) {
                            oTable.fnDraw();
                            layer.msg('删除成功', {time: 1000, icon: 1});
                        } else {
                            layer.msg(data.msg);
                        }
                    }
                });
            });
        } else {
            layer.alert('参数错误!');
        }
    }

    $(function () {
        oTable = $('#dynamic-table')
            .dataTable({
                "bAutoWidth": false,
                "bFilter": false,
                "bDestroy": true,
                bInfo: false,
                sAjaxDataProp: "",
                "serverSide": true,
                "bPaginate": false,
                "bLengthChange": false,
                "sAjaxSource": "<c:url value='/business/venue/findData.json'/>",
                "aoColumns": [
                    {"mDataProp": "fullName", "sClass": "", "bSortable": false},
                    {"mDataProp": "address", "bSortable": false},
                    {"mDataProp": "buildDate", "bSortable": false},
                    {"mDataProp": "capacityMax", "bSortable": false}

                ],
                "fnServerParams": function (aoData) {
                    rowNum = 0;
                },
                "aoColumnDefs": [
                    {
                        "aTargets": [4],
                        "mRender": function (tar, type, data) {
                            var html = "<a class='fa fa-edit' style='font-size:14px;' onclick='showUpdatePanel(" + rowNum + ")' data-toggle='tooltip' data-placement='top' title='修改'>修改</a>&nbsp;&nbsp;&nbsp;";
                            html += "<a class='fa fa-trash-o' style='font-size:16px;color:#9D261D' onclick='deleteFlow(" + rowNum + ")' data-toggle='tooltip' data-placement='top' title='删除'>删除</a>";
                            rowNum++;
                            return html;
                        }
                    }
                ],
                "oLanguage": {
                    "sProcessing": "处理中...",
                    "sLengthMenu": "显示_MENU_ 项结果",
                    "sZeroRecords": "没有匹配结果",
                    "sInfo": " _START_ - _END_条记录，共_TOTAL_条",
                    "sInfoEmpty": "没有匹配结果",
                    "sInfoFiltered": "(由_MAX_项结果过滤)",
                    "sSearch": "搜索:"
                }
            });
    });

</script>

</body>

</html>
