<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<!DOCTYPE html>
<html>
<head>
    <style media="screen">
        * {
            box-sizing: border-box;
        }

        html, body {
            margin: 0;
            padding: 0;
            width: 100%;
            height: 100%;
        }

        .container {
            width: 100%;
            height: 100%;
            /*padding-right: 210px;*/
            position: relative;
        }

        .view {
            height: 100%;
        }

        .right-bar {
            position: absolute;
            right: 0;
            top: 0;
            width: 210px;
            height: 100%;
            border-left: 1px solid #d8d8d8;
            vertical-align: top;
        }

        .title {
            height: 36px;
            border-bottom: 1px solid #d8d8d8;
            padding: 0 10px;
            line-height: 36px;
        }

        .button {
            padding: 7px 24px;
            border-radius: 3px;
            margin-right: 10px;
        }

        .add {
            color: #ffffff;
            background: #11dab7;
        }

        .cancel {
            border: 1px solid #11dab7;
            color: #11dab7;
        }

        .edit {
            display: none;
            padding: 10px;
            border-bottom: 1px solid #d8d8d8;
        }

        .textarea {
            width: 100%;
            height: 90px;
            border: 1px solid #ccc;
            resize: none;
            outline: none;
        }

        .tips {
            padding: 10px;
            font-size: 14px;
            color: #666;
        }

        .new {
            padding: 10px;
        }

        video {
            object-fit:fill;
            width:800px;
            height:554px;
        }
    </style>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
    <meta name="renderer" content="webkit">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>${fullName}-${name}</title>
    <%--<link rel="stylesheet" href="<%=request.getContextPath() %>/static/bim/css/sample.css">--%>
    <!-- 引用BIMFACE的JavaScript显示组件库 -->
    <script src="https://static.bimface.com/api/BimfaceSDKLoader/BimfaceSDKLoader@latest-release.js"
            charset="utf-8"></script>
<%--    <script src="https://cdn.bootcdn.net/ajax/libs/jquery/3.5.1/jquery.min.js"></script>--%>
    <script src="${pageContext.request.contextPath }/js/jquery-3.5.1.min.js"></script>
    <script src="${pageContext.request.contextPath }/layer/layer.js"></script>
</head>

<body>
<div class="header"></div>
<%--<div class="tips">第二步：调用服务端API获取ViewToken，并对接JS显示组件打开模型</div>--%>
<%--<div class="box">--%>
<%--	<div class="viewer" id="domId"></div>--%>
<%--	<input type="button" class="button add"    value="显示标签" id="getAll">--%>

<%--</div>--%>
<audio id="myAudio">
    <source src="https://bcxin-pss-test.obs.cn-north-1.myhuaweicloud.com/BIM-audio1.mp3" type="audio/mp3">
    您的浏览器不支持 audio 元素。
</audio>
<div class="container">
    <div class="view" id="domId"></div>
    <div class="right-bar" hidden >
        <div class="title">侧边工具栏</div>
        <div class="tips" id="myTips"></div>
        <div class="edit" id="edit">
            <textarea id="textarea" class="textarea"></textarea>
            <button class="button add" id="save">保存</button>
            <button class="button cancel" id="cancel">取消</button>
        </div>
        <div class="new">
            <input type="button" class="button add" value="新建引线标签" id="new">
        </div>
<%--        <div class="new">--%>
<%--            <input type="button" class="button add" value="显示引线标签" id="getAll">--%>
<%--        </div>--%>
    </div>
</div>
<script type="text/javascript">
    var viewer, drawable, selectedLabel;
    // 指定待显示的模型或图纸（viewToken从服务端获取）
    var viewToken = '<%=request.getAttribute("viewToken")%>';

    // 配置JSSDK加载项
    window.onload = function () {
        var loaderConfig = new BimfaceSDKLoaderConfig();
        loaderConfig.viewToken = viewToken;
        BimfaceSDKLoader.load(loaderConfig, successCallback, failureCallback);
    }

    function successCallback(viewMetaData) {
        // 创建WebApplication，直接显示模型或图纸
        var dom4Show = document.getElementById('domId');
        // 设置WebApplication3D的配置项
        var webAppConfig = new Glodon.Bimface.Application.WebApplication3DConfig();
        webAppConfig.domElement = dom4Show;
        // 创建WebApplication3D，用以显示模型
        app = new Glodon.Bimface.Application.WebApplication3D(webAppConfig);
        app.addView(viewToken);
        viewer = app.getViewer();

        //自适应屏幕大小
        window.onresize = function () {
            viewer.resize(document.documentElement.clientWidth, document.documentElement.clientHeight - 40)
        }


        var drawableConfig = new Glodon.Bimface.Plugins.Drawable.DrawableContainerConfig();
        drawableConfig.viewer = viewer;
        drawableConfig.maxNum = 100;
        drawable = new Glodon.Bimface.Plugins.Drawable.DrawableContainer(drawableConfig);

        app.addEventListener(Glodon.Bimface.Viewer.Viewer3DEvent.ViewAdded, function () {
            drawing3D();

        });
    }
    function failureCallback(error) {
        console.log(error);
    };

    // document.getElementById("getAll").addEventListener("click", drawing3D);

    /**
     * 绘制三维标签
     */
    function drawing3D() {
        // var tagArr = [];
//定义位置坐标
        var position01 = new Object();
        position01 = {"x": -51992.431537885954, "y": -11411.560726886839, "z": 473.9187504066479}
        var position02 = new Object();
        position02 = {"x": -1088.6105311752337, "y": 50436.27488351915, "z": 1865.487746516847}
        var position03 = new Object();
        position03 ={"x": -50845.21150544012, "y": 44980.344639273506, "z": -9.596208550011198e-10}
        var position04 = new Object();
        position04 = {"x": 59235.16133823442, "y": 66409.47057536682, "z": -1.4167946538190535e-9}
        var position05 = new Object();
        position05 ={"x": 72679.16634468746, "y": 21724.8173915123, "z": -4.634821831883684e-10}
        var positionsOther = [];
        positionsOther.push(position01);
        positionsOther.push(position02);
        positionsOther.push(position03);
        positionsOther.push(position04);
        positionsOther.push(position05);
            //handler other labels
            for (var i = 0; i < positionsOther.length; i++) {
                var imageConfig = new Glodon.Bimface.Plugins.Drawable.LeadLabelConfig();
                //设置image的路径
                // imageConfig.src="fire.gif";
                //other tips
                if (i == 0) {
                    imageConfig.text = "1\n9号馆前往11号馆的通道\n9号馆为入场观赏的第一个展厅，属于人流滞留的重点区域，通道尺寸较小，易形成人群高度聚集的情况，容易引发拥挤踩踏事故";
                }
                if (i == 1) {
                    imageConfig.text = "2\n馆内展览展示物\n未制定对参展车辆油箱存油量的管理措施，未明确参展车辆制动的控制措施，属于活动的安全管理薄弱点";
                }
                if (i == 2) {
                    imageConfig.text = "3\n展馆内展览区域\n在参加人群较多的情况下，在活动展览区域的人流数量属于管控的重点，若未做好在活动区域展览的人流数量管理，将会使得活动区域内人群密度较大，而外围入场人流又持续进场，导致人数超过场地容量，引发事故发生";
                }
                if (i == 3) {
                    imageConfig.text = "4\n场馆内部\n当在室内展馆区域的人群数量在2807人范围内时，室内展馆的人员处于舒适情形，处于闲适状态，即室内展馆的人均占地有效面积大于等于4.00平方米。";
                }
                if (i == 4) {
                    imageConfig.text = "5\n展馆内的监控设施\n场馆内外均有监控，但在搭建施工期间部分摄像头被遮挡，影响监控设施的正常运行";
                }
                imageConfig.worldPosition = positionsOther[i];
                var image = new Glodon.Bimface.Plugins.Drawable.LeadLabel(imageConfig);
                // tagArr.push(image);
                drawable.addItem(image);


        }

    }

    var edit = document.getElementById("edit"),
        textarea = document.getElementById("textarea"),
        myTips = document.getElementById("myTips"),
        newButton = document.getElementById("new"),
        saveButton = document.getElementById("save"),
        cancelButton = document.getElementById("cancel"),
        getAllButton = document.getElementById("getAll"),

        data = {};
    var clickEvent = function (componentData) {
        if (componentData && componentData.objectId) {
            myTips.style.display = "none";
            edit.style.display = "block";
            data.componentId = componentData.objectId;
            data.worldPosition = componentData.worldPosition;
        } else {
            myTips.innerText = "请选择一个合适的位置。";
            myTips.style.display = "block";
        }
    }
    var saveFn = function () {
        var text = textarea.value;
        if (!text.trim()) {
            myTips.innerText = "标签内容不能为空。";
            myTips.style.display = "block";
            return false;
        }
        if (data.item) {
            data.item.setText(text);
        } else {

            //引线标签的配置类
            var config = new Glodon.Bimface.Plugins.Drawable.LeadLabelConfig();
            //引线标签的内容
            config.text = text;
            //引线标签关联的构件
            config.objectId = data.componentId;
            //引线标签的世界坐标
            config.worldPosition = data.worldPosition;
            //引线标签是否可拖拽
            config.draggable = true;
            //引线标签的视图
            config.viewer = viewer;

            var label = new Glodon.Bimface.Plugins.Drawable.LeadLabel(config);

            //引线标签的双击事件
            label.onDoubleClick(function (item) {
                newButton.style.display = "none";
                edit.style.display = "block";
                textarea.value = item.getText();
                data.item = item;
            });

            //引线标签的左键点击事件
            label.onClick(function (item) {
                console.log(label.getObjectId(item.id));
                console.log(item)
                selectedLabel = item;
            })
            drawable.addItem(label);
            viewer.removeEventListener(Glodon.Bimface.Application.WebApplication3DEvent.ComponentsSelectionChanged, clickEvent);
        }
        data = {};
        textarea.value = "";
        edit.style.display = "none";
        myTips.style.display = "none";
        newButton.style.display = "block";
    }
    newButton.addEventListener("click", function () {
        viewer.addEventListener(Glodon.Bimface.Application.WebApplication3DEvent.ComponentsSelectionChanged, clickEvent);
        this.style.display = "none";
        myTips.innerText = "请在模型上选择标签位置。";
        myTips.style.display = "block";
    });

    saveButton.addEventListener("click", saveFn);

    cancelButton.addEventListener("click", function () {
        viewer.removeEventListener(Glodon.Bimface.Application.WebApplication3DEvent.ComponentsSelectionChanged, clickEvent);
        edit.style.display = "none";
        newButton.style.display = "block";
        textarea.value = "";
        data = {};
    })
    document.addEventListener("keyup", function (e) {
        var e = e || event;
        if (selectedLabel && (e.keyCode == 8 || e.keyCode == 46)) {
            drawable.removeItemById(selectedLabel.id);
            selectedLabel = null;
        }
    })
</script>
</body>
</html>


