<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>

<!DOCTYPE html>
<html>
<head>
    <style media="screen">
        * {
            box-sizing: border-box;
        }

        html, body {
            margin: 0;
            padding: 0;
            width: 100%;
            height: 100%;
        }

        .container {
            width: 100%;
            height: 100%;
            /*padding-right: 210px;*/
            position: relative;
        }

        .view {
            height: 100%;
        }

        .right-bar {
            position: absolute;
            right: 0;
            top: 0;
            width: 210px;
            height: 100%;
            border-left: 1px solid #d8d8d8;
            vertical-align: top;
        }

        .title {
            height: 36px;
            border-bottom: 1px solid #d8d8d8;
            padding: 0 10px;
            line-height: 36px;
        }

        .button {
            padding: 7px 24px;
            border-radius: 3px;
            margin-right: 10px;
        }

        .add {
            color: #ffffff;
            background: #11dab7;
        }

        .cancel {
            border: 1px solid #11dab7;
            color: #11dab7;
        }

        .edit {
            display: none;
            padding: 10px;
            border-bottom: 1px solid #d8d8d8;
        }

        .textarea {
            width: 100%;
            height: 90px;
            border: 1px solid #ccc;
            resize: none;
            outline: none;
        }

        .tips {
            padding: 10px;
            font-size: 14px;
            color: #666;
        }

        .new {
            padding: 10px;
        }

        video {
            object-fit:fill;
            width:800px;
            height:554px;
        }
    </style>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
    <meta name="renderer" content="webkit">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>中国人民解放军总医院</title>
    <%--<link rel="stylesheet" href="<%=request.getContextPath() %>/static/bim/css/sample.css">--%>
    <!-- 引用BIMFACE的JavaScript显示组件库 -->
    <script src="https://static.bimface.com/api/BimfaceSDKLoader/BimfaceSDKLoader@latest-release.js"
            charset="utf-8"></script>
<%--    <script src="https://cdn.bootcdn.net/ajax/libs/jquery/3.5.1/jquery.min.js"></script>--%>
    <script src="${pageContext.request.contextPath }/js/jquery-3.5.1.min.js"></script>
    <script src="${pageContext.request.contextPath }/layer/layer.js"></script>
</head>

<body>
<div class="header"></div>
<%--<div class="tips">第二步：调用服务端API获取ViewToken，并对接JS显示组件打开模型</div>--%>
<%--<div class="box">--%>
<%--	<div class="viewer" id="domId"></div>--%>
<%--	<input type="button" class="button add"    value="显示标签" id="getAll">--%>

<%--</div>--%>
<audio id="myAudio">
    <source src="https://bcxin-pss-test.obs.cn-north-1.myhuaweicloud.com/BIM-audio1.mp3" type="audio/mp3">
    您的浏览器不支持 audio 元素。
</audio>
<div class="container">
    <div class="view" id="domId"></div>
    <div class="right-bar"  >
        <div class="title">侧边工具栏</div>
        <div class="tips" id="myTips"></div>
        <div class="edit" id="edit">
            <textarea id="textarea" class="textarea"></textarea>
            <button class="button add" id="save">保存</button>
            <button class="button cancel" id="cancel">取消</button>
        </div>
        <div class="new" hidden>
            <input type="button" class="button add" value="设置HOME视图" id="btnCustomView" onclick="customView()">
        </div>
        <div class="new"   >
            <input type="button" class="button add" value="新建" id="new">
        </div>
        <div class="new"   >
            <input type="button" class="button add" value="删除" id="deleteLabel" onclick="deleteLabel()">
        </div>
        <div class="new">
            <input type="button" class="button add" value="隐藏" id="getAll" onclick="clearItems()">
        </div>
        <div class="new">
            <input type="button" class="button add" value="风险评测点举例" id="showItems" onclick="showItems()">
        </div>
<%--        <div class="new">--%>
<%--            <input type="button" class="button add" value="隐藏保安岗位配置举例" id="baoanHideItems" onclick="clearItems()">--%>
<%--        </div>--%>
        <div class="new">
            <input type="button" class="button add" value="保安岗位配置举例" id="baoanShowItems" onclick="baoanShowItems()">
        </div>
    </div>
</div>
<script type="text/javascript">

    var viewer, drawable, selectedLabel;
    // 指定待显示的模型或图纸（viewToken从服务端获取）
    var viewToken = '<%=request.getAttribute("viewToken")%>';

    var cameraState = {
        "name":"persp",
        "position":{
            "x":270899.1818873149,
            "y":1506365.3434006798,
            "z":38461.041745632494
        },
        "target":{
            "x":270899.1818873149,
            "y":583856.709079089,
            "z":38461.0014215012
        },
        "up":{
            "x":0,
            "y":4.3711324009003633e-8,
            "z":0.9999999999932538
        },
        "fov":45
    };

    // 配置JSSDK加载项
    window.onload = function () {
        var loaderConfig = new BimfaceSDKLoaderConfig();
        loaderConfig.viewToken = viewToken;
        BimfaceSDKLoader.load(loaderConfig, successCallback, failureCallback);
    }

    function successCallback(viewMetaData) {
        // 创建WebApplication，直接显示模型或图纸
        var dom4Show = document.getElementById('domId');
        // 设置WebApplication3D的配置项
        var webAppConfig = new Glodon.Bimface.Application.WebApplication3DConfig();
        webAppConfig.domElement = dom4Show;
        // 创建WebApplication3D，用以显示模型
        app = new Glodon.Bimface.Application.WebApplication3D(webAppConfig);
        app.addView(viewToken);
        viewer = app.getViewer();
        // viewer.setExposureShift(-0.3);//默认曝光度设置为3
        //自适应屏幕大小
        window.onresize = function () {
            viewer.resize(document.documentElement.clientWidth, document.documentElement.clientHeight - 40)
        }


        var drawableConfig = new Glodon.Bimface.Plugins.Drawable.DrawableContainerConfig();
        drawableConfig.viewer = viewer;
        drawableConfig.maxNum = 100;
        drawable = new Glodon.Bimface.Plugins.Drawable.DrawableContainer(drawableConfig);

        app.addEventListener(Glodon.Bimface.Viewer.Viewer3DEvent.ViewAdded, function () {
            // drawing3D();
            setCameraStatus();
            initDrawing3D();
        });
    }
    function failureCallback(error) {
        console.log(error);
    }

    function setCameraStatus() {
        viewer.setCameraStatus(cameraState);
    }

    var homeview;
    var viewAdded = false;
    function customView() {
        // if (!viewAdded) {
        //     return;
        // } else {
            homeview = viewer.getCameraStatus();
            viewer.recordCustomHomeview(homeview);
            window.alert(JSON.stringify(homeview));
            console.log(JSON.stringify(homeview));
            viewer.render();
        // }
    }
    // document.getElementById("getAll").addEventListener("click", drawing3D);

    /**
     * 绘制三维标签
     */
    function drawing3D() {
        // var tagArr = [];
//定义位置坐标
        var position01 = {"x": 461293.3935456028, "y": 597463.4237680575, "z": -6.183506692791774e-10}
        var position02 = {"x": 373912.913574162, "y": 606429.5279601569, "z": 35110.7864539287}
        var position03 = {"x": 331379.4093898412, "y": 515582.8763559695, "z": 10564.800210110214}
        var position04 = {"x": 280841.42896249716, "y": 456288.3411720813, "z": -4.722401254764197e-10}
        var position05 = {"x": 475733.0909035307, "y": 537221.8675211051, "z": -5.560030769125035e-10}
        var position06 = {"x": 398793.9658599619, "y": 507340.921777508, "z": 29557.214560148273}
        var position07 = {"x": 236794.8176449033, "y": 515607.7708000154, "z": -6.500486815497197e-10}
        var position08 = {"x": 239957.73745804414, "y": 588130.8315914453, "z": -5.50484147848751e-10}
        var position09 = {"x": 386926.3706873593, "y": 225794.40688004426, "z": 10002.254089816231}
        var position10 = {"x": 277482.4816946919, "y": 560903.4428287941, "z": 22299.672879375365}
        var position11 = {"x": 281392.49134344404, "y": 619807.4809722027, "z": -6.99683536803386e-10}

        var positionsOther = [];
        positionsOther.push(position01);
        positionsOther.push(position02);
        positionsOther.push(position03);
        positionsOther.push(position04);
        positionsOther.push(position05);
        positionsOther.push(position06);
        positionsOther.push(position07);
        positionsOther.push(position08);
        positionsOther.push(position09);
        positionsOther.push(position10);
        positionsOther.push(position11);

        //handler other labels
            for (var i = 0; i < positionsOther.length; i++) {
                var imageConfig = new Glodon.Bimface.Plugins.Drawable.LeadLabelConfig();
                //设置image的路径
                // imageConfig.src="fire.gif";
                //other tips
                if (i == 0) {
                    imageConfig.text = "1停车场安全风险综述:中心区医院普遍的停车面积少，并且医院停车进出流量大，容易加大医院周边道路交通负荷，所以医院停车区域需要重点排查隐患。医院内部停车组织管理情况，车辆是否停放有序，医院内部道路是否通畅，将影响到行人、车辆的安全";
                }
                if (i == 1) {
                    imageConfig.text = "2电网铺设情况:建筑内电网铺设及电器设备是否符合国家有关标准，各功能室电线线路有无裸露、老化，是否定期检查";
                }
                if (i == 2) {
                    imageConfig.text = "3消防器材情况:1、消防器材配置是否达到国家标准，是否定期检修充填；2、专用消防箱内配置是否齐全，消防栓是否经常维护，是否能正常使用";
                }
                if (i == 3) {
                    imageConfig.text = "4院内消防情况:内灭火器配备数量、放置位置、检修充填是否有记录，是否有专人管护";
                }
                if (i == 4) {
                    imageConfig.text = "5消防通道情况:消防通道是否畅通，楼梯走道是否有完好的应急照明设施";
                }
                if (i == 5) {
                    imageConfig.text = "6建筑物牢固情况:院区围墙有无裂缝、变形，是否安全牢固";
                }
                if (i == 6) {
                    imageConfig.text = "7悬挂物情况:空调机（室内外）、电风扇、灯具吊挂情况是否正常";
                }
                if (i == 7) {
                    imageConfig.text = "8安全疏散通道:安全疏散通道是否畅通，安全出口有无明显的指示标志；各教学楼、宿舍楼是否有“消防应急疏散示意图”";
                }
                if (i == 8) {
                    imageConfig.text = "9健身活动设施:健身活动设施是否牢固，是否经常维护，用前检查是否符合安全要求";
                }
                if (i == 9) {
                    imageConfig.text = "10住院区值守情况:住院区是否安排有人员24小时值班守护，并有相应的管理制度，如交接班管理制度、紧急情况人员联系流程安排";
                }
                if (i == 10) {
                    imageConfig.text = "11公共卫生管理情况:新冠疫情防控管理制度及人员安排情况";
                }
                // if (i == 11) {
                //     imageConfig.text = "5\n展馆内的监控设施\n场馆内外均有监控，但在搭建施工期间部分摄像头被遮挡，影响监控设施的正常运行";
                // }
                imageConfig.worldPosition = positionsOther[i];
                var image = new Glodon.Bimface.Plugins.Drawable.LeadLabel(imageConfig);
                // tagArr.push(image);
                drawable.addItem(image);


        }

    }

    /**
     * 绘制三维标签-- 保安
     */
    function drawing3DBaoan() {
        // var tagArr = [];
//定义位置坐标
        var position01 = {"x": 411358.51252576255, "y": 619439.085394198, "z": 4168.615918968951}
        var position02 = {"x": 350086.0630905159, "y": 605589.2098823127, "z": 3309.7185863528453}
        var position03 = {"x": 300030.8754821855, "y": 598964.33463746, "z": -6.162139132293021e-10}
        var position04 = {"x": 291544.0364221356, "y": 598964.3346374602, "z": -6.371571013852328e-10}
        var position05 = {"x": 457076.8558166039, "y": 601269.2721487305, "z": 6356.646664869557}
        var position06 = {"x": 249878.77409741096, "y": 553875.2647092401, "z": 16886.306910970114}

        var position07 = {"x": 249071.8659861729, "y": 632639.0751587717, "z": -6.54756054929706e-10}
        var position08 = {"x": 124196.80623375493, "y": 497906.30298445583, "z": -5.153130457069555e-10}
        var position09 = {"x": 126278.05857472117, "y": 379141.86160036037, "z": -3.923966152008518e-10}
        var position10 = {"x": 281331.25676587387, "y": 397605.24100574345, "z": -4.1150547205881516e-10}
        var position11 = {"x": 285883.04345808807, "y": 86721.79968172126, "z": -8.975358303797698e-11}


        var positionsOther = [];
        positionsOther.push(position01);
        positionsOther.push(position02);
        positionsOther.push(position03);
        positionsOther.push(position04);
        positionsOther.push(position05);
        positionsOther.push(position06);
        positionsOther.push(position07);
        positionsOther.push(position08);
        positionsOther.push(position09);
        positionsOther.push(position10);
        positionsOther.push(position11);

        //handler other labels
        for (var i = 0; i < positionsOther.length; i++) {
            var imageConfig = new Glodon.Bimface.Plugins.Drawable.LeadLabelConfig();
            //引线标签是否可拖拽
            imageConfig.draggable = true;
            //引线标签的视图
            imageConfig.viewer = viewer;

            //设置image的路径
            // imageConfig.src="fire.gif";
            //other tips
            if (i == 0) {
                imageConfig.text = "1层携犬巡逻\n编制人数：2人(高级)";
            }
            if (i == 1) {
                imageConfig.text = "1层安全巡逻\n编制人数：6人(普通)";
            }
            if (i == 2) {
                imageConfig.text = "1层安检过包\n编制人数：2人(中级)";
            }
            if (i == 3) {
                imageConfig.text = "1层安检值班\n编制人数：3人(中级)";
            }
            if (i == 4) {
                imageConfig.text = "2层巡逻\n编制人数：3人(普通)";
            }
            if (i == 5) {
                imageConfig.text = "2层住院管理科值班\n编制人数：1人(高级)";
            }
            if (i == 6) {
                imageConfig.text = "北门\n编制人数：3人(普通)";
            }
            if (i == 7) {
                imageConfig.text = "西小门\n编制人数：2人(普通)";
            }
            if (i == 8) {
                imageConfig.text = "大西门\n编制人数：2人(初级)";
            }
            if (i == 9) {
                imageConfig.text = "北广场携犬巡逻\n编制人数：2人(高级)";
            }
            if (i == 10) {
                imageConfig.text = "南门\n编制人数：3人(初级)";
            }
            imageConfig.worldPosition = positionsOther[i];
            var image = new Glodon.Bimface.Plugins.Drawable.LeadLabel(imageConfig);
            //引线标签的双击事件
            image.onDoubleClick(function (item) {
                newButton.style.display = "none";
                edit.style.display = "block";
                textarea.value = item.getText();
                data.item = item;
            });

            //引线标签的左键点击事件
            image.onClick(function (item) {
                console.log(image.getObjectId(item.id));
                console.log(item)
                selectedLabel = item;
            })
            // tagArr.push(image);
            drawable.addItem(image);


        }

    }

    //初始化加载
    function initDrawing3D() {
        // var tagArr = [];
        var positions=${positions};
        var texts=${texts};
        var labelIds=${labelIds};

        //handler other labels
        for (var i = 0; i < positions.length; i++) {
            var imageConfig = new Glodon.Bimface.Plugins.Drawable.LeadLabelConfig();
            imageConfig.text=texts[i];
            imageConfig.worldPosition = positions[i];
            var image = new Glodon.Bimface.Plugins.Drawable.LeadLabel(imageConfig);
            //引线标签的双击事件
            image.onDoubleClick(function (item) {
                newButton.style.display = "none";
                edit.style.display = "block";
                textarea.value = item.getText();
                data.item = item;
            });

            //引线标签的左键点击事件
            image.onClick(function (item) {
                console.log(image.getObjectId(item.id));
                console.log(item)
                selectedLabel = item;
            });
            image.id=labelIds[i];
            drawable.addItem(image);
        }

    }

    var edit = document.getElementById("edit"),
        textarea = document.getElementById("textarea"),
        myTips = document.getElementById("myTips"),
        newButton = document.getElementById("new"),
        saveButton = document.getElementById("save"),
        cancelButton = document.getElementById("cancel"),
        getAllButton = document.getElementById("getAll"),

        data = {};
    var clickEvent = function (componentData) {
        if (componentData && componentData.objectId) {
            myTips.style.display = "none";
            edit.style.display = "block";
            data.componentId = componentData.objectId;
            data.worldPosition = componentData.worldPosition;
        } else {
            myTips.innerText = "请选择一个合适的位置。";
            myTips.style.display = "block";
        }
    }
    var saveFn = function () {
        var text = textarea.value;
        if (!text.trim()) {
            myTips.innerText = "标签内容不能为空。";
            myTips.style.display = "block";
            return false;
        }
        if (data.item) {
            data.item.setText(text);
            saveLabelToDb(JSON.stringify(data.worldPosition),text,data.item.id);
        } else {

            //引线标签的配置类
            var config = new Glodon.Bimface.Plugins.Drawable.LeadLabelConfig();
            //引线标签的内容
            config.text = text;
            //引线标签关联的构件
            config.objectId = data.componentId;
            //引线标签的世界坐标
            config.worldPosition = data.worldPosition;
            //引线标签是否可拖拽
            config.draggable = true;
            //引线标签的视图
            config.viewer = viewer;

            var label = new Glodon.Bimface.Plugins.Drawable.LeadLabel(config);
            //保存至数据库
            saveLabelToDb(JSON.stringify(data.worldPosition),text,label.id);
            //引线标签的双击事件
            label.onDoubleClick(function (item) {
                newButton.style.display = "none";
                edit.style.display = "block";
                textarea.value = item.getText();
                data.item = item;
            });

            //引线标签的左键点击事件
            label.onClick(function (item) {
                console.log(label.getObjectId(item.id));
                console.log(item)
                selectedLabel = item;
            })
            drawable.addItem(label);
            viewer.removeEventListener(Glodon.Bimface.Application.WebApplication3DEvent.ComponentsSelectionChanged, clickEvent);
        }
        data = {};
        textarea.value = "";
        edit.style.display = "none";
        myTips.style.display = "none";
        newButton.style.display = "block";
    }
    newButton.addEventListener("click", function () {
        viewer.addEventListener(Glodon.Bimface.Application.WebApplication3DEvent.ComponentsSelectionChanged, clickEvent);
        this.style.display = "none";
        myTips.innerText = "请在模型上选择标签位置。";
        myTips.style.display = "block";
    });

    saveButton.addEventListener("click", saveFn);

    cancelButton.addEventListener("click", function () {
        viewer.removeEventListener(Glodon.Bimface.Application.WebApplication3DEvent.ComponentsSelectionChanged, clickEvent);
        edit.style.display = "none";
        newButton.style.display = "block";
        textarea.value = "";
        data = {};
    })
    document.addEventListener("keyup", function (e) {
        var e = e || event;
        if (selectedLabel && (e.keyCode == 8 || e.keyCode == 46)) {
            drawable.removeItemById(selectedLabel.id);
            selectedLabel = null;
        }
    })

    function clearItems() {
        drawable.clear();
    }
    function showItems(){
        drawing3D();

    }
    function baoanShowItems(){
        drawing3DBaoan();

    }

    function deleteLabel(){
        var labelId=selectedLabel.id;
        drawable.removeItemById(labelId);
        var fileId='${fileId}';

        $.ajax({
            url: '<c:url value="/bim/deleteLabel.json"/>',
            type: 'post',
            data: {
                fileId: fileId,
                viewToken:labelId,
            },
            dataType: 'json',
            success: function (data) {
                if (data.successful) {
                    layer.msg('删除标签成功', {time: 1000, icon: 1});
                } else {
                    layer.msg(data.msg);
                }
            }
        });

    }

    function saveLabelToDb(worldPosition,mytext,labelId){
        var fileId='${fileId}';
        var baseUrl = '${pageContext.request.contextPath }';

        $.ajax({
            url: '<c:url value="/bim/saveLabel.json"/>',
            type: 'post',
            data: {
                fileId: fileId,
                worldPosition: worldPosition,
                text: mytext,
                viewToken:labelId,
            },
            dataType: 'json',
            success: function (data) {
                if (data.successful) {
                    layer.msg('保存成功', {time: 1000, icon: 1});
                } else {
                    layer.msg(data.msg);
                }
            }
        });
    }
</script>
</body>
</html>


