<%@ page language="java" contentType="text/html; charset=UTF-8"
         pageEncoding="UTF-8" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@taglib prefix="app" tagdir="/WEB-INF/tags" %>
<!DOCTYPE html>
<html>
<head>
    <jsp:include page="../../include/assets.jsp"></jsp:include>
    <style>
        .form-group {
            margin-right: 50px;
            margin-bottom: 10px !important;
        }
    </style>
</head>

<body style="background-color: #ffffff">
<div id="wrapper">
    <c:if test="${empty hiddenLeft}">
    <jsp:include page="../../include/menu.jsp"></jsp:include>
    <div id="page-wrapper" class="gray-bg">
        <jsp:include page="../../include/nav.jsp"></jsp:include>
        <div class="row wrapper border-bottom white-bg page-heading">
            <div class="col-lg-10">
                <h2>活动临建信息</h2>
                <ol class="breadcrumb">
                    <li>
                        <a href="/" style="cursor:default">首页</a>
                    </li>
                    <li>
                        <a href="${pageContext.request.contextPath }/business/bi/hdljts" style="cursor:default">活动临建信息</a>
                    </li>
                    <li class="active">
                        <strong>活动临建信息</strong>
                    </li>
                </ol>
            </div>
            <div class="col-lg-2">
            </div>
        </div>
        </c:if>

        <!-- 主内容 -->
        <div class="wrapper wrapper-content animated fadeInRight">
            <div class="row">
                <div class="col-lg-12">
                    <div class="ibox float-e-margins">
                        <div class="ibox-title">
                            <h5>数据检索</h5>
                            <div class="ibox-tools">
                                <a class="collapse-link">
                                    <i class="fa fa-chevron-up"></i>
                                </a>
                            </div>
                        </div>
                        <div class="ibox-content" style="padding-bottom:5px;">
                            <form class="form-inline" onsubmit="return false">
                                <input type="hidden" id="activityNo" name="activityNo" value="${activityNo }">
                                <input type="hidden" id="activityBuildIdSearch" name="activityBuildIdSearch" value="${activityBuildId}">

                                <div class="form-group">
                                    <label for="itemType">临建类型：</label>
                                    <select name="itemType" class="form-control" id="itemType" onchange="oTable.fnDraw();">
                                        <option value="">全部</option>
                                        <option value="舞台">舞台</option>
                                        <option value="广场">广场</option>
                                    </select>
                                    <label for="approveStatus">审核状态：</label>
                                    <select name="approveStatus" class="form-control" id="approveStatus" onchange="oTable.fnDraw();">
                                        <option value="">全部</option>
                                        <option value="未通过">未通过</option>
                                        <option value="通过">通过</option>
                                    </select>
                                </div>
                                <div class="form-group">
                                    <label for="keywords">查询关键字：</label>
                                    <div class="input-group">
                                        <input id="keywords" name="keywords" type="text" class="form-control" maxlength="50" placeholder="输入关键词"/>
                                        <a id="searchBtn" class="input-group-addon" onclick="oTable.fnDraw();"><i class="fa fa-search"></i></a>
                                    </div>
                                </div>
                            </form>

                        </div>
                    </div>
                </div>
            </div>

            <div class="row">
                <div class="col-lg-12">
                    <div class="ibox float-e-margins">
                        <div class="ibox-title">
                            <h5>数据统计</h5>
                            <div class="text-right">
                                <a class='btn btn-outline btn-success btn-xs ml5'
                                   onclick="javascript:window.history.back();">返回上一级</a>
                            </div>
                            <div class="ibox-tools">
                                <a class="collapse-link">
                                    <i class="fa fa-chevron-up"></i>
                                </a>

                            </div>
                        </div>
                        <div class="ibox-content">
                            <table id="dynamic-table" class="table table-striped table-bordered table-hover dataTables-example">
                                <thead>
                                <tr>
                                    <th>临建编号</th>
                                    <th>项目名称</th>
                                    <th>项目英文名</th>
                                    <th>临建类型</th>
                                    <th>面积</th>
                                    <th>审核状态</th>
                                    <th>临建项目资料</th>
                                </tr>
                                </thead>
                                <tbody>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <jsp:include page="../../include/footer.jsp"></jsp:include>
    </div>
</div>
<jsp:include page="../../include/scripts.jsp"></jsp:include>

<script type="text/javascript">

    $('#isrStartDate,#isrEndDate').datetimepicker({
        minView: "month",//设置只显示到月份
        format : "yyyy-mm-dd",//日期格式
        autoclose:true,//选中关闭
        todayBtn: true//今日按钮
    });

    $(function () {
        oTable = $('#dynamic-table')
            .dataTable({
                "bAutoWidth": false,
                "bFilter": false,
                "bDestroy": true,
                "bServerSide": true,
                "bPaginate": true,
                "bLengthChange": false,
                "sAjaxSource": "<c:url value='/business/activityBuild/findActivityBuildItemListData.json'/>",
                "sAjaxDataProp": "data",
                "aLengthMenu": [10],
                "aoColumns": [
                    {"mDataProp": "itemNo", "sClass": "text-center", "bSortable": false},
                    {"mDataProp": "itemName", "sClass": "text-center", "bSortable": false},
                    {"mDataProp": "itemEN", "sClass": "text-center", "bSortable": false},
                    {"mDataProp": "itemType", "sClass": "text-center", "bSortable": false},
                    {"mDataProp": "area", "sClass": "text-center", "bSortable": false},
                    {"mDataProp": "approveStatus", "sClass": "text-center", "bSortable": false},
                    {"mDataProp": "itemUrl", "sClass": "text-center", "bSortable": false}

                ],
                "fnServerParams": function (aoData) {
                    rowNum = 0;
                    aoData.push(
                        {"name": "activityNo", "value": $("#activityNo").val()},
                        {"name": "activityBuildId", "value": $("#activityBuildIdSearch").val()},
                        {"name": "itemType", "value": $("#itemType").val()},
                        {"name": "approveStatus", "value": $("#approveStatus").val()},
                        {"name": "keywords", "value": $("#keywords").val().trim()}
                    );
                }, "aoColumnDefs": [
                    {
                        "aTargets": [6],
                        "mRender": function (tar, type, data) {
                            var html = "<a class='btn btn-outline btn-primary btn-xs ml5' onclick='previewFile(\"" + data.itemUrl + "\")'  >在线预览</a>";
                            html = html + "<a class='btn btn-outline btn-primary btn-xs ml5' onclick='myDownloadFile(\"" + data.itemUrl + "\")'  >下载</a>";
                            return html;
                        }
                    }
                ],
                "fnDrawCallback": function (data) {
                    $("td").tooltip({
                        selector: "[data-toggle=tooltip]",
                        container: "body"
                    });
                },
                "oLanguage": {
                    "sProcessing": "处理中...",
                    "sLengthMenu": "显示_MENU_ 项结果",
                    "sZeroRecords": "没有匹配结果",
                    "sInfo": " _START_ - _END_条记录，共_TOTAL_条",
                    "sInfoEmpty": "没有匹配结果",
                    "sInfoFiltered": "(由_MAX_项结果过滤)",
                    "sSearch": "搜索:",
                    "oPaginate": {
                        "sFirst": "首页",
                        "sPrevious": "上页",
                        "sNext": "下页",
                        "sLast": "末页"
                    }
                }
            });


        $(document).keyup(function (event) {
            if (event.keyCode == 13) {
                $("#searchBtn").trigger("click");
            }
        });
        $('.nav-second-level a[href="'+$('.breadcrumb li').eq(1).children().attr('href')+'"]').parent().addClass("active").parent().prev().click();
    });
    function myDownloadFile(url){
        window.open(url);
    }
</script>
</body>

</html>
