<%@ page language="java" contentType="text/html; charset=UTF-8"
         pageEncoding="UTF-8" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@taglib prefix="app" tagdir="/WEB-INF/tags" %>
<!DOCTYPE html>
<html>
<head>
    <jsp:include page="../../include/assets.jsp"></jsp:include>
    <style>
        .form-group {
            margin-right: 50px;
            margin-bottom: 10px !important;
        }
    </style>
</head>

<body style="background-color: #ffffff">
<div id="wrapper">
    <c:if test="${empty hiddenLeft}">
    <jsp:include page="../../include/menu.jsp"></jsp:include>
    <div id="page-wrapper" class="gray-bg">
        <jsp:include page="../../include/nav.jsp"></jsp:include>
        <div class="row wrapper border-bottom white-bg page-heading">
            <div class="col-lg-10">
                <h2>活动临建公司信息</h2>
                <ol class="breadcrumb">
                    <li>
                        <a href="/" style="cursor:default">首页</a>
                    </li>
                    <li>
                        <a href="${pageContext.request.contextPath }/business/bi/hdljts" style="cursor:default">活动临建公司信息</a>
                    </li>
                    <li class="active">
                        <strong>活动临建公司信息</strong>
                    </li>
                </ol>
            </div>
            <div class="col-lg-2">
            </div>
        </div>
        </c:if>

        <!-- 主内容 -->
        <div class="wrapper wrapper-content animated fadeInRight">
            <div class="row">
                <div class="col-lg-12">
                    <div class="ibox float-e-margins">
                        <div class="ibox-title">
                            <h5>数据检索</h5>
                            <div class="ibox-tools">
                                <a class="collapse-link">
                                    <i class="fa fa-chevron-up"></i>
                                </a>
                            </div>
                        </div>
                        <div class="ibox-content" style="padding-bottom:5px;">
                            <form class="form-inline" onsubmit="return false">
                                <input type="hidden" id="activityNo" name="activityNo" value="${activityNo }">
<%--                                <input type="hidden" id="activityBuildIdSearch" name="activityBuildIdSearch" value="${activityBuildId}">--%>
                                <div class="form-group">
                                    <label for="updateTimeStart">更新时间：</label>
                                    <div class="input-daterange input-group" id="datepicker">
                                        <input type="text" class="form-control" id="updateTimeStart" name="updateTimeStart"
                                               maxlength="10" placeholder="时间"/>
                                        <span class="input-group-addon"> ~ </span>
                                        <input type="text" class="form-control" id="updateTimeEnd" name="updateTimeEnd"
                                               maxlength="10" placeholder="时间"/>
                                        <a class="input-group-addon" onclick="oTable.fnDraw();"><i
                                                class="fa fa-search"></i></a>
                                    </div>
                                    <button type="button" id="clearBtn" lay-submit lay-filter="layedit-link-yes" class="btn-white btn-sm">清除</button>
                                </div>
                                <div class="form-group">
                                    <label for="keywords">查询关键字：</label>
                                    <div class="input-group">
                                        <input id="keywords" name="keywords" type="text" class="form-control" maxlength="50" placeholder="输入关键词"/>
                                        <a id="searchBtn" class="input-group-addon" onclick="oTable.fnDraw();"><i class="fa fa-search"></i></a>
                                    </div>
                                </div>
                            </form>

                        </div>
                    </div>
                </div>
            </div>

            <div class="row">
                <div class="col-lg-12">
                    <div class="ibox float-e-margins">
                        <div class="ibox-title">
                            <h5>数据统计</h5>
                            <div class="text-right">
                                <a class='btn btn-outline btn-success btn-xs ml5'
                                   onclick="javascript:window.history.back();">返回上一级</a>
                            </div>
                            <div class="ibox-tools">
                                <a class="collapse-link">
                                    <i class="fa fa-chevron-up"></i>
                                </a>

                            </div>
                        </div>
                        <div class="ibox-content">
                            <table id="dynamic-table"
                                   class="table table-striped table-bordered table-hover dataTables-example">
                                <thead>
                                <tr>
                                    <th>企业名称</th>
                                    <th>现场负责人</th>
                                    <th>负责人手机号</th>
                                    <th>全部项</th>
                                    <th>待审核项</th>
                                    <th>已通过项</th>
                                    <th>未通过项</th>
                                    <th>已上传文档数</th>
                                    <th>更新时间</th>
                                    <th>操作</th>
                                </tr>
                                </thead>
                                <tbody>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <jsp:include page="../../include/footer.jsp"></jsp:include>
    </div>
</div>
<jsp:include page="../../include/scripts.jsp"></jsp:include>

<script type="text/javascript">

    $('#updateTimeStart,#updateTimeEnd').datetimepicker({
        minView: "month",//设置只显示到月份
        format: "yyyy-mm-dd",//日期格式
        autoclose: true,//选中关闭
        todayBtn: true//今日按钮
    });

    //清空活动开始日期
    $('#clearBtn').click(function () {
        $('#updateTimeStart').val("");
        $('#updateTimeEnd').val("");
        oTable.fnDraw();
    });

    $(function () {
        oTable = $('#dynamic-table')
            .dataTable({
                "bAutoWidth": false,
                "bFilter": false,
                "bDestroy": true,
                "bServerSide": true,
                "bPaginate": true,
                "bLengthChange": false,
                "sAjaxSource": "<c:url value='/business/activityBuild/findActivityBuildListData.json'/>",
                "sAjaxDataProp": "data",
                "aLengthMenu": [10],
                "aoColumns": [
                    // {"mDataProp": "activityBuildId", "sClass": "text-center", "bSortable": false},
                    {"mDataProp": "fullName", "sClass": "text-center", "bSortable": false},
                    {"mDataProp": "chargeName", "sClass": "text-center", "bSortable": false},
                    {"mDataProp": "chargeMobile", "sClass": "text-center", "bSortable": false},
                    {"mDataProp": "itemTotal", "sClass": "text-center", "bSortable": false},
                    {"mDataProp": "unApproveItemTotal", "sClass": "text-center", "bSortable": false},
                    {"mDataProp": "passItemTotal", "sClass": "text-center", "bSortable": false},
                    {"mDataProp": "failItemTotal", "sClass": "text-center", "bSortable": false},
                    {"mDataProp": "uploadDocTotal", "sClass": "text-center", "bSortable": false},
                    {"mDataProp": "updateTime", "sClass": "text-center", "bSortable": false}

                ], "aoColumnDefs": [
                    {
                        "aTargets": [9],
                        "mRender": function (tar, type, data) {
                            var html = "<a class='btn btn-outline btn-primary btn-xs ml5' onclick='directBuildItem(" + data.activityBuildId + ")'  >临建信息</a>";
                            return html;
                        }
                    }],
                "fnServerParams": function (aoData) {
                    rowNum = 0;
                    aoData.push(
                        {"name": "activityNo", "value": $("#activityNo").val()},
                        {"name": "updateTimeStart", "value": $("#updateTimeStart").val()},
                        {"name": "updateTimeEnd", "value": $("#updateTimeEnd").val()},
                        {"name": "keywords", "value": $("#keywords").val().trim()}

                );
                },
                "fnDrawCallback": function (data) {
                    $("td").tooltip({
                        selector: "[data-toggle=tooltip]",
                        container: "body"
                    });
                },
                "oLanguage": {
                    "sProcessing": "处理中...",
                    "sLengthMenu": "显示_MENU_ 项结果",
                    "sZeroRecords": "没有匹配结果",
                    "sInfo": " _START_ - _END_条记录，共_TOTAL_条",
                    "sInfoEmpty": "没有匹配结果",
                    "sInfoFiltered": "(由_MAX_项结果过滤)",
                    "sSearch": "搜索:",
                    "oPaginate": {
                        "sFirst": "首页",
                        "sPrevious": "上页",
                        "sNext": "下页",
                        "sLast": "末页"
                    }
                }
            });


        $(document).keyup(function (event) {
            if (event.keyCode == 13) {
                $("#searchBtn").trigger("click");
            }
        });
        $('.nav-second-level a[href="'+$('.breadcrumb li').eq(1).children().attr('href')+'"]').parent().addClass("active").parent().prev().click();
    });

    function directBuildItem( x) {
        location.href = "${pageContext.request.contextPath }/business/activityBuild/activityBuildItemListView/" + x;
    }
</script>
</body>

</html>
