<%@ page language="java" contentType="text/html; charset=UTF-8"
         pageEncoding="UTF-8" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib prefix="fns" uri="/WEB-INF/jsp/tld/fns.tld" %>
<%@ taglib prefix="app" tagdir="/WEB-INF/tags" %>

<style>
    .ibox-content {
        word-wrap: break-word;
    }
</style>
<div class="modal inmodal" id="activity-detail" tabindex="-1" role="dialog" aria-hidden="true" style="z-index:101">
    <div class="modal-dialog modal-lg" style="width:750px;">
        <div class="modal-content animated bounceInRight">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span
                        class="sr-only">Close</span></button>
                <h4 class="modal-title">战果信息</h4>
            </div>
            <div class="row">
                <div class="col-lg-10 col-lg-offset-1">
                    <div class="ibox float-e-margins">
                        <div id="detail-activity-info-area"></div>
                    </div>
                </div>
            </div>

            <div class="modal-footer">
                <button type="button" class="btn btn-white" data-dismiss="modal">关 闭</button>
            </div>
        </div>
    </div>
</div>


<div id="activity-info-html" class="hide">
    <div class="ibox-content">
        <div class="row">
            <div class="col-lg-12">
                <dl class="dl-horizontal">
                    <dt>活动编号</dt>
                    <dd id="activityNo"></dd>
                </dl>
            </div>
            <div class="col-lg-12">
                <dl class="dl-horizontal">
                    <dt>活动名称</dt>
                    <dd id="fullName"></dd>
                </dl>
            </div>
        </div>
        <div class="row">
            <div class="col-lg-12">
                <dl class="dl-horizontal">
                    <dt>活动类型</dt>
                    <dd id="typeCode"></dd>
                </dl>
            </div>
            <div class="col-lg-12">
                <dl class="dl-horizontal">
                    <dt>活动人数</dt>
                    <dd id="number"></dd>
                </dl>
            </div>
        </div>
        <div class="row">
            <div class="col-lg-12">
                <dl class="dl-horizontal">
                </dl>
            </div>
            <div class="col-lg-12">
                <dl class="dl-horizontal">
                </dl>
            </div>
        </div>

        <div class="row">
            <div class="col-lg-12">
                <dl class="dl-horizontal">
                    <dt>战果编码</dt>
                    <dd id="gatherNo"></dd>
                </dl>
            </div>
            <div class="col-lg-12">
                <dl class="dl-horizontal">
                    <dt>战果名称</dt>
                    <dd id="gatherName"></dd>
                </dl>
            </div>
        </div>

        <div class="row">
            <div class="col-lg-12">
                <dl class="dl-horizontal">
                    <dt>战果级别</dt>
                    <dd id="gatherLevel"></dd>
                </dl>
            </div>
            <div class="col-lg-12">
                <dl class="dl-horizontal">
                    <dt>战果详述</dt>
                    <dd id="description"></dd>
                </dl>
            </div>
        </div>

        <div class="row">
            <div class="col-lg-12">
                <dl class="dl-horizontal">
                    <dt>战果日期</dt>
                    <dd id="gatherDate"></dd>
                </dl>
            </div>
            <div class="col-lg-12">
                <dl class="dl-horizontal">
                </dl>
            </div>
        </div>

        <div class="row">

            <div class="col-lg-12">
                <dl class="dl-horizontal">
                </dl>
            </div>
            <div class="col-lg-12">
                <dl class="dl-horizontal">
                    <dt>安保公司编码</dt>
                    <dd id="securityOrgCode"></dd>
                </dl>
            </div>
        </div>

        <div class="row">
            <div class="col-lg-12">
                <dl class="dl-horizontal">
                    <dt>负责机构</dt>
                    <dd id="securityOrg"></dd>
                </dl>
            </div>
            <div class="col-lg-12">
                <dl class="dl-horizontal">
                    <dt>核查人数</dt>
                    <dd id="checkCount"></dd>
                </dl>
            </div>
        </div>

        <div class="row">
            <div class="col-lg-12">
                <dl class="dl-horizontal">
                    <dt>拦截人数</dt>
                    <dd id="interceptCount"></dd>
                </dl>
            </div>
            <div class="col-lg-12">
                <dl class="dl-horizontal">
                    <dt>劝返人数</dt>
                    <dd id="returnCount"></dd>
                </dl>
            </div>
        </div>

        <div class="row">
            <div class="col-lg-12">
                <dl class="dl-horizontal">
                    <dt>危险品数量</dt>
                    <dd id="dangerCount"></dd>
                </dl>
            </div>
            <div class="col-lg-12">
                <dl class="dl-horizontal">
                </dl>
            </div>
            <div class="col-lg-12">
                <dl class="dl-horizontal">
                </dl>
            </div>
            <div class="col-lg-12">
                <dl class="dl-horizontal">
                    <dt>更新时间</dt>
                    <dd id="updateTime"></dd>
                </dl>
            </div>
        </div>
    </div>
</div>

<script type="text/javascript">
    function showGatherDetailPanel(id) {
        $("#activity-detail").modal();
        var myData = getData(id);
        for (var key in myData) {
            $("#" + key).html(myData[key]);
        }
        var activityHtml = $("#activity-info-html").html();
        $("#detail-activity-info-area").html(activityHtml);

        $(".has-error").each(function (i, e) {
            $(e).removeClass("has-error");
        })
    }

    /**
     * 获取详情
     * @param id
     * @returns {*}
     */
    function getData(id) {
        var workflow;
        $.ajax({
            url: "<c:url value='/business/activityGather/findActivityGatherDetailData/"+id+".json'/>",
            type: 'post',
            async: false,
            dataType: 'json',
            success: function (data) {
                workflow = data;
            }
        })
        return workflow;
    }
</script>
