<%@ page language="java" contentType="text/html; charset=UTF-8"
         pageEncoding="UTF-8" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@taglib prefix="app" tagdir="/WEB-INF/tags" %>
<!DOCTYPE html>
<html>
<head>
    <jsp:include page="../../include/assets.jsp"></jsp:include>
    <jsp:include page="activityGatherDetail.jsp"></jsp:include>

    <style>
        .form-group {
            margin-right: 50px;
            margin-bottom: 10px !important;
        }
    </style>
</head>

<body style="background-color: #ffffff">
<div id="wrapper">
    <c:if test="${empty hiddenLeft}">
    <jsp:include page="../../include/menu.jsp"></jsp:include>
    <div id="page-wrapper" class="gray-bg">
        <jsp:include page="../../include/nav.jsp"></jsp:include>
        <div class="row wrapper border-bottom white-bg page-heading">
            <div class="col-lg-10">
                <h2>活动战果信息</h2>
                <ol class="breadcrumb">
                    <li>
                        <a href="/" style="cursor:default">首页</a>
                    </li>
                    <li>
                        <a href="${pageContext.request.contextPath}/business/bi/zgtj" style="cursor:default">活动战果信息</a>
                    </li>
                    <li class="active">
                        <strong>活动战果信息</strong>
                    </li>
                </ol>
            </div>
            <div class="col-lg-2">
            </div>
        </div>
        </c:if>

        <!-- 主内容 -->
        <div class="wrapper wrapper-content animated fadeInRight">
            <div class="row">
                <div class="col-lg-12">
                    <div class="ibox float-e-margins">
                        <div class="ibox-title">
                            <h5>数据检索</h5>
                            <div class="ibox-tools">
                                <a class="collapse-link">
                                    <i class="fa fa-chevron-up"></i>
                                </a>
                            </div>
                        </div>
                        <div class="ibox-content" style="padding-bottom:5px;">
                            <form class="form-inline" onsubmit="return false">
                                <input type="hidden" id="activityNoSearch" name="activityNoSearch" value="${activityNo }">
                                <div class="form-group">
                                    <label for="gatherLevelSearch">战果级别：</label>
                                    <select name="gatherLevelSearch" class="form-control" id="gatherLevelSearch" onchange="oTable.fnDraw();">
                                        <option value="">全部</option>
                                        <option value="一级">一级</option>
                                        <option value="二级">二级</option>
                                        <option value="三级">三级</option>
                                    </select>
                                </div>
                                <div class="form-group">
                                    <label for="gatherStartDate" >战果日期：</label>
                                    <div class="input-daterange input-group" id="datepicker">
                                        <input type="text" class="form-control" id="gatherStartDate" name="gatherStartDate" maxlength="10" placeholder="时间"/>
                                        <span class="input-group-addon"> ~ </span>
                                        <input type="text" class="form-control" id="gatherEndDate" name="gatherEndDate" maxlength="10" placeholder="时间"/>
                                        <a class="input-group-addon" onclick="oTable.fnDraw();"><i class="fa fa-search"></i></a>
                                    </div>
                                    <button type="button" id="clearBtn" lay-submit lay-filter="layedit-link-yes" class="btn-white btn-sm">清除</button>
                                </div>
                                <div class="form-group">
                                    <label for="keywords">查询关键字：</label>
                                    <div class="input-group">
                                        <input id="keywords" name="keywords" type="text" class="form-control" maxlength="50" placeholder="输入关键词"/>
                                        <a id="searchBtn" class="input-group-addon" onclick="oTable.fnDraw();"><i class="fa fa-search"></i></a>
                                    </div>
                                </div>
                            </form>

                        </div>
                    </div>
                </div>
            </div>

            <div class="row">
                <div class="col-lg-12">
                    <div class="ibox float-e-margins">
                        <div class="ibox-title">
                            <h5>数据统计</h5>
                            <div class="text-right">
                                <a class='btn btn-outline btn-success btn-xs ml5'
                                   onclick="javascript:window.history.back();">返回上一级</a>
                            </div>
                            <div class="ibox-tools">
                                <a class="collapse-link">
                                    <i class="fa fa-chevron-up"></i>
                                </a>

                            </div>
                        </div>
                        <div class="ibox-content">
                            <table id="dynamic-table" class="table table-striped table-bordered table-hover dataTables-example">
                                <thead>
                                <tr>
                                    <th>战果编码</th>
                                    <th>战果名称</th>
                                    <th>战果级别</th>
                                    <th>核查人数</th>
                                    <th>拦截人数</th>
                                    <th>劝返人数</th>
                                    <th>危险品数量</th>
                                    <th>战果日期</th>
                                    <th>操作</th>
                                </tr>
                                </thead>
                                <tbody>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <jsp:include page="../../include/footer.jsp"></jsp:include>
    </div>
</div>
<jsp:include page="../../include/scripts.jsp"></jsp:include>

<script type="text/javascript">

    $('#gatherStartDate,#gatherEndDate').datetimepicker({
        minView: "month",//设置只显示到月份
        format : "yyyy-mm-dd",//日期格式
        autoclose:true,//选中关闭
        todayBtn: true//今日按钮
    });

    //清空活动开始日期
    $('#clearBtn').click(function () {
        $('#gatherStartDate').val("");
        $('#gatherEndDate').val("");
        oTable.fnDraw();
    });

    $(function () {
        oTable = $('#dynamic-table')
            .dataTable({
                "bAutoWidth": false,
                "bFilter": false,
                "bDestroy": true,
                "bServerSide": true,
                "bPaginate": true,
                "bLengthChange": false,
                "sAjaxSource": "<c:url value='/business/activityGather/findActivityGatherListData.json'/>",
                "sAjaxDataProp": "data",
                "aLengthMenu": [10],
                "aoColumns": [
                    // {"mDataProp": "activityGatherId", "sClass": "text-center", "bSortable": false},
                    {"mDataProp": "gatherNo", "sClass": "text-center", "bSortable": false},
                    {"mDataProp": "gatherName", "sClass": "text-center", "bSortable": false},
                    {"mDataProp": "gatherLevel", "sClass": "text-center", "bSortable": false},
                    {"mDataProp": "checkCount", "sClass": "text-center", "bSortable": false},
                    {"mDataProp": "interceptCount", "sClass": "text-center", "bSortable": false},
                    {"mDataProp": "returnCount", "sClass": "text-center", "bSortable": false},
                    {"mDataProp": "dangerCount", "sClass": "text-center", "bSortable": false},
                    {"mDataProp": "gatherDate", "sClass": "text-center", "bSortable": false}
                ],
                "fnServerParams": function (aoData) {
                    rowNum = 0;
                    aoData.push(
                        {"name": "activityNo", "value": $("#activityNoSearch").val()},
                        {"name": "gatherLevel", "value": $("#gatherLevelSearch").val()},
                        {"name": "gatherStartDate", "value": $("#gatherStartDate").val()},
                        {"name": "gatherEndDate", "value": $("#gatherEndDate").val()},
                        {"name": "keywords", "value": $("#keywords").val().trim()}
                    );
                },
                "fnDrawCallback": function (data) {
                    $("td").tooltip({
                        selector: "[data-toggle=tooltip]",
                        container: "body"
                    });
                },
                "aoColumnDefs": [

                    {
                        "aTargets": [8],
                        "mRender": function (tar, type, data) {
                            var html = "<a class='btn btn-outline btn-primary btn-xs ml5' onclick='showGatherDetailPanel(" + data.activityGatherId + ")'  >战果信息</a>";
                            return html;

                        }
                    }
                ],
                "oLanguage": {
                    "sProcessing": "处理中...",
                    "sLengthMenu": "显示_MENU_ 项结果",
                    "sZeroRecords": "没有匹配结果",
                    "sInfo": " _START_ - _END_条记录，共_TOTAL_条",
                    "sInfoEmpty": "没有匹配结果",
                    "sInfoFiltered": "(由_MAX_项结果过滤)",
                    "sSearch": "搜索:",
                    "oPaginate": {
                        "sFirst": "首页",
                        "sPrevious": "上页",
                        "sNext": "下页",
                        "sLast": "末页"
                    }
                }
            });


        $(document).keyup(function (event) {
            if (event.keyCode == 13) {
                $("#searchBtn").trigger("click");
            }
        });
        $('.nav-second-level a[href="'+$('.breadcrumb li').eq(1).children().attr('href')+'"]').parent().addClass("active").parent().prev().click();
    });
</script>
</body>

</html>
