<%@ page language="java" contentType="text/html; charset=UTF-8"
         pageEncoding="UTF-8" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@taglib prefix="app" tagdir="/WEB-INF/tags" %>
<!DOCTYPE html>
<html>
<head>
    <jsp:include page="../../include/assets.jsp"></jsp:include>

    <style>
        #tip {
            position: absolute;
            border-width: 0px;
            position: absolute;
            left: 0px;
            top: 0px;
            width: 42px;
            height: 22px;
            background: inherit;
            background-color: rgba(0, 0, 0, 0.298039215686275);
            border: none;
            border-radius: 4px;
            -moz-box-shadow: none;
            -webkit-box-shadow: none;
            box-shadow: none;
            font-family: 'PingFangSC-Regular', 'PingFang SC';
            font-weight: 400;
            font-style: normal;
            font-size: 11px;
            color: #FFFFFF;
        }
        #tip span{
            display: inline-block;
            padding:3px 0px 0px 4px;
        }
        .form-group {
            margin-right: 50px;
        }
    </style>

</head>

<body>
<div id="wrapper">
    <jsp:include page="../../include/menu.jsp"></jsp:include>
    <div id="page-wrapper" class="gray-bg">
        <jsp:include page="../../include/nav.jsp"></jsp:include>
        <div class="row wrapper border-bottom white-bg page-heading">
            <div class="col-lg-10">
                <h2>备案活动</h2>
                <ol class="breadcrumb">
                    <li>
                        <a href="javascript:void(0);" style="cursor:default">首页</a>
                    </li>
                    <li>
                        <a href="javascript:void(0);" style="cursor:default">活动管理</a>
                    </li>
                    <li class="active">
                        <strong>网上提交-备案活动</strong>
                    </li>
                </ol>
            </div>
            <div class="col-lg-2">
            </div>
        </div>

        <!-- 主内容 -->
        <div class="wrapper wrapper-content animated fadeInRight">
            <div class="row">
                <div class="col-lg-12">
                    <div class="ibox float-e-margins">
                        <div class="ibox-title">
                            <h5>活动搜索</h5>
                            <div class="ibox-tools">
                                <a class="collapse-link">
                                    <i class="fa fa-chevron-up"></i>
                                </a>

                            </div>
                        </div>
                        <div class="ibox-content" style="padding-bottom:5px;">
                            <form class="form-inline m-b" onsubmit="return false">
                                <input type="hidden" id="iRegionLevel" name="regionLevel" value="${LOGIN_USER.regionLevel }">
                                <input type="hidden" id="iProvince" name="province" value="${LOGIN_USER.province}">
                                <input type="hidden" id="iCity" name="city" value="${LOGIN_USER.city }">
                                <input type="hidden" id="iArea" name="area" value="${LOGIN_USER.area }">
                                <input type="hidden" id="userId" name="userId" value="${LOGIN_USER.id }">
                                <app:region></app:region>
                                <div class="form-group" style="display: none">
                                    <label for="typeCode">活动类型：</label>
                                    <select name="typeCode" class="form-control" id="typeCodeSeach" onchange="oTable.fnDraw();">
                                        <option value="">全部活动类型</option>
                                        <option value="100001">体育赛事</option>
                                        <option value="100002">文艺演出</option>
                                        <option value="100003">展览展销</option>
                                        <option value="100004">游园灯会</option>
                                        <option value="100005">招聘会</option>
                                        <option value="100006">公益慈善</option>
                                        <option value="100007">其他</option>
                                    </select>
                                </div>
                                <div class="form-group">
                                    <label for="keywords">查询关键字：</label>
                                    <div class="input-group">
                                        <input id="keywords" name="keywords" type="text" class="form-control" maxlength="50" placeholder="输入关键词"/>
                                        <a id="searchBtn" class="input-group-addon" onclick="oTable.fnDraw();"><i class="fa fa-search"></i></a>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label for="keywords">活动状态：</label>
                                    <div class="input-group">
                                        <select name="approveStatus" class="form-control" id="approveStatus" onchange="oTable.fnDraw();">
                                            <option value="">全部</option>
                                            <option value="YES">备案</option>
                                            <option value="REJECT">退回</option>
                                        </select>
                                    </div>
                                </div>
                            </form>
                            <form class="form-inline" style="margin-bottom: 10px">
                                <div class="form-group">
                                    <label for="sStartDate">活动开始日期：</label>
                                    <div class="input-daterange input-group" id="datepicker">
                                        <input type="text" class="form-control" id="sStartDate" name="sStartDate" maxlength="10" placeholder="开始时间"/>
                                        <span class="input-group-addon"> ~ </span>
                                        <input type="text" class="form-control" id="sEndDate" name="sEndDate" maxlength="10" placeholder="结束时间"/>
                                        <a class="input-group-addon" onclick="oTable.fnDraw();"><i class="fa fa-search"></i></a>
                                    </div>
                                    <button type="button"  id="startDateBtn" lay-submit lay-filter="layedit-link-yes" class="btn-white btn-sm">清除</button>
                                </div>
                                <div class="form-group" style="display: none">
                                    <label for="finishStartDate">活动结束日期：</label>
                                    <div class="input-daterange input-group" id="datepicker1">
                                        <input type="text" class="form-control" id="finishStartDate" name="finishStartDate" maxlength="10" placeholder="开始时间"/>
                                        <span class="input-group-addon"> ~ </span>
                                        <input type="text" class="form-control" id="finishEndDate" name="finishEndDate" maxlength="10" placeholder="结束时间"/>
                                        <a class="input-group-addon" onclick="oTable.fnDraw();"><i class="fa fa-search"></i></a>
                                    </div>
                                    <button type="button" id="finishStartDateBtn" lay-submit lay-filter="layedit-link-yes" class="btn-white btn-sm">清除</button>
                                </div>
                                <div class="form-group" style="margin-left:26px;">
                                    <label for="addTimeStartDate">报备日期：</label>
                                    <div class="input-daterange input-group" id="datepicker3">
                                        <input type="text" class="form-control" id="addTimeStartDate" name="addTimeStartDate" maxlength="10" placeholder="开始时间"/>
                                        <span class="input-group-addon"> ~ </span>
                                        <input type="text" class="form-control" id="addTimeEndDate" name="addTimeEndDate" maxlength="10" placeholder="结束时间"/>
                                        <a class="input-group-addon" onclick="oTable.fnDraw();"><i class="fa fa-search"></i></a>
                                    </div>
                                    <button type="button" id="addTimeStartDateBtn" lay-submit lay-filter="layedit-link-yes" class="btn-white btn-sm">清除</button>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-lg-12">
                    <div class="ibox float-e-margins">
                        <div class="ibox-title">
                            <h5>备案活动列表</h5>
                            <div class="ibox-tools">
                                <a class="collapse-link">
                                    <i class="fa fa-chevron-up"></i>
                                </a>

                            </div>
                        </div>

                        <div class="ibox-content">
                            <table id="dynamic-table" class="table table-striped table-bordered table-hover dataTables-example">
                                <thead>
                                <tr>
                                    <th>报备时间</th>
                                    <th>活动名称</th>
                                    <th>承办单位</th>
                                    <th>举办地区</th>
                                    <th>活动状态</th>
                                    <th>活动开始时间</th>
                                    <th>操作</th>
                                </tr>
                                </thead>
                                <tbody>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <jsp:include page="../../include/footer.jsp"></jsp:include>
    </div>
</div>

<div class="modal inmodal" id="update-activity" tabindex="-1" role="dialog" aria-hidden="true" style="z-index:101">
    <div class="modal-dialog modal-lg">
        <div class="modal-content animated bounceInRight">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
                <i class="fa fa-laptop modal-icon"></i>
                <h4 class="modal-title">创建政府类活动</h4>
                <small class="font-bold">请确保所填资料的完整、准确，以便于公安机关合理安排警力及安保部署.</small>
            </div>
            <form id="create-from" class="form-horizontal">
                <input type="hidden" id="id" name="id" value=""/>
                <div class="modal-body">
                    <input type="hidden" name="gov" value="true">
                    <div class="row">
                        <div class="form-group">
                            <label class="col-sm-2 control-label">活动举办地区</label>
                            <div class="col-sm-3">
                                <select class="form-control m-b" id="province" name="province">
                                </select>
                            </div>
                            <div class="col-sm-3">
                                <select class="form-control m-b" id="city" name="city">
                                </select>
                            </div>
                            <div class="col-sm-3">
                                <select class="form-control m-b" id="area" name="area">
                                </select>
                            </div>
                        </div>
                        <div class="hr-line-dashed"></div>
                    </div>

                    <div class="row">
                        <div class="col-sm-6">
                            <div class="form-group">
                                <label class="col-sm-4 control-label">活动名称</label>
                                <div class="col-sm-8">
                                    <input id="name" type="text" class="form-control" name="fullName" onblur="notNullCheck(this.id)">
                                </div>
                            </div>
                            <div class="hr-line-dashed"></div>
                        </div>
                        <div class="col-sm-6">
                            <div class="form-group">
                                <label class="col-sm-4 control-label">活动类型</label>
                                <div class="col-sm-8">
                                    <select class="form-control m-b" id="typeCode" name="typeCode">
                                        <c:forEach items="${activityType }" var="type">
                                            <option value="${type.key }">${type.value }</option>
                                        </c:forEach>
                                    </select>
                                </div>
                            </div>
                            <div class="hr-line-dashed"></div>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-sm-6">
                            <div class="form-group">
                                <label class="col-sm-4 control-label">活动举办场地</label>
                                <div class="col-sm-8">
                                    <input id="address" name="address" type="text" class="form-control" maxlength="230" onblur="notNullCheck(this.id)">
                                </div>
                            </div>
                            <div class="hr-line-dashed"></div>
                            <div class="form-group">
                                <label class="col-sm-4 control-label">主办单位</label>
                                <div class="col-sm-8">
                                    <input id="organizer" name="organizer" type="text" class="form-control" maxlength="100" onblur="notNullCheck(this.id)">
                                </div>
                            </div>
                            <div class="hr-line-dashed"></div>
                        </div>
                        <div class="col-sm-6">
                            <div class="form-group">
                                <label class="col-sm-4 control-label">活动期间单日最大参加人数</label>
                                <div class="col-sm-8">
                                    <input id="number" name="number" type="number" class="form-control" maxlength="7" onblur="notNullCheck(this.id)">
                                </div>
                            </div>
                            <div class="hr-line-dashed"></div>
                            <div class="form-group">
                                <label class="col-sm-4 control-label">承办单位</label>
                                <div class="col-sm-8">
                                    <input id="sponsor" name="sponsor" type="text" class="form-control" maxlength="100" onblur="notNullCheck(this.id)">
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div id="activity-date" class="form-group col-sm-7">
                            <label class="col-sm-4 control-label">活动起止时间</label>
                            <div class="col-sm-8 input-daterange input-group" id="datepicker2">
                                <input type="text" class="input-sm form-control" data-date-format="yyyy-mm-dd hh:ii" id="startDate" name="startDate"
                                       onchange="checkDate(1);"/>
                                <span class="input-group-addon"> -></span>
                                <input type="text" class="input-sm form-control" data-date-format="yyyy-mm-dd hh:ii" id="endDate" name="endDate"
                                       onchange="checkDate(2);"/>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-white" data-dismiss="modal">取 消</button>
                    <button type="submit" class="btn btn-primary" onclick="createOrUpdate()">保 存</button>
                </div>
            </form>
        </div>
    </div>
</div>

<jsp:include page="detail.jsp"></jsp:include>
<jsp:include page="../../include/scripts.jsp"></jsp:include>

<script type="text/javascript">
    var crlvl = '${LOGIN_USER.regionLevel}';
    var cprovince = '${LOGIN_USER.province}';
    var ccity = '${LOGIN_USER.city}';
    var carea = '${LOGIN_USER.area}';

    function initSelect() {
        //初始化省市县下拉框状态
        switch (crlvl) {
            case "1":
                $("#province").attr("disabled", "disabled");
                break;
            case "2":
                $("#province,#city").attr("disabled", "disabled");
                break;
            case "3":
                $("#province,#city,#area").attr("disabled", "disabled");
                break;
        }
    }

    function showUpdatePanel(rowNum) {
        initSelect();
        $("#update-activity").modal();
        if (null != rowNum) {
            var data = oTable.fnGetData(oTable.fnGetNodes()[rowNum]);
            $("#id").val(data.id);
            $('#province option').removeAttr('selected').each(function () {
                if ($(this).val() == data.province) {
                    $("#province").val($(this).attr("value"));
                    $(this).attr('selected', true);
                    $("#city,#area").empty().append("<option value='0'>请选择</option>");
                    getRegion($(this).val(), 'city');
                }
            });
            $('#city option').each(function () {
                if ($(this).val() == data.city) {
                    $("#city").val($(this).attr("value"));
                    $("#area").empty().append("<option value='0'>请选择</option>");
                    getRegion($(this).val(), 'area');
                }
            });
            $('#area option').each(function () {
                if ($(this).val() == data.area) {
                    $("#area").val($(this).attr("value"));
                }
            });
            $("#typeCode").val(data.typeCode);
            $("#name").val(data.fullName);
            $("#address").val(data.address);
            $("#sponsor").val(data.sponsor);
            $("#organizer").val(data.organizer);
            $("#number").val(data.number);
            $("#startDate").val(data.startDate);
            $("#endDate").val(data.endDate);
        } else {
            $("#id,#name,#address,#sponsor,#organizer,#number,#startDate,#endDate").val("");
        }
        $(".has-error").removeClass("has-error");
    }

    function formCheck() {
        var result = true;
        if (!notNullCheck("province", "活动举办地区省份")) {
            result = false;
        }
        if (!notNullCheck("city", "活动举办地区地市")) {
            result = false;
        }
        if (!notNullCheck("area", "活动举办地区区县")) {
            result = false;
        }
        if (!notNullCheck("name", "活动名称")) {
            result = false;
        }
        if (!notNullCheck("address", "活动举办场地")) {
            result = false;
        }
//     		if(!notNullCheck("sponsor","主办方不能为空")) {
//     			result = false;
//     		}
        if (!notNullCheck("sponsor", "承办方")) {
            result = false;
        }
        if (!notNullCheck("number", "活动期间单日最大参加人数")) {
            result = false;
        }
        if (!notNullCheck("startDate", "活动开始时间")) {
            result = false;
        }
        if (!notNullCheck("endDate", "活动结束时间")) {
            result = false;
        }
        return result;
    }

    function checkDate(state) {
        var beginDate = $("#startDate").val();
        var endDate = $("#endDate").val();
        var cdate = new Date();
        var d1, d2;
        if (beginDate != "") {
            d1 = new Date(beginDate.replace(/\-/g, "\/"));
            if (d1 < cdate) {
                layer.msg('开始时间不能早于当前时间！');
                $("#startDate").val("");
            }
        }
        if (endDate != "") {
            d2 = new Date(endDate.replace(/\-/g, "\/"));
            if (d2 < cdate) {
                layer.msg('结束时间不能早于当前时间！');
                $("#endDate").val("");
            }
        }

        if (beginDate != "" && endDate != "") {
            if (d1 >= d2) {
                layer.msg('开始时间不能早于或等于结束时间！');
                switch (state) {
                    case 0:
                        $("#startDate").val("");
                        break;
                    case 1:
                        $("#endDate").val("");
                        break;
                }
            }
        }
    }

    function createOrUpdate() {
        $('#create-from').unbind('submit').submit(function () {
            if (formCheck()) {
                $("#province,#city,#area").removeAttr("disabled");
                $(this).ajaxSubmit({
                    type: 'post',
                    url: '<c:url value="/business/activity/createOrUpdate"/>',
                    success: function (data) {
                        oTable.fnDraw();
                        $("#update-activity").modal('hide');
                    },
                    completed: function () {
                    }
                });
            }
            return false;
        });
    }

    function deleteActivity(rowNum) {
        if (null != rowNum) {
            var data = oTable.fnGetData(oTable.fnGetNodes()[rowNum]);
            layer.confirm('确定删除"' + data.fullName + '"活动吗?', {
                btn: ['确定', '取消']
            }, function () {
                $.ajax({
                    url: '<c:url value="/business/activity/delete/'+data.id+'"/>',
                    type: 'post',
                    dataType: 'json',
                    success: function (data) {
                        oTable.fnDraw();
                        layer.msg('删除成功', {time: 1000, icon: 1});
                    }
                });
            });
        } else {
            layer.alert('参数错误!');
        }
    }

    $(function () {
        initQueryRegion();
        oTable = $('#dynamic-table')
            .dataTable({
                "bAutoWidth": false,
                "bFilter": false,
                "bDestroy": true,
                "bServerSide": true,
                "bPaginate": true,
                "bLengthChange": false,
                "sAjaxSource": "<c:url value='/business/activity/findData'/>",
                "sAjaxDataProp": "data",
                "aLengthMenu": [10],
                "aoColumns": [
                    {"mDataProp": "addTime", "sClass": "text-center", "bSortable": false},
                    {"mDataProp": "fullName", "sClass": "", "bSortable": false},
                    {"mDataProp": "sponsor", "sClass": "text-center", "bSortable": false},
                    {"mDataProp": "city", "sClass": "text-center", "bSortable": false},
                    {"mDataProp": "approveStatus", "sClass": "text-center", "bSortable": false},
                    {"mDataProp": "startTime", "sClass": "text-center", "bSortable": false}
                    // {"mDataProp": "address", "sClass": "", "bSortable": false},
                    // {"mDataProp": "typeCode", "sClass": "text-center", "bSortable": false},
                    // {"mDataProp": "sync", "sClass": "text-center", "bSortable": false}
                ],
                "fnServerParams": function (aoData) {
                    rowNum = 0;
                    var sCity,sArea;
                    if ($("#sCity").length > 0) {
                        sCity = $("#sCity").val();
                    }
                    var sArea;
                    if ($("#sArea").length > 0) {
                        sArea = $("#sArea").val();
                    }
                    aoData.push(
                        {"name": "regionLevel", "value": $("#iRegionLevel").val()},
                        {"name": "province", "value": $("#iProvince").val()},
                        {"name": "city", "value": $("#iCity").val()},
                        {"name": "area", "value": $("#iArea").val()},
                        {"name": "gov", "value": true},
                        {"name": "approveStatus", "value": $("#approveStatus").val()},
                        {"name": "sCity", "value": sCity},
                        {"name": "sArea", "value": sArea},
                        {"name": "keywords", "value": $("#keywords").val()},
                        {"name": "startDate", "value": $("#sStartDate").val()},
                        {"name": "endDate", "value": $("#sEndDate").val()},
                        {"name": "finishStartDate", "value": $("#finishStartDate").val()},
                        {"name": "finishEndDate", "value": $("#finishEndDate").val()},
                        {"name": "addTimeStartDate", "value": $("#addTimeStartDate").val()},
                        {"name": "addTimeEndDate", "value": $("#addTimeEndDate").val()},
                        {"name": "typeCode", "value": $("#typeCodeSeach").val()}
                    );
                },
                "fnDrawCallback": function (data) {
                    $("td").tooltip({
                        selector: "[data-toggle=tooltip]",
                        container: "body"
                    });
                },
                "aoColumnDefs": [
                    {
                        "aTargets": [0],
                        "mRender": function (tar, type, data) {
                            if(data.sync==1 || data.approveStatus=='YES'){
                                return '<span style="display: inline-block;margin-left:25px;">'+data.addTime+'<span>';
                            }else{
                                return "<img style='width:25px;margin-top:-5px;' onmouseover='mouseOver(this)' onmouseout='mouseOut(this)' alt='未同步' class='tip' src='${pageContext.request.contextPath }/img/sync.png'><span style='display: inline-block;margin-left:5px;'>"+data.addTime+"</span>";
                            }
                            return data.addTime;
                        }
                    },
                    {
                        "aTargets": [1],
                        "mRender": function (tar, type, data) {
                            var pname = data.fullName;
                            if (data.history == 1) {
                                pname = "（历）" + pname;
                            }
                            if ($("#keywords").val().length > 0) {
                                var keywords = $("#keywords").val();
                                return pname.replaceAll(keywords, "<span style='background:orange'>" + keywords + "</span>");
                            } else {
                                return pname;
                            }
                        }
                    },
                    {
                        "aTargets": [2],
                        "mRender": function (tar, type, data) {
                            if ($("#keywords").val().length > 0) {
                                var keywords = $("#keywords").val();
                                return data.sponsor.replaceAll(keywords, "<span style='background:orange'>" + keywords + "</span>");
                            } else {
                                return data.sponsor;
                            }
                        }
                    },
                    {
                        "aTargets": [3],
                        "mRender": function (tar, type, data) {
                            if(data.areaname!=null){
                                return data.provincename + "-" + data.cityname + "-"+ data.areaname;
                            }
                            if(data.cityname!=null){
                                return data.cityname;
                            }
                            return data.provincename + (data.cityname==null?"":('-'+data.cityname)) + (data.areaname==null?"":('-'+data.areaname));
                        }
                    },
                    {
                        "aTargets": [4],
                        "mRender": function (tar, type, data) {
                            if(data.approveStatus=='YES'){
                                return "备案";
                            }
                            if(data.approveStatus=='REJECT'){
                                return "退回";
                            }
                            return data.approveStatus;
                            // return data.startDateStr + '-' + data.endDateStr;
                        }
                    },
                    {
                        "aTargets": [5],
                        "mRender": function (tar, type, data) {
                            return data.startDateStr;
                            // return data.startDateStr + '-' + data.endDateStr;
                        }
                    },
                    {
                        "aTargets": [6],
                        "mRender": function (tar, type, data) {
                            var html = "<a class='btn btn-outline btn-primary btn-xs ml5' onclick='showDetailPanel(" + rowNum + ")'  >活动详情</a>   ";
                            if(data.approveStatus=='YES') {
                                html += "<a class='btn btn-outline btn-primary btn-xs ml5' href='" + baseUrl + "/business/activity/govreport/" + data.id + "'  >活动上报</a>   ";
                            }
                            /*if (data.approveStatus == 'NONE') {
                                html += "<a class='fa fa-edit' style='font-size:16px;' onclick='showUpdatePanel(" + rowNum + ")' data-toggle='tooltip' data-placement='top' title='修改'></a>&nbsp;";
                                html += "<a class='fa fa-trash-o' style='font-size:16px;color:#9D261D' onclick='deleteActivity(" + rowNum + ")' data-toggle='tooltip' data-placement='top' title='删除'></a>";
                            }*/
                            rowNum++;
                            if (data.surveyInfo == '1') {
                                var activityId = data.id;
                                html += "&nbsp;<a class='btn btn-outline btn-primary btn-xs ml5' href='"+baseUrl+"/business/activity/surveyInfo/" + activityId + "'>勘查详情</a>";
                            }
                            return html;
                        }
                    }
                    // {
                    //     "aTargets": [6],
                    //     "mRender": function (tar, type, data) {
                    //         if ($("#keywords").val().length > 0) {
                    //             var keywords = $("#keywords").val();
                    //             return data.address.replaceAll(keywords, "<span style='background:orange'>" + keywords + "</span>");
                    //         } else {
                    //             return data.address;
                    //         }
                    //     }
                    // },
                    //
                    // {
                    //     "aTargets": [7],
                    //     "mRender": function (tar, type, data) {
                    //         if(data.typeCode=="100001"){
                    //             return "体育赛事";
                    //         }else if(data.typeCode=="100002"){
                    //             return "文艺演出";
                    //         }else if(data.typeCode=="100003"){
                    //             return "展览展销";
                    //         }else if(data.typeCode=="100004"){
                    //             return "游园灯会";
                    //         }else if(data.typeCode=="100005"){
                    //             return "招聘会";
                    //         }else if(data.typeCode=="100006"){
                    //             return "公益慈善";
                    //         }else if(data.typeCode=="100007"){
                    //             return "其他";
                    //         }else{
                    //             return "";
                    //         }
                    //     }
                    // },
                    // {
                    //     "aTargets": [8],
                    //     "mRender": function (tar, type, data) {
                    //         if(data.sync==1){
                    //             return "已同步";
                    //         }else if(!data.gov){
                    //             return "未同步";
                    //         }else{
                    //             return "不用同步（政府类）";
                    //         }
                    //     }
                    // }

                ],
                "oLanguage": {
                    "sProcessing": "处理中...",
                    "sLengthMenu": "显示_MENU_ 项结果",
                    "sZeroRecords": "没有匹配结果",
                    "sInfo": " _START_ - _END_条记录，共_TOTAL_条",
                    "sInfoEmpty": "没有匹配结果",
                    "sInfoFiltered": "(由_MAX_项结果过滤)",
                    "sSearch": "搜索:",
                    "oPaginate": {
                        "sFirst": "首页",
                        "sPrevious": "上页",
                        "sNext": "下页",
                        "sLast": "末页"
                    }
                }
            });


        $('#startDate,#endDate,#sStartDate,#sEndDate,#finishStartDate,#finishEndDate,#addTimeStartDate,#addTimeEndDate').datetimepicker({
            todayBtn: "linked",
            keyboardNavigation: false,
            forceParse: false,
            calendarWeeks: true,
            autoclose: true,
            format: 'yyyy-mm-dd hh:ii'
        });

        initRegion();
        $(document).keyup(function (event) {
            if (event.keyCode == 13) {
                $("#searchBtn").trigger("click");
            }
        });

        //清空活动开始日期
        $('#startDateBtn').click(function () {
            $('#sStartDate').val("");
            $('#sEndDate').val("");
            oTable.fnDraw();
        });
        //清空活动结束日期
        $('#finishStartDateBtn').click(function () {
            $('#finishStartDate').val("");
            $('#finishEndDate').val("");
            oTable.fnDraw();
        });
        //清空提交审批日期
        $('#addTimeStartDateBtn').click(function () {
            $('#addTimeStartDate').val("");
            $('#addTimeEndDate').val("");
            oTable.fnDraw();
        });
    });

    function initRegion() {
        $("#province,#city").change(function (event) {
            var val = $(this).val();
            if ($(this).is("#province")) {
                $("#city,#area").empty();
                val == "0" || getRegion(val, "city");
            } else if ($(this).is("#city")) {
                $("#area").empty();
                val == "0" || getRegion(val, "area");
            }
        });
        //获取省数据
        getRegion(100000, 'province');
    }

    function getRegion(id, input) {
        $.ajax({
            url: "<c:url value='/business/getRegion/"+id+"'/>",
            type: 'post',
            async: false,
            dataType: 'json',
            success: function (data) {
                if (input == 'province') {
                    $.each(data, function (index, d) {
                        if (d.id == cprovince) {
                            $("#" + input).append("<option value='" + d.id + "' selected>" + d.fullName + "</option>");
                            return false;
                        } else {
                            $("#" + input).append("<option value='" + d.id + "'>" + d.fullName + "</option>");
                        }
                    });
                    var val = $("#" + input).val();
                    if (val && val != "") {
                        getRegion(val, 'city');
                    }
                }
                if (input == 'city') {
                    $.each(data, function (index, d) {
                        if (d.id == ccity) {
                            $("#" + input).append("<option value='" + d.id + "' selected>" + d.fullName + "</option>");
                            return false;
                        } else {
                            $("#" + input).append("<option value='" + d.id + "'>" + d.fullName + "</option>");
                        }
                    });
                    var val = $("#" + input).val();
                    if (val && val != "") {
                        getRegion(val, 'area');
                    }
                }
                if (input == 'area') {
                    $.each(data, function (index, d) {
                        if (d.id == carea) {
                            $("#" + input).append("<option value='" + d.id + "' selected>" + d.name + "</option>");
                            return false;
                        } else {
                            $("#" + input).append("<option value='" + d.id + "'>" + d.name + "</option>");
                        }
                    });
                }
            }
        })
    }
</script>

<script>
    function mouseOver(thiz){
        var html = '<div id="tip"><span>未同步</span></div>';
        $('body').append(html);
        $('#tip').show();
        var X = $(thiz).offset().top;
        var Y = $(thiz).offset().left;
        $('#tip').css({ "top": (X - 20) + "px", "left": (Y) + "px" })
    }
    function mouseOut(thiz){
        $('#tip').remove();
    }
</script>

</body>

</html>
