<%@ page language="java" contentType="text/html; charset=UTF-8"
         pageEncoding="UTF-8"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>

<style>
    .ibox-content{ word-wrap:break-word; }
</style>
<div class="modal inmodal" id="activity-detail"  tabindex="-1" role="dialog" aria-hidden="true" style="z-index:101">
    <div class="modal-dialog modal-lg" style="width:750px;">
        <div class="modal-content animated bounceInRight" >
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
                <h4 class="modal-title">活动详情</h4>
            </div>
            <div class="row">
                <div class="col-lg-10 col-lg-offset-1">
                    <div class="ibox float-e-margins">
                        <div class="ibox-title">
                            <h5>活动详情</h5>
                            <div class="ibox-tools">
                            </div>
                        </div>
                        <div id="detail-activity-info-area"></div>
                    </div>
                </div>
            </div>

            <div class="modal-footer">
                <button type="button" class="btn btn-white" data-dismiss="modal">关 闭</button>
            </div>
        </div>
    </div>
</div>


<div id="activity-info-html" class="hide">
    <div class="ibox-content">
    <div class="row">
        <div class="col-lg-12">
            <dl class="dl-horizontal">
                <dt>活动名称</dt>
                <dd>{name}</dd>
            </dl>
        </div>
        <div class="col-lg-12">
            <dl class="dl-horizontal">
                <dt>活动类型</dt>
                <dd>{activityType}</dd>
            </dl>
        </div>
    </div>
    <div class="row">
        <div class="col-lg-12">
            <dl class="dl-horizontal">
                <dt>举办地区</dt>
                <dd>{area}</dd>
            </dl>
        </div>
        <div class="col-lg-12">
            <dl class="dl-horizontal">
                <dt>举办场地</dt>
                <dd>{address}</dd>
            </dl>
        </div>
    </div>
        <div class="row">
            <div class="col-lg-12">
                <dl class="dl-horizontal">
                    <dt>活动地址坐标</dt>
                    <dd>{coordinate}</dd>
                </dl>
            </div>
        </div>


    <div class="row">
        <div class="col-lg-12">
            <dl class="dl-horizontal">
                <dt>主办单位</dt>
                <dd>{organizer}</dd>
            </dl>
        </div>
    </div>
    <div class="row">
        <div class="col-lg-12">
            <dl class="dl-horizontal">
                <dt>承办单位</dt>
                <dd>{sponsor}</dd>
            </dl>
        </div>

        <div class="col-lg-12">
            <dl class="dl-horizontal">
                <dt>承办单位地址</dt>
                <dd>{sponsorAddress}</dd>
            </dl>
        </div>
    </div>
    <div class="row">
        <div class="col-lg-12">
            <dl class="dl-horizontal">
                <dt>评估机构</dt>
                <dd>{assessment}</dd>
            </dl>
        </div>
    </div>

    <div class="row">
        <div class="col-lg-12">
            <dl class="dl-horizontal">
                <dt>活动时间</dt>
                <dd>{time}</dd>
            </dl>
        </div>
        <div class="col-lg-12">
            <dl class="dl-horizontal">
                <dt>活动期间单日最大参加人数</dt>
                <dd>{peakNumber}</dd>
            </dl>
        </div>
    </div>

    <div class="row">
        <div class="col-lg-12">
            <dl class="dl-horizontal">
                <dt>评估报告</dt>
                <dd>{pgbg}</dd>
            </dl>
        </div>
        <div class="col-lg-12">
            <dl class="dl-horizontal">
                <dt>报备材料</dt>
                <dd>{bbcl}</dd>
            </dl>
        </div>
    </div>
    <div class="row">
        <div class="col-lg-12">
            <dl class="dl-horizontal">
                <dt>活动简介</dt>
                <dd>{introduce}</dd>
            </dl>
        </div>
    </div>
</div>
</div>


<script type="text/javascript">

    function getActivityInfo(obj,data){

        var activityHtml = $("#activity-info-html").html();

        var activityType = getType(data.activityType);

        activityHtml = activityHtml.replaceAll("{activityType}",activityType || "");
        activityHtml = activityHtml.replaceAll("{name}",data.fullName || "");
        activityHtml = activityHtml.replaceAll("{area}",data.provinceName + (data.cityName==null?"":('-'+data.cityName)) + (data.areaName==null?"":('-'+data.areaName)));
        activityHtml = activityHtml.replaceAll("{address}",data.address || "");
        activityHtml = activityHtml.replaceAll("{organizer}",data.organizer || "");
        activityHtml = activityHtml.replaceAll("{sponsor}",data.sponsor || "");
        activityHtml = activityHtml.replaceAll("{assessment}",data.assessment || "");
        activityHtml = activityHtml.replaceAll("{peakNumber}",data.peakNumber || "");
        activityHtml = activityHtml.replaceAll("{sponsorAddress}",data.sponsorAddress || "");
        activityHtml = activityHtml.replaceAll("{coordinate}",data.coordinate || "");
        activityHtml = activityHtml.replaceAll("{introduce}",data.introduce || "");
//        activityHtml = activityHtml.replaceAll("{time}",formatDate("yyyy-MM-dd hh:mm",data.startDate) + ' ~ ' + formatDate("yyyy-MM-dd hh:mm",data.endDate));
        activityHtml = activityHtml.replaceAll("{time}",data.startDate + ' ~ ' + data.endDate);

        /* 得到活动的材料信息 */

        var bbcl ="";
        var pgbg ="";

        if (null != data.bbcl && data.bbcl.length > 0) {
            bbcl="<a href='"+baseUrl+data.bbcl+"&reName="+encodeURIComponent(data.fullName+'-报备材料')+"'><i style='font-size:16px;' class='fa fa-download'/></a>";
        } else {
            bbcl = "无";
        }

        if (data.pgbg == null || data.pgbg == '') {
            pgbg="无";
        } else {
            pgbg="<a href='"+baseUrl+data.pgbg+"&reName="+encodeURIComponent(data.fullName+'-评估报告')+"'><i style='font-size:16px;' class='fa fa-download'/></a>";
        }

        activityHtml = activityHtml.replaceAll("{pgbg}",bbcl);
        activityHtml = activityHtml.replaceAll("{bbcl}",pgbg);
        $("#"+obj).html(activityHtml);
    }


    function showDetailPanel(rowNum) {
        $("#activity-detail").modal();

        if(null != rowNum) {
            var data = oTable.fnGetData(oTable.fnGetNodes()[rowNum]);
            //获取活动详情
            getActivityInfo("detail-activity-info-area",data);
        }
        $(".has-error").each(function(i, e) {
            $(e).removeClass("has-error");
        })
    }

    function getType(typeCode) {
        var type="";
        $.ajax({
            url:"<c:url value='/business/getActivityType/"+typeCode+".json'/>",
            type: 'post',
            async: false,
            dataType: 'json',
            success: function(data) {
                type = data.obj;
            }
        });
        return type;
    }

</script>
