<%@ page language="java" contentType="text/html; charset=UTF-8"
         pageEncoding="UTF-8" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib prefix="fns" uri="/WEB-INF/jsp/tld/fns.tld" %>
<%@ taglib prefix="app" tagdir="/WEB-INF/tags" %>
<!DOCTYPE html>
<html>
<head>
    <jsp:include page="../../../include/assets.jsp"></jsp:include>
<%--    <script type="text/javascript" src="${pageContext.request.contextPath }/js/jquery-1.11.1.min.js"></script>--%>
    <script type="text/javascript" src="${pageContext.request.contextPath }/js/plugins/juicer/juicer-min.js"></script>
    <base href="<c:url value='/' />"/>
    <style>
        input[type=file] {
            display: none !important;
        }

        .yes,.sl30{
            color: green;
        }

        .no,.reject,.sl20{
            color: red;
        }

        .timeline-item .content {
            min-height: auto !important;
        }

        .modal-content .ibox{
            margin-bottom: 0px;
        }
        .ml5{
            margin-left: 5px;
        }

        .riskTip .layui-layer-btn .layui-layer-btn0{
            border-color: #1ab394;
            color: #1ab394;
            background-color: #fff;
            border-radius: 3px;
        }

        .riskTip .layui-layer-btn .layui-layer-btn1{
            background-color: #1ab394;
            border-color: #1ab394;
            color: #fff;
            border-radius: 3px;
        }

        .riskTip .layui-layer-content{
            margin: 10px 10px;
        }
        .form-group {
            margin-bottom: 10px !important;
            margin-right: 50px;
        }
        .hideBtn{
            display: none !important;
        }
    </style>
</head>

<body style="background-color: #ffffff">
<div id="wrapper">
    <c:if test="${empty hiddenLeft}">
    <jsp:include page="../../../include/menu.jsp"></jsp:include>
    <div id="page-wrapper" class="gray-bg">
        <jsp:include page="../../../include/nav.jsp"></jsp:include>
        <div class="row wrapper border-bottom white-bg page-heading">
            <div class="col-lg-10">
                <h2>上报信息</h2>
                <ol class="breadcrumb">
                    <li>
                        <a href="javascript:void(0);" style="cursor:default">首页</a>
                    </li>
                    <li>
                        <a href="javascript:void(0);" style="cursor:default">活动管理</a>
                    </li>
                    <li>
                        <a href="javascript:void(0);" style="cursor:default">公安备案</a>
                    </li>
                    <li class="active">
                        <strong>上报信息</strong>
                    </li>
                </ol>
            </div>
            <div class="col-lg-2">
            </div>
        </div>
        </c:if>
        <!-- 主内容 -->
        <div class="wrapper wrapper-content animated fadeInRight">
            <div class="row">
                <div class="col-lg-12">
                    <div class="ibox float-e-margins">
                        <div class="ibox-title">
                            <h5>活动信息（注：存在承办单位注册地址、活动坐标、活动简介等数据缺失情况，无法使用“活动上报”功能，请前往部级上报平台手动录入）</h5>
                            <div class="ibox-tools">
                                <a class="btn btn-outline btn-success btn-xs ml5" href="<c:url value='/business/activity/history/approveList'/>">返回许可备案</a>
                                <c:if test="${activity.actionStatus != 1 }">
                                    <a class="btn btn-primary btn-xs ml5" title="${activity.reportTime}" onclick="uploadaction()">活动上报</a>
                                </c:if>
                                <a class="collapse-link">
                                    <i class="fa fa-chevron-up"></i>
                                </a>

                            </div>
                        </div>
                        <div class="ibox-content" style="padding-bottom:5px;">

                            <div class="row">
                                <div class="col-lg-12">
                                    <dl class="dl-horizontal">
                                        <dt>活动名称</dt>
                                        <dd><span id="reportActivityName">${activity.fullName}</span></dd>
                                    </dl>
                                </div>
                                <div class="col-lg-12">
                                    <dl class="dl-horizontal">
                                        <dt>活动类型</dt>
                                        <dd><span id="activityType">${activity.typeName}</span></dd>
                                    </dl>
                                </div>
                                <div class="col-lg-12">
                                    <dl class="dl-horizontal">
                                        <dt>承办单位</dt>
                                        <dd><span id="reportSponsor">${activity.sponsor}</span></dd>
                                    </dl>
                                </div>
                                <div class="col-lg-12">
                                    <dl class="dl-horizontal">
                                        <dt>承办单位注册地址</dt>
                                        <dd><span id="reportSponsorAddress">${activity.sponsorAddress}</span></dd>
                                    </dl>
                                </div>
                                <div class="col-lg-12">
                                    <dl class="dl-horizontal">
                                        <dt>主办单位</dt>
                                        <dd><span id="organizer">${activity.organizer}</span></dd>
                                    </dl>
                                </div>
                                <div class="col-lg-12">
                                    <dl class="dl-horizontal">
                                        <dt>举办地区</dt>
                                        <dd><span id="reportActivityArea">${activity.provinceName}${activity.cityName}${activity.areaName}</span></dd>
                                    </dl>
                                </div>
                                <div class="col-lg-12">
                                    <dl class="dl-horizontal">
                                        <dt>举办场地</dt>
                                        <dd><span id="reportActivityAddress">${activity.address}</span></dd>
                                    </dl>
                                </div>
                                <div class="col-lg-12">
                                    <dl class="dl-horizontal">
                                        <dt>活动日程</dt>
                                        <dd><span id="reportActivityTime">${activity.startDateStr} ~ ${activity.endDateStr}</span></dd>
                                    </dl>
                                </div>
                                <div class="col-lg-12">
                                    <dl class="dl-horizontal">
                                        <dt>活动期间单日最大参加人数</dt>
                                        <dd><span id="peakNumber">${activity.peakNumber}</span></dd>
                                    </dl>
                                </div>
                                <div class="col-lg-12">
                                    <dl class="dl-horizontal">
                                        <dt>活动坐标</dt>
                                        <dd><span id="reportCoordinate">${activity.coordinate}</span></dd>
                                    </dl>
                                </div>
                                <div class="col-lg-12">
                                    <dl class="dl-horizontal">
                                        <dt>活动简介</dt>
                                        <dd><span id="reportIntroduce">${activity.introduce}</span></dd>
                                    </dl>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-lg-12">
                    <div class="ibox float-e-margins">
                        <div class="ibox-title">
                            <h5>场次信息</h5>
                            <div class="ibox-tools">
                                <button type="button" style="margin-top: -9px;" class="btn btn-info" onclick="showAddPanel()">新增场次</button>
                                <%--<a class="collapse-link">
                                    <i class="fa fa-chevron-up"></i>
                                </a>--%>
                            </div>
                        </div>
                        <div class="ibox-content">
                            <table id="dynamic-table" class="table table-striped table-bordered table-hover dataTables-example">
                                <thead>
                                <tr>
                                    <th>场次序号</th>
                                    <th>开场时间</th>
                                    <th>结束时间</th>
                                    <th>联系人信息</th>
                                    <th>联系人职务</th>
                                    <th>联系人电话</th>
                                    <th>观众数量</th>
                                    <th>警力数量</th>
                                    <th>保安数量</th>
                                    <th>志愿者数量</th>
                                    <th>操作</th>
                                </tr>
                                </thead>
                                <tbody>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <%--修改预案--%>
        <div class="modal inmodal" id="grade-update-assessment" tabindex="-1" role="dialog" aria-hidden="true" style="z-index:101">
            <div class="modal-dialog modal-lg" style="width: 1250px;">
                <div class="modal-content animated bounceInRight">
                    <div class="modal-header" style="padding: 15px 15px;">
                        <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span>
                        </button>
                        <h4 class="modal-title" style="font-size: 16px;">场次信息</h4>
                    </div>

                    <form id="grade-update-assessment-from" class="form-horizontal">
                        <input type="hidden" id="activityId" name="activityId" value="${activity.id}"/>
                        <input type="hidden" id="id" name="id"/>
                        <div class="modal-body">
                            <div class="row">
                                <div class="col-lg-12">
                                    <div class="ibox float-e-margins">
                                        <div class="ibox-title">
                                            <h5>场次时间</h5>
                                            <div class="ibox-tools">

                                            </div>
                                        </div>
                                        <div class="ibox-content" style="padding-bottom:5px;">
                                            <div class="form-group">
                                                <div class="col-sm-6 input-daterange input-group" id="datepicker">
                                                    <input type="text" class="form-control" id="startDate" name="startDate" maxlength="10" placeholder="开始时间"/>
                                                    <span class="input-group-addon"> ~ </span>
                                                    <input type="text" class="form-control" id="endDate" name="endDate" maxlength="10" placeholder="结束时间"/>
                                                    <a class="input-group-addon" onclick="oTable.fnDraw();"><i class="fa fa-search"></i></a>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-lg-12">
                                    <div class="ibox float-e-margins">
                                        <div class="ibox-title">
                                            <h5>场次相关人数</h5>
                                            <div class="ibox-tools">

                                            </div>
                                        </div>
                                        <div class="ibox-content" style="padding-bottom:5px;">
                                            <div class="form-group">
                                                <label class="col-sm-1 control-label">观众数量</label>
                                                <div class="col-sm-2">
                                                    <input type="number" class="form-control" id="audienceNumber" id="audienceNumber">
                                                </div>
                                                <label class="col-sm-1 control-label">警力数量</label>
                                                <div class="col-sm-2">
                                                    <input type="number" class="form-control" id="forcesNumber" id="forcesNumber">
                                                </div>
                                                <label class="col-sm-1 control-label">保安数量</label>
                                                <div class="col-sm-2">
                                                    <input type="number" class="form-control" id="securityNumber" id="securityNumber">
                                                </div>
                                                <label class="col-sm-1 control-label">志愿者数量</label>
                                                <div class="col-sm-2">
                                                    <input type="number" class="form-control" id="volunteerNumber" id="volunteerNumber">
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-lg-12">
                                    <div class="ibox float-e-margins">
                                        <div class="ibox-title">
                                            <h5>监管安保负责人信息</h5>
                                            <div class="ibox-tools">

                                            </div>
                                        </div>
                                        <div class="ibox-content" style="padding-bottom:5px;">
                                            <div class="form-group">
                                                <label class="col-sm-1 control-label">负责人姓名</label>
                                                <div class="col-sm-2">
                                                    <input type="text" class="form-control" id="headName" id="headName">
                                                </div>
                                                <label class="col-sm-1 control-label">负责人职务</label>
                                                <div class="col-sm-2">
                                                    <input type="text" class="form-control" id="headPosition" id="headPosition">
                                                </div>
                                                <label class="col-sm-1 control-label">负责人单位</label>
                                                <div class="col-sm-2">
                                                    <input type="text" class="form-control" id="headOrg" id="headOrg">
                                                </div>
                                                <label class="col-sm-1 control-label">负责人电话</label>
                                                <div class="col-sm-2">
                                                    <input type="text" class="form-control" id="headPhone" id="headPhone">
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-lg-12">
                                    <div class="ibox float-e-margins">
                                        <div class="ibox-title">
                                            <h5>现场指挥人信息</h5>
                                            <div class="ibox-tools">

                                            </div>
                                        </div>
                                        <div class="ibox-content" style="padding-bottom:5px;">
                                            <div class="form-group">
                                                <label class="col-sm-1 control-label">指挥人姓名</label>
                                                <div class="col-sm-2">
                                                    <input type="text" class="form-control" id="leaderName" id="leaderName">
                                                </div>
                                                <label class="col-sm-1 control-label">指挥人职务</label>
                                                <div class="col-sm-2">
                                                    <input type="text" class="form-control" id="leaderPosition" id="leaderPosition">
                                                </div>
                                                <label class="col-sm-1 control-label">指挥人单位</label>
                                                <div class="col-sm-2">
                                                    <input type="text" class="form-control" id="leaderOrg" id="leaderOrg">
                                                </div>
                                                <label class="col-sm-1 control-label">指挥人电话</label>
                                                <div class="col-sm-2">
                                                    <input type="text" class="form-control" id="leaderPhone" id="leaderPhone">
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-lg-12">
                                    <div class="ibox float-e-margins">
                                        <div class="ibox-title">
                                            <h5>场次联系人信息</h5>
                                            <div class="ibox-tools">

                                            </div>
                                        </div>
                                        <div class="ibox-content" style="padding-bottom:5px;">
                                            <div class="form-group">
                                                <label class="col-sm-1 control-label">联系人姓名</label>
                                                <div class="col-sm-2">
                                                    <input type="text" class="form-control" id="contactName" id="contactName">
                                                </div>
                                                <label class="col-sm-1 control-label">联系人职务</label>
                                                <div class="col-sm-2">
                                                    <input type="text" class="form-control" id="contactPosition" id="contactPosition">
                                                </div>
                                                <label class="col-sm-1 control-label">联系人单位</label>
                                                <div class="col-sm-2">
                                                    <input type="text" class="form-control" id="contactOrg" id="contactOrg">
                                                </div>
                                                <label class="col-sm-1 control-label">联系人电话</label>
                                                <div class="col-sm-2">
                                                    <input type="text" class="form-control" id="contactPhone" id="contactPhone">
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="modal-footer">
                            <button type="button" class="btn btn-white" data-dismiss="modal">取 消</button>
                            <button type="button" class="btn btn-primary" id="primarybutton" onclick="updateAssessment()">保 存</button>
                        </div>
                    </form>
                </div>
            </div>
        </div>



        <jsp:include page="../../../include/footer.jsp"></jsp:include>

    </div>
</div>
<jsp:include page="../../../include/scripts.jsp"></jsp:include>
<script src="${pageContext.request.contextPath }/layui/layui.js"></script>

<script type="text/javascript">

    function deleteSession(rowNum) {
        if (null != rowNum) {
            var data = oTable.fnGetData(oTable.fnGetNodes()[rowNum]);
            layer.confirm('确定删除场次记录吗?', {
                btn: ['确定', '取消']
            }, function () {
                $.ajax({
                    url: '<c:url value="/business/activity/session/delete/'+data.id+'"/>',
                    type: 'post',
                    dataType: 'json',
                    success: function (data) {
                        if(!data.successful){
                            layer.msg(data.msg, {time: 1000, icon: 2});
                        }else{
                            oTable.fnDraw();
                            layer.msg('删除成功', {time: 1000, icon: 1});
                        }
                    }
                });
            });
        } else {
            layer.alert('参数错误!');
        }
    }
    $(function () {
        //清空开始时间
        $('#dateBtn').click(function () {
            $('#startDate').val("");
            $('#endDate').val("");
            oTable.fnDraw();
        });

        $('#startDate,#endDate').datetimepicker({
            todayBtn: "linked",
            keyboardNavigation: false,
            forceParse: false,
            calendarWeeks: true,
            autoclose: true,
            format: 'yyyy-mm-dd hh:ii'
        });
        oTable = $('#dynamic-table')
            .dataTable({
                "bAutoWidth": false,
                "bFilter": false,
                "bDestroy": false,
                "bServerSide": true,
                "bPaginate": false,
                "bLengthChange": false,
                "sAjaxSource": "<c:url value='/business/activity/session/list/${activity.id}'/>",
                "sAjaxDataProp": "data",
                "aLengthMenu": [11],
                "aoColumns": [
                    {"mDataProp": "index", "sClass": "text-center", "bSortable": false},
                    {"mDataProp": "startDate", "sClass": "text-center", "bSortable": false},
                    {"mDataProp": "endDate", "sClass": "text-center", "bSortable": false},
                    {"mDataProp": "contactName", "sClass": "text-center", "bSortable": false},
                    {"mDataProp": "contactPosition", "sClass": "text-center", "bSortable": false},
                    {"mDataProp": "contactPhone", "sClass": "text-center", "bSortable": false},
                    {"mDataProp": "audienceNumber", "sClass": "text-center", "bSortable": false},
                    {"mDataProp": "forcesNumber", "sClass": "text-center", "bSortable": false},
                    {"mDataProp": "securityNumber", "sClass": "text-center", "bSortable": false},
                    {"mDataProp": "volunteerNumber", "sClass": "text-center", "bSortable": false},
                    {"mDataProp": "use", "sClass": "text-center", "bSortable": false}
                ],
                "fnServerParams": function (aoData) {
                    rowNum = 0;
                },
                "fnDrawCallback": function (data) {
                    $("td").tooltip({
                        selector: "[data-toggle=tooltip]",
                        container: "body"
                    });
                },
                "aoColumnDefs": [
                    {
                        "aTargets": [0],
                        "mRender": function (tar, type, data) {
                            return rowNum+1;
                        }
                    },
                    {
                        "aTargets": [1],
                        "mRender": function (tar, type, data) {
                            return data.startDate;
                        }
                    },
                    {
                        "aTargets": [2],
                        "mRender": function (tar, type, data) {
                            return data.endDate;
                        }
                    },
                    {
                        "aTargets": [3],
                        "mRender": function (tar, type, data) {
                            return data.contactName;
                        }
                    },
                    {
                        "aTargets": [4],
                        "mRender": function (tar, type, data) {
                            return data.contactPosition;
                        }
                    },
                    {
                        "aTargets": [5],
                        "mRender": function (tar, type, data) {
                            return data.contactPhone;
                        }
                    },
                    {
                        "aTargets": [6],
                        "mRender": function (tar, type, data) {
                            return data.audienceNumber;
                        }
                    },
                    {
                        "aTargets": [7],
                        "mRender": function (tar, type, data) {
                            return data.forcesNumber;
                        }
                    },
                    {
                        "aTargets": [8],
                        "mRender": function (tar, type, data) {
                            return data.securityNumber;
                        }
                    },
                    {
                        "aTargets": [9],
                        "mRender": function (tar, type, data) {
                            return data.volunteerNumber;
                        }
                    },
                    {
                        "aTargets": [10],
                        "mRender": function (tar, type, data) {
                            var html;
                            var rt = '${activity.reportTime}';
                            html = "<a class='btn btn-outline btn-primary btn-xs ml5' onclick='showUpdatePanel(" + rowNum + ",0)'  >详情</a> <a class='btn btn-outline btn-primary btn-xs ml5' onclick='showUpdatePanel(" + rowNum + ",1)'  >完善</a> ";
                            if(rt == '还未进行上报'){
                                html += "<a class='fa fa-trash-o' style='font-size:16px;color:#9D261D' onclick='deleteSession(" + rowNum + ")' data-toggle='tooltip' data-placement='top' title='删除'></a>";
                            }
                            rowNum++;
                            return html;
                        }
                    }
                ],
                "oLanguage": {
                    "sProcessing": "处理中...",
                    "sLengthMenu": "显示_MENU_ 项结果",
                    "sZeroRecords": "",
                    "sInfoEmpty": "",
                    "sInfoFiltered": "(由_MAX_项结果过滤)",
                    "sSearch": "搜索:"
                }
            });
    });
    function showAddPanel(){
        $(".has-error").removeClass("has-error");
        $("#id").val('');
        $("#startDate").val('');
        $("#endDate").val('');
        $("#audienceNumber").val('');
        $("#forcesNumber").val('');
        $("#securityNumber").val('');
        $("#volunteerNumber").val('');
        $("#headName").val('');
        $("#headPosition").val('');
        $("#headPhone").val('');
        $("#headOrg").val('');
        $("#leaderName").val('');
        $("#leaderPosition").val('');
        $("#leaderPhone").val('');
        $("#leaderOrg").val('');
        $("#contactName").val('');
        $("#contactPosition").val('');
        $("#contactPhone").val('');
        $("#contactOrg").val('');
        $("#grade-update-assessment").modal();
        $("#primarybutton").show();
    }
    function showUpdatePanel(rowNum,type) {
        $(".has-error").removeClass("has-error");
        $("#grade-update-assessment").modal();
        if(type == 0){
            $("#primarybutton").hide();
        }else{
            $("#primarybutton").show();
        }
        if (null != rowNum) {
            var data = oTable.fnGetData(oTable.fnGetNodes()[rowNum]);
            $("#id").val(data.id);
            $("#startDate").val(data.startDate);
            $("#endDate").val(data.endDate);
<%--            $("#activityId").val(data.activityId);--%>
            $("#audienceNumber").val(data.audienceNumber);
            $("#forcesNumber").val(data.forcesNumber);
            $("#securityNumber").val(data.securityNumber);
            $("#volunteerNumber").val(data.volunteerNumber);
            $("#headName").val(data.headName);
            $("#headPosition").val(data.headPosition);
            $("#headPhone").val(data.headPhone);
            $("#headOrg").val(data.headOrg);
            $("#leaderName").val(data.leaderName);
            $("#leaderPosition").val(data.leaderPosition);
            $("#leaderPhone").val(data.leaderPhone);
            $("#leaderOrg").val(data.leaderOrg);
            $("#contactName").val(data.contactName);
            $("#contactPosition").val(data.contactPosition);
            $("#contactPhone").val(data.contactPhone);
            $("#contactOrg").val(data.contactOrg);
        }
        $(".has-error").removeClass("has-error");
    }

    function updateAssessment() {
        var audienceNumber = $("#audienceNumber").val();if (audienceNumber == null || audienceNumber == '') {layer.msg("观众数量不能为空");return ;}
        var forcesNumber = $("#forcesNumber").val();if (forcesNumber == null || forcesNumber == '') {layer.msg("警力数量不能为空");return ;}
        var securityNumber = $("#securityNumber").val();if (securityNumber == null || securityNumber == '') {layer.msg("保安数量不能为空");return ;}
        var volunteerNumber = $("#volunteerNumber").val();if (volunteerNumber == null || volunteerNumber == '') {layer.msg("志愿者数量不能为空");return ;}
        var headName = $("#headName").val();if (headName == null || headName == '') {layer.msg("负责人名字不能为空");return ;}
        var headPosition = $("#headPosition").val();if (headPosition == null || headPosition == '') {layer.msg("负责人职务不能为空");return ;}
        var headPhone = $("#headPhone").val();if (headPhone == null || headPhone == '') {layer.msg("负责人电话不能为空");return ;}
        var headOrg = $("#headOrg").val();if (headOrg == null || headOrg == '') {layer.msg("负责人单位不能为空");return ;}
        var leaderName = $("#leaderName").val();if (leaderName == null || leaderName == '') {layer.msg("指挥人名字不能为空");return ;}
        var leaderPosition = $("#leaderPosition").val();if (leaderPosition == null || leaderPosition == '') {layer.msg("指挥人职务不能为空");return ;}
        var leaderPhone = $("#leaderPhone").val();if (leaderPhone == null || leaderPhone == '') {layer.msg("指挥人电话不能为空");return ;}
        var leaderOrg = $("#leaderOrg").val();if (leaderOrg == null || leaderOrg == '') {layer.msg("指挥人单位不能为空");return ;}
        var startDate = $("#startDate").val();if (startDate == null || startDate == '') {layer.msg("开始时间不能为空");return ;}
        var endDate = $("#endDate").val();if (endDate == null || endDate == '') {layer.msg("结束时间不能为空");return ;}
        var contactName = $("#contactName").val();if (contactName == null || contactName == '') {layer.msg("联系人名字不能为空");return ;}
        var contactPosition = $("#contactPosition").val();if (contactPosition == null || contactPosition == '') {layer.msg("联系人职务不能为空");return ;}
        var contactPhone = $("#contactPhone").val();if (contactPhone == null || contactPhone == '') {layer.msg("联系电话不能为空");return ;}
        var contactOrg = $("#contactOrg").val();if (contactOrg == null || contactOrg == '') {layer.msg("联系人单位不能为空");return ;}


        var loadIndex = parent.layer.load(0, {shade: [0.3,'#808080']});
        $.ajax({
            url: '<c:url value="/business/activity/session/createOrUpdate.json"/>',
            type: 'post',
            data: {
                id:$('#id').val()
                ,activityId:$('#activityId').val()
                ,audienceNumber:$('#audienceNumber').val()
                ,forcesNumber:$('#forcesNumber').val()
                ,securityNumber:$('#securityNumber').val()
                ,volunteerNumber:$('#volunteerNumber').val()
                ,headName:$('#headName').val()
                ,headPosition:$('#headPosition').val()
                ,headPhone:$('#headPhone').val()
                ,headOrg:$('#headOrg').val()
                ,leaderName:$('#leaderName').val()
                ,leaderPosition:$('#leaderPosition').val()
                ,leaderPhone:$('#leaderPhone').val()
                ,leaderOrg:$('#leaderOrg').val()
                ,startDate:$('#startDate').val()
                ,endDate:$('#endDate').val()
                ,contactName:$('#contactName').val()
                ,contactPosition:$('#contactPosition').val()
                ,contactPhone:$('#contactPhone').val()
                ,contactOrg:$('#contactOrg').val()
            },
            dataType: 'json',
            success: function (data) {
                layer.close(loadIndex);
                if (data.successful) {
                    $("#grade-update-assessment").modal('hide');
                    oTable.fnDraw();
                    layer.msg('保存成功', {time: 1000, icon: 1});
                    layer.closeAll();
                } else {
                    layer.msg(data.msg);
                }
            }
        });
    }
    function uploadaction() {

        var loadIndex = layer.load(0, {shade: [0.3,'#808080']});
        $.ajax({
            url: "<c:url value='/business/activity/history/submitaction/${activity.id}'/>",
            type: 'post',
            dataType: 'json',
            success: function (data) {
                layer.close(loadIndex);
                if (data.successful) {
                    layer.msg(data.msg, {time: 1000, icon: 1});
                } else {
                    layer.msg(data.msg);
                }
            }
        });
    }

</script>

<style>
    #tip {
        position: absolute;
        border-width: 0px;
        position: absolute;
        left: 0px;
        top: 0px;
        width: 42px;
        height: 22px;
        background: inherit;
        background-color: rgba(0, 0, 0, 0.298039215686275);
        border: none;
        border-radius: 4px;
        -moz-box-shadow: none;
        -webkit-box-shadow: none;
        box-shadow: none;
        font-family: 'PingFangSC-Regular', 'PingFang SC';
        font-weight: 400;
        font-style: normal;
        font-size: 11px;
        color: #FFFFFF;
    }
    #tip span{
        display: inline-block;
        padding:3px 0px 0px 4px;
    }
</style>

</body>

</html>
