<%@ page language="java" contentType="text/html; charset=UTF-8"
         pageEncoding="UTF-8" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@taglib prefix="app" tagdir="/WEB-INF/tags" %>
<!DOCTYPE html>
<html>
<head>
    <jsp:include page="../../include/assets.jsp"></jsp:include>
    <jsp:include page="activityPoliceIsrDetail.jsp"></jsp:include>


    <style>
        .form-group {
            margin-right: 50px;
            margin-bottom: 10px !important;
        }
    </style>
</head>

<body style="background-color: #ffffff">
<div id="wrapper">
    <c:if test="${empty hiddenLeft}">
    <jsp:include page="../../include/menu.jsp"></jsp:include>
    <div id="page-wrapper" class="gray-bg">
        <jsp:include page="../../include/nav.jsp"></jsp:include>
        <div class="row wrapper border-bottom white-bg page-heading">
            <div class="col-lg-10">
                <h2>警情数据信息</h2>
                <ol class="breadcrumb">
                    <li>
                        <a href="/" style="cursor:default">首页</a>
                    </li>
                    <li>
                        <a href="${pageContext.request.contextPath}/business/bi/xcts" style="cursor:default">现场态势</a>
                    </li>
                    <li class="active">
                        <strong>警情数据信息</strong>
                    </li>
                </ol>
            </div>
            <div class="col-lg-2">
            </div>
        </div>
        </c:if>

        <!-- 主内容 -->
        <div class="wrapper wrapper-content animated fadeInRight">
            <div class="row">
                <div class="col-lg-12">
                    <div class="ibox float-e-margins">
                        <div class="ibox-title">
                            <h5>数据检索</h5>
                            <div class="ibox-tools">
                                <a class="collapse-link">
                                    <i class="fa fa-chevron-up"></i>
                                </a>
                            </div>
                        </div>
                        <div class="ibox-content" style="padding-bottom:5px;">
                            <form class="form-inline" onsubmit="return false">
                                <input type="hidden" id="activityNo" name="activityNo" value="${activityNo }">
                                <div class="form-group">
                                    <label for="isrLevelSearch">警情级别：</label>
                                    <select name="isrLevelSearch" class="form-control" id="isrLevelSearch"
                                            onchange="oTable.fnDraw();">
                                        <option value="">全部</option>
                                        <option value="一级">一级</option>
                                        <option value="二级">二级</option>
                                        <option value="三级">三级</option>

                                    </select>
                                </div>
                                <div class="form-group">
                                    <label for="processSearch">处理结果：</label>
                                    <select name="processSearch" class="form-control" id="processSearch"
                                            onchange="oTable.fnDraw();">
                                        <option value="">全部</option>
                                        <option value="待处理">待处理</option>
                                        <option value="处理中">处理中</option>
                                        <option value="已处理">已处理</option>
                                    </select>
                                </div>
                                <div class="form-group">
                                    <label for="caseStartDate">发生时间：</label>
                                    <div class="input-daterange input-group" id="datepicker">
                                        <input type="text" class="form-control" id="caseStartDate" name="caseStartDate"
                                               maxlength="10" placeholder="时间"/>
                                        <span class="input-group-addon"> ~ </span>
                                        <input type="text" class="form-control" id="caseEndDate" name="caseEndDate"
                                               maxlength="10" placeholder="时间"/>
                                        <a class="input-group-addon" onclick="oTable.fnDraw();"><i
                                                class="fa fa-search"></i></a>
                                    </div>
                                    <button type="button" id="clearBtn" lay-submit lay-filter="layedit-link-yes"
                                            class="btn-white btn-sm">清除
                                    </button>
                                </div>
                                <div class="form-group">
                                    <label for="alarmStartDate">报警时间：</label>
                                    <div class="input-daterange input-group" id="datepicker2">
                                        <input type="text" class="form-control" id="alarmStartDate"
                                               name="alarmStartDate" maxlength="10" placeholder="时间"/>
                                        <span class="input-group-addon"> ~ </span>
                                        <input type="text" class="form-control" id="alarmEndDate" name="alarmEndDate"
                                               maxlength="10" placeholder="时间"/>
                                        <a class="input-group-addon" onclick="oTable.fnDraw();"><i
                                                class="fa fa-search"></i></a>
                                    </div>
                                    <button type="button" id="clearBtn2" lay-submit lay-filter="layedit-link-yes"
                                            class="btn-white btn-sm">清除
                                    </button>
                                </div>
                                <div class="form-group">
                                    <label for="keywords">查询关键字：</label>
                                    <div class="input-group">
                                        <input id="keywords" name="keywords" type="text" class="form-control"
                                               maxlength="50" placeholder="输入关键词"/>
                                        <a id="searchBtn" class="input-group-addon" onclick="oTable.fnDraw();"><i
                                                class="fa fa-search"></i></a>
                                    </div>
                                </div>
                            </form>

                        </div>
                    </div>
                </div>
            </div>

            <div class="row">
                <div class="col-lg-12">
                    <div class="ibox float-e-margins">
                        <div class="ibox-title">
                            <h5>数据统计</h5>
                            <div class="text-right">
                                <a class='btn btn-outline btn-success btn-xs ml5'
                                   onclick="javascript:window.history.back();">返回上一级</a>
                            </div>
                            <div class="ibox-tools">
                                <a class="collapse-link">
                                    <i class="fa fa-chevron-up"></i>
                                </a>
                            </div>
                        </div>
                        <div class="ibox-content">
                            <table id="dynamic-table"
                                   class="table table-striped table-bordered table-hover dataTables-example">
                                <thead>
                                <tr>
                                    <th>警情名称</th>
                                    <th>警情级别</th>
                                    <th>案事件发生开始时间</th>
                                    <th>治安警情代码</th>
                                    <th>涉案场所类别</th>
                                    <th>涉案场所名称</th>
                                    <th>公安机关机构代码</th>
                                    <th>警情处理结果</th>
                                    <th>操作</th>
                                </tr>
                                </thead>
                                <tbody>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <jsp:include page="../../include/footer.jsp"></jsp:include>
    </div>
</div>
<jsp:include page="../../include/scripts.jsp"></jsp:include>

<script type="text/javascript">

    $('#caseStartDate,#caseEndDate,#alarmStartDate,#alarmEndDate').datetimepicker({
        minView: "month",//设置只显示到月份
        format: "yyyy-mm-dd",//日期格式
        autoclose: true,//选中关闭
        todayBtn: true//今日按钮
    });

    //清空活动开始日期
    $('#clearBtn').click(function () {
        $('#caseStartDate').val("");
        $('#caseEndDate').val("");
        oTable.fnDraw();
    });

    //清空活动开始日期
    $('#clearBtn2').click(function () {
        $('#alarmStartDate').val("");
        $('#alarmEndDate').val("");
        oTable.fnDraw();
    });

    $(function () {
        oTable = $('#dynamic-table')
            .dataTable({
                "bAutoWidth": false,
                "bFilter": false,
                "bDestroy": true,
                "bServerSide": true,
                "bPaginate": true,
                "bLengthChange": false,
                "sAjaxSource": "<c:url value='/business/activityPoliceIsr/findJqsjListData'/>",
                "sAjaxDataProp": "data",
                "aLengthMenu": [10],
                "aoColumns": [
                    {"mDataProp": "activityPoliceIsrId", "sClass": "text-center", "bSortable": false},
                    {"mDataProp": "isrName", "sClass": "text-center", "bSortable": false},
                    {"mDataProp": "isrLevel", "sClass": "text-center", "bSortable": false},
                    {"mDataProp": "caseDate", "sClass": "text-center", "bSortable": false},
                    {"mDataProp": "isrCode", "sClass": "text-center", "bSortable": false},
                    {"mDataProp": "isrAddressType", "sClass": "text-center", "bSortable": false},
                    {"mDataProp": "isrAddress", "sClass": "text-center", "bSortable": false},
                    {"mDataProp": "policeOrgCode", "sClass": "text-center", "bSortable": false},
                    {"mDataProp": "process", "sClass": "text-center", "bSortable": false}
                ],
                "fnServerParams": function (aoData) {
                    rowNum = 0;
                    aoData.push(
                        {"name": "activityNo", "value": $("#activityNo").val()},
                        {"name": "isrLevel", "value": $("#isrLevelSearch").val()},
                        {"name": "process", "value": $("#processSearch").val()},
                        {"name": "keywords", "value": $("#keywords").val().trim()},
                        {"name": "caseStartDate", "value": $("#caseStartDate").val()},
                        {"name": "caseEndDate", "value": $("#caseEndDate").val()},
                        {"name": "alarmStartDate", "value": $("#alarmStartDate").val()},
                        {"name": "alarmEndDate", "value": $("#alarmEndDate").val()}
                    );
                },
                "fnDrawCallback": function (data) {
                    $("td").tooltip({
                        selector: "[data-toggle=tooltip]",
                        container: "body"
                    });
                },
                "aoColumnDefs": [
                    {
                        "aTargets": [0],
                        "mRender": function (tar, type, data) {
                            return data.isrName;
                        }
                    },
                    {
                        "aTargets": [1],
                        "mRender": function (tar, type, data) {
                            return data.isrLevel;
                        }
                    },
                    {
                        "aTargets": [2],
                        "mRender": function (tar, type, data) {
                            return data.caseDate;
                        }
                    },
                    {
                        "aTargets": [3],
                        "mRender": function (tar, type, data) {
                            return data.isrCode;
                        }
                    },
                    {
                        "aTargets": [4],
                        "mRender": function (tar, type, data) {
                            return data.isrAddressType;
                        }
                    },
                    {
                        "aTargets": [5],
                        "mRender": function (tar, type, data) {
                            return data.isrAddress;
                        }
                    },
                    {
                        "aTargets": [6],
                        "mRender": function (tar, type, data) {
                            return data.policeOrgCode;
                        }
                    },
                    {
                        "aTargets": [7],
                        "mRender": function (tar, type, data) {
                            return data.process;
                        }
                    },
                    {
                        "aTargets": [8],
                        "mRender": function (tar, type, data) {
                            var html = "<a class='btn btn-outline btn-primary btn-xs ml5' onclick='showGatherDetailPanel(" + data.activityPoliceIsrId + ")'  >警情信息</a>";
                            return html;
                        }
                    }
                ],
                "oLanguage": {
                    "sProcessing": "处理中...",
                    "sLengthMenu": "显示_MENU_ 项结果",
                    "sZeroRecords": "没有匹配结果",
                    "sInfo": " _START_ - _END_条记录，共_TOTAL_条",
                    "sInfoEmpty": "没有匹配结果",
                    "sInfoFiltered": "(由_MAX_项结果过滤)",
                    "sSearch": "搜索:",
                    "oPaginate": {
                        "sFirst": "首页",
                        "sPrevious": "上页",
                        "sNext": "下页",
                        "sLast": "末页"
                    }
                }
            });


        $(document).keyup(function (event) {
            if (event.keyCode == 13) {
                $("#searchBtn").trigger("click");
            }
        });
        $('.nav-second-level a[href="'+$('.breadcrumb li').eq(1).children().attr('href')+'"]').parent().addClass("active").parent().prev().click();
    });

</script>
</body>

</html>
