<%@ page language="java" contentType="text/html; charset=UTF-8"
         pageEncoding="UTF-8" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib prefix="fns" uri="/WEB-INF/jsp/tld/fns.tld" %>
<%@ taglib prefix="app" tagdir="/WEB-INF/tags" %>

<style>
    .ibox-content {
        word-wrap: break-word;
    }
</style>
<div class="modal inmodal" id="activity-detail" tabindex="-1" role="dialog" aria-hidden="true" style="z-index:101">
    <div class="modal-dialog modal-lg" style="width:750px;">
        <div class="modal-content animated bounceInRight">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span
                        class="sr-only">Close</span></button>
                <h4 class="modal-title">设备信息</h4>
            </div>
            <div class="row">
                <div class="col-lg-10 col-lg-offset-1">
                    <div class="ibox float-e-margins">
                        <div id="detail-activity-info-area"></div>
                    </div>
                </div>
            </div>

            <div class="modal-footer">
                <button type="button" class="btn btn-white" data-dismiss="modal">关 闭</button>
            </div>
        </div>
    </div>
</div>


<div id="activity-info-html" class="hide">
    <div class="ibox-content">
        <div class="row">
            <div class="col-lg-12">
                <dl class="dl-horizontal">
                    <dt>设备名称：</dt>
                    <dd id="deviceName"></dd>
                </dl>
            </div>
            <div class="col-lg-12">
                <dl class="dl-horizontal">
                    <dt>飞行器类型：</dt>
                    <dd id="aircraftType"></dd>
                </dl>
            </div>
        </div>
        <div class="row">
            <div class="col-lg-12">
                <dl class="dl-horizontal">
                    <dt>品牌型号：</dt>
                    <dd id="brandModel"></dd>
                </dl>
            </div>
            <div class="col-lg-12">
                <dl class="dl-horizontal">
                    <dt>设备序列号：</dt>
                    <dd id="deviceNo"></dd>
                </dl>
            </div>
        </div>


        <div class="row">
            <div class="col-lg-12">
                <dl class="dl-horizontal">
                    <dt>厂商名称：</dt>
                    <dd id="brandFactory"></dd>
                </dl>
            </div>
            <div class="col-lg-12">
                <dl class="dl-horizontal">
                    <dt>物品购置日期：</dt>
                    <dd id="buyDate"></dd>
                </dl>
            </div>
            <div class="col-lg-12">
                <dl class="dl-horizontal">
                </dl>
            </div>
            <div class="col-lg-12">
                <dl class="dl-horizontal">
                </dl>
            </div>
        </div>

        <div class="row">
            <div class="col-lg-12">
                <dl class="dl-horizontal">
                    <dt>单位名称：</dt>
                    <dd id="org"></dd>
                </dl>
            </div>
            <div class="col-lg-12">
                <dl class="dl-horizontal">
                    <dt>组织机构代码：</dt>
                    <dd id="orgCode"></dd>
                </dl>
            </div>
        </div>

        <div class="row">
            <div class="col-lg-12">
                <dl class="dl-horizontal">
                    <dt>姓名：</dt>
                    <dd id="fullName"></dd>
                </dl>
            </div>
            <div class="col-lg-12">
                <dl class="dl-horizontal">
                    <dt>公民身份号码：</dt>
                    <dd id="idCardNo"></dd>
                </dl>
            </div>
            <div class="col-lg-12">
                <dl class="dl-horizontal">
                </dl>
            </div>
            <div class="col-lg-12">
                <dl class="dl-horizontal">
                </dl>
            </div>
        </div>

        <div class="row">
            <div class="col-lg-12">
                <dl class="dl-horizontal">
                    <dt>地球经度：</dt>
                    <dd id="longitude"></dd>
                </dl>
            </div>
            <div class="col-lg-12">
                <dl class="dl-horizontal">
                    <dt>地球纬度：</dt>
                    <dd id="latitude"></dd>
                </dl>
            </div>
        </div>

        <div class="row">
            <div class="col-lg-12">
                <dl class="dl-horizontal">
                    <dt>飞行高度：</dt>
                    <dd id="flyHeight"></dd>
                </dl>
            </div>
        </div>

    </div>
</div>

<script type="text/javascript">
    function showGatherDetailPanel(id) {
        $("#activity-detail").modal();
        var myData = getData(id);
        for (var key in myData) {
            $("#" + key).html(myData[key]);
        }
        var activityHtml = $("#activity-info-html").html();
        $("#detail-activity-info-area").html(activityHtml);

        $(".has-error").each(function (i, e) {
            $(e).removeClass("has-error");
        })
    }

    /**
     * 获取详情
     * @param id
     * @returns {*}
     */
    function getData(id) {
        var workflow;
        $.ajax({
            url: "<c:url value='/business/aircraft/findAircraftDetailData/"+id+"'/>",
            type: 'post',
            async: false,
            dataType: 'json',
            success: function (data) {
                workflow = data;
            }
        })
        return workflow;
    }
</script>
