<%@ page language="java" contentType="text/html; charset=UTF-8"
         pageEncoding="UTF-8" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib prefix="fns" uri="/WEB-INF/jsp/tld/fns.tld" %>
<%@ taglib prefix="app" tagdir="/WEB-INF/tags" %>
<!DOCTYPE html>
<html>
<head>
    <jsp:include page="../../include/assets.jsp"></jsp:include>
<%--    <script type="text/javascript" src="${pageContext.request.contextPath }/js/jquery-1.11.1.min.js"></script>--%>
    <script type="text/javascript" src="${pageContext.request.contextPath }/js/plugins/juicer/juicer-min.js"></script>
    <base href="<c:url value='/' />"/>
    <style>
        input[type=file] {
            display: none !important;
        }

        .yes,.sl30{
            color: green;
        }

        .no,.reject,.sl20{
            color: red;
        }

        .timeline-item .content {
            min-height: auto !important;
        }

        .modal-content .ibox{
            margin-bottom: 0px;
        }
        .ml5{
            margin-left: 5px;
        }

        .riskTip .layui-layer-btn .layui-layer-btn0{
            border-color: #1ab394;
            color: #1ab394;
            background-color: #fff;
            border-radius: 3px;
        }

        .riskTip .layui-layer-btn .layui-layer-btn1{
            background-color: #1ab394;
            border-color: #1ab394;
            color: #fff;
            border-radius: 3px;
        }

        .riskTip .layui-layer-content{
            margin: 10px 10px;
        }
        .form-group {
            margin-bottom: 10px !important;
            margin-right: 50px;
        }
        .hideBtn{
            display: none !important;
        }
    </style>
</head>

<body style="background-color: #ffffff">
<div id="wrapper">
    <c:if test="${empty hiddenLeft}">
    <jsp:include page="../../include/menu.jsp"></jsp:include>
    <div id="page-wrapper" class="gray-bg">
        <jsp:include page="../../include/nav.jsp"></jsp:include>
        <div class="row wrapper border-bottom white-bg page-heading">
            <div class="col-lg-10">
                <h2>活动预案</h2>
                <ol class="breadcrumb">
                    <li>
                        <a href="javascript:void(0);" style="cursor:default">首页</a>
                    </li>
                    <li>
                        <a href="javascript:void(0);" style="cursor:default">预案管理</a>
                    </li>
                    <li class="active">
                        <strong>活动预案</strong>
                    </li>
                </ol>
            </div>
            <div class="col-lg-2">
            </div>
        </div>
        </c:if>
        <!-- 主内容 -->
        <div class="wrapper wrapper-content animated fadeInRight">
            <div class="row">
                <div class="col-lg-12">
                    <div class="ibox float-e-margins">
                        <div class="ibox-title">
                            <h5>活动检索</h5>
                            <div class="ibox-tools">
                                <a class="collapse-link">
                                    <i class="fa fa-chevron-up"></i>
                                </a>

                            </div>
                        </div>
                        <div class="ibox-content" style="padding-bottom:5px;">
                            <form class="form-inline" onsubmit="return false">
                                <input type="hidden" id="sProvince" name="province" value="${LOGIN_USER.province}">
                                <input type="hidden" id="sCity" name="city" value="${LOGIN_USER.city }">
                                <input type="hidden" id="sArea" name="area" value="${LOGIN_USER.area }">
                                <input type="hidden" id="userId" name="userId" value="${LOGIN_USER.id }">
                                <input type="hidden" id="dataSource" name="dataSource" value="${dataSource}">
                                <input type="hidden" id="approveStatusSummary" name="approveStatusSummary" value="${approveStatusSummary}">
                                <input type="hidden" id="myEnvi" name="myEnvi" value="${myEnvi}">
                                <input type="hidden" id="switch_zjzw20" name="switch_zjzw20" value="${switch_zjzw20}">
                                <div class="form-group">
                                    <label for="approveStatus">活动状态：</label>
                                    <select id="approveStatus" class="form-control" onchange="oTable.fnDraw();">
                                        <option value="">全部活动</option>
                                        <c:if test="${switchGradeRank eq 'on'}">
                                            <option value="10">评定中</option>
                                            <option value="15">重新评定</option>
                                            <option value="30">已评定</option>
                                            <option value="SL10">受理中</option>
                                            <option value="SL20">不受理</option>
                                            <option value="SL30">受理成功</option>
                                            <option value="NONE">未审批</option>
                                            <option value="IN">审批中</option>
                                            <option value="YES">审批通过</option>
                                            <option value="NO">审批未通过</option>
                                        </c:if>
                                        <c:if test="${switchGradeRank ne 'on'}">
                                            <option value="10">初审中</option>
                                            <option value="20">初审退回</option>
                                            <option value="30">初审通过</option>
                                            <option value="SL10">受理中</option>
                                            <option value="SL20">不受理</option>
                                            <option value="SL30">受理成功</option>
                                            <option value="NONE">未审批</option>
                                            <option value="IN">审批中</option>
                                            <option value="YES">审批通过</option>
                                            <option value="NO">审批未通过</option>
                                            <option value="REJECT">审批退回</option>
                                        </c:if>

                                    </select>
                                </div>
                                <div class="form-group" style="padding-top: 10px;">
                                    <label for="regionProvince">举办地区：</label>
                                    <div class="input-daterange input-group">
                                        <div id="selectRegion">
                                            <select id="regionProvince" class="form-control"
                                                    onchange="loadCity(this.value)">
                                            </select>
                                            <select id="regionCity" class="form-control"
                                                    onchange="loadArea(this.value)">
                                            </select>
                                            <select id="regionArea" class="form-control">
                                            </select>
                                        </div>
                                        <a id="searchBtn1" class="input-group-addon" onclick="oTable.fnDraw();"><i
                                                class="fa fa-search"></i></a>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label for="keywords">查询关键字：</label>
                                    <div class="input-group">
                                        <input id="keywords" name="keywords" type="text" class="form-control" maxlength="50" placeholder="输入关键词"/>
                                        <a id="searchBtn" class="input-group-addon" onclick="oTable.fnDraw();"><i class="fa fa-search"></i></a>
                                    </div>
                                </div>
                            </form>
                            <form class="form-inline" >
                                <div class="form-group">
                                    <label for="addApproveDate">审批时间：</label>
                                    <div class="input-daterange input-group" id="datepicker">
                                        <input type="text" class="form-control" id="addApproveDate" name="addApproveDate" maxlength="10" placeholder="开始时间"/>
                                        <span class="input-group-addon"> ~ </span>
                                        <input type="text" class="form-control" id="endApproveDate" name="endApproveDate" maxlength="10" placeholder="结束时间"/>
                                        <a class="input-group-addon" onclick="oTable.fnDraw();"><i class="fa fa-search"></i></a>
                                    </div>
                                    <button type="button"  id="approveDateBtn" lay-submit lay-filter="layedit-link-yes" class="btn-white btn-sm">清除</button>
                                </div>
                                <div class="form-group">
                                    <label for="finishStartDate">创建时间：</label>
                                    <div class="input-daterange input-group" id="datepicker1">
                                        <input type="text" class="form-control" id="finishStartDate" name="finishStartDate" maxlength="10" placeholder="开始时间"/>
                                        <span class="input-group-addon"> ~ </span>
                                        <input type="text" class="form-control" id="finishEndDate" name="finishEndDate" maxlength="10" placeholder="结束时间"/>
                                        <a class="input-group-addon" onclick="oTable.fnDraw();"><i class="fa fa-search"></i></a>
                                    </div>
                                    <button type="button" id="finishDateBtn" lay-submit lay-filter="layedit-link-yes" class="btn-white btn-sm">清除</button>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-lg-12">
                    <div class="ibox float-e-margins">
                        <div class="ibox-title">
                            <h5>活动列表</h5>
                            <div class="ibox-tools">
                                <a class="collapse-link">
                                    <i class="fa fa-chevron-up"></i>
                                </a>

                            </div>
                        </div>
                        <div class="ibox-content">
                            <table id="dynamic-table" class="table table-striped table-bordered table-hover dataTables-example">
                                <thead>
                                <tr>
                                    <th style="min-width: 180px">活动编号</th>
                                    <th>活动名称</th>
                                    <th>承办单位</th>
                                    <th>举办地区</th>
                                    <th style="min-width: 90px">活动状态</th>
                                    <th style="min-width: 140px">活动通过时间</th>
                                    <th style="min-width: 140px">活动创建时间</th>
                                    <th>操作</th>
                                </tr>
                                </thead>
                                <tbody>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <jsp:include page="../../include/footer.jsp"></jsp:include>

    </div>
</div>

<jsp:include page="../../include/detailNew.jsp"></jsp:include>
<jsp:include page="../../include/activityReportDetail.jsp"></jsp:include>
<jsp:include page="../../include/scripts.jsp"></jsp:include>
<script src="${pageContext.request.contextPath }/layui/layui.js"></script>

<script type="text/javascript">
    var communicateMode = '${communicateMode}';
    var status = '${status}';
    var switchGradeRank = '${switchGradeRank}';
    var switchApprove = '${switchApprove}';
    var cprovince = '${LOGIN_USER.province}';
    var ccity = '${LOGIN_USER.city}';
    var carea = '${LOGIN_USER.area}';

    $(function () {
        loadProvince();
        loadCity(null);
        loadArea(null);

        if (cprovince != '') {
            $("#regionProvince").val(cprovince);
            $("#regionProvince").attr("disabled", "disabled");
            loadCity(cprovince);
        }
        if (ccity != '') {
            $("#regionCity").val(ccity);
            $("#regionCity").attr("disabled", "disabled");
            loadArea(ccity)
        }
        if (carea != '') {
            $("#regionArea").val(carea);
            $("#regionArea").attr("disabled", "disabled");
        }
    });

    function loadProvince() {
        var provinceId = '100000';
        if (provinceId == '' || provinceId == null) {
            $("#regionProvince").empty();
            $("#regionProvince").append("<option value=''>全部省份</option>");
            return;
        }
        $.ajax({
            url: "<c:url value='/business/getRegion/' />" + provinceId + "",
            type: 'post',
            async: false,
            dataType: 'json',
            success: function (data) {
                $("#regionProvince").empty();
                $("#regionProvince").append("<option value=''>全部省份</option>");
                $(data).each(function (i, d) {
                    $("#regionProvince").append("<option value='" + d.id + "'>" + d.fullName + "</option>");
                })
            }
        });
    }

    function loadCity(provinceId) {
        debugger
        if (provinceId == null || provinceId == '') {
            $("#regionCity").empty();
            $("#regionCity").append("<option value=''>全部城市</option>");
            loadArea(null);
            return;
        }
        $.ajax({
            url: "<c:url value='/business/getRegion/' />" + provinceId + ".json",
            type: 'post',
            async: false,
            dataType: 'json',
            success: function (data) {
                $("#regionCity").empty();
                $("#regionCity").append("<option value=''>全部城市</option>");
                $(data).each(function (i, d) {
                    $("#regionCity").append("<option value='" + d.id + "'>" + d.fullName + "</option>");
                })
            }
        });

        loadArea(null);
    }

    function loadArea(cityId) {
        if (cityId == null || cityId == '') {
            $("#regionArea").empty();
            $("#regionArea").append("<option value=''>全部区县</option>");
            return;
        }
        $.ajax({
            url: "<c:url value='/business/getRegion/' />" + cityId + ".json",
            type: 'post',
            async: false,
            dataType: 'json',
            success: function (data) {
                $("#regionArea").empty();
                $("#regionArea").append("<option value=''>全部区县</option>");
                $(data).each(function (i, d) {
                    $("#regionArea").append("<option value='" + d.id + "'>" + d.fullName + "</option>");
                })
            }
        });
    }
    $(function () {
        //清空审批时间
        $('#approveDateBtn').click(function () {
            $('#addApproveDate').val("");
            $('#endApproveDate').val("");
            oTable.fnDraw();
        });
        //清空创建时间
        $('#finishDateBtn').click(function () {
            $('#finishStartDate').val("");
            $('#finishEndDate').val("");
            oTable.fnDraw();
        });

        $('#addApproveDate,#endApproveDate,#finishStartDate,#finishEndDate').datetimepicker({
            todayBtn: "linked",
            keyboardNavigation: false,
            forceParse: false,
            calendarWeeks: true,
            autoclose: true,
            format: 'yyyy-mm-dd hh:ii'
        });
        oTable = $('#dynamic-table')
            .dataTable({
                "bAutoWidth": false,
                "bFilter": false,
                "bDestroy": true,
                "bServerSide": true,
                "bPaginate": true,
                "bLengthChange": false,
                "sAjaxSource": "<c:url value='/business/plan/findData.json'/>",
                "sAjaxDataProp": "data",
                "aLengthMenu": [10],
                "aoColumns": [
                    {"mDataProp": "activityNo", "sClass": "text-center", "bSortable": false},
                    {"mDataProp": "fullName", "sClass": "", "bSortable": false},
                    {"mDataProp": "sponsor", "sClass": "", "bSortable": false},
                    {"mDataProp": "address", "sClass": "text-center", "bSortable": false},
                    {"mDataProp": "approveStatus", "sClass": "text-center", "bSortable": false},
                    {"mDataProp": "approveDate", "sClass": "text-center", "bSortable": false},
                    {"mDataProp": "addTime", "sClass": "text-center", "bSortable": false}
                ],
                "fnServerParams": function (aoData) {
                    rowNum = 0;
                    var sProvince,sCity, sArea;
                    if ($("#regionProvince").val() != undefined && $("#regionProvince").val() != "") {
                        sProvince = $("#regionProvince").val();
                    }
                    if ($("#regionCity").val() != undefined && $("#regionCity").val() != "") {
                        sCity = $("#regionCity").val();
                    }
                    if ($("#regionArea").val() != undefined && $("#regionArea").val() != "") {
                        sArea = $("#regionArea").val();
                    }
                    aoData.push(
                        {"name": "approveStatus", "value": $("#approveStatus").val()!=''?$("#approveStatus").val():status},
                        {"name": "sProvince", "value": sProvince},
                        {"name": "sCity", "value": sCity},
                        {"name": "sArea", "value": sArea},
                        {"name": "keywords", "value": $("#keywords").val()},
                        {"name": "addApproveDate", "value": $("#addApproveDate").val()},
                        {"name": "endApproveDate", "value": $("#endApproveDate").val()},
                        {"name": "finishStartDate", "value": $("#finishStartDate").val()},
                        {"name": "finishEndDate", "value": $("#finishEndDate").val()},
                        {"name": "userId", "value": $("#userId").val()},
                        {"name": "dataSource", "value": $("#dataSource").val()},
                        {"name": "approveStatusSummary", "value": $("#approveStatusSummary").val()}
                    );
                },
                "fnDrawCallback": function (data) {
                    $("td").tooltip({
                        selector: "[data-toggle=tooltip]",
                        container: "body"
                    });
                },
                "aoColumnDefs": [
                    {
                        "aTargets": [0],
                        "mRender": function (tar, type, data) {
                            return data.activityNo;
                        }
                    },
                    {
                        "aTargets": [1],
                        "mRender": function (tar, type, data) {
                            var pname = data.fullName;
                            if ( data.history == 1) {
                                pname = "（历）" + pname;
                            }
                            if ($("#keywords").val().length > 0) {
                                var keywords = $("#keywords").val();
                                return pname.replaceAll(keywords, "<span style='background:orange'>" + keywords + "</span>");
                            } else {
                                if ((data.workflowVersion == null || data.workflowVersion == '') && !data.gov) {
                                    return "<span style='color:red'>" + pname + "</span>" ;
                                } else {
                                    return pname;
                                }
                            }
                        }
                    },
                    {
                        "aTargets": [2],
                        "mRender": function (tar, type, data) {
                            if ($("#keywords").val().length > 0) {
                                var keywords = $("#keywords").val();
                                return data.sponsor.replaceAll(keywords, "<span style='background:orange'>" + keywords + "</span>");
                            } else {
                                return data.sponsor;
                            }
                        }
                    },
                    {
                        "aTargets": [3],
                        "mRender": function (tar, type, data) {
                            if(data.areaname!=null && data.areaname!=""){
                                return data.provincename + "-" + data.cityname + "-"+ data.areaname;
                            }
                            if(data.cityname!=null && data.cityname!=""){
                                return data.cityname;
                            }
                            return "";
                        }
                    },
                    {
                        "aTargets": [4],
                        "mRender": function (tar, type, data) {
                            var prefix = "<span>";
                            var suffix = "</span>";
                            if (data.approveStatus == 'YES' || data.approveStatus == 'SL30' || data.approveStatus == '30') {
                                prefix = "<span style='color:forestgreen;'>";
                            } else if (data.approveStatus == 'NO' || data.approveStatus == 'SL20') {
                                prefix = "<span style='color:red;'>";
                            } else if (data.approveStatus == 'REJECT' || data.approveStatus == '15' || data.approveStatus == '20') {
                                prefix = "<span style='color:darkblue;'>";
                            } else if (data.approveStatus == 'IN' || data.approveStatus == 'SL10' || data.approveStatus == '10') {
                                prefix = "<span style='font-weight:bolder'>";
                            }
                            return prefix + data.approveStatusStr + suffix;
                        }
                    },
                    {
                        "aTargets": [5],
                        "mRender": function (tar, type, data) {
                            return data.approveDate;
                        }
                    },
                    {
                        "aTargets": [6],
                        "mRender": function (tar, type, data) {
                            return data.addTime;
                        }
                    },
                    {
                        "aTargets": [7],
                        "mRender": function (tar, type, data) {
                            return "<a class='btn btn-outline btn-primary btn-xs ml5' href='"+baseUrl+"/business/plan/planList/" + data.id + "'>预案列表</a>";
                        }
                    }
                ],
                "oLanguage": {
                    "sProcessing": "处理中...",
                    "sLengthMenu": "显示_MENU_ 项结果",
                    "sZeroRecords": "没有匹配结果",
                    "sInfo": " _START_ - _END_条记录，共_TOTAL_条",
                    "sInfoEmpty": "没有匹配结果",
                    "sInfoFiltered": "(由_MAX_项结果过滤)",
                    "sSearch": "搜索:",
                    "oPaginate": {
                        "sFirst": "首页",
                        "sPrevious": "上页",
                        "sNext": "下页",
                        "sLast": "末页"
                    }
                }
            });
    });

    $(document).keyup(function (event) {
        if (event.keyCode == 13) {
            $("#searchBtn").trigger("click");
        }
    });


</script>

<style>
    #tip {
        position: absolute;
        border-width: 0px;
        position: absolute;
        left: 0px;
        top: 0px;
        width: 42px;
        height: 22px;
        background: inherit;
        background-color: rgba(0, 0, 0, 0.298039215686275);
        border: none;
        border-radius: 4px;
        -moz-box-shadow: none;
        -webkit-box-shadow: none;
        box-shadow: none;
        font-family: 'PingFangSC-Regular', 'PingFang SC';
        font-weight: 400;
        font-style: normal;
        font-size: 11px;
        color: #FFFFFF;
    }
    #tip span{
        display: inline-block;
        padding:3px 0px 0px 4px;
    }
</style>

</body>

</html>
