<%@ page language="java" contentType="text/html; charset=UTF-8"
         pageEncoding="UTF-8" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib prefix="fns" uri="/WEB-INF/jsp/tld/fns.tld" %>
<%@ taglib prefix="app" tagdir="/WEB-INF/tags" %>
<!DOCTYPE html>
<html>
<head>
    <jsp:include page="../../include/assets.jsp"></jsp:include>
<%--    <script type="text/javascript" src="${pageContext.request.contextPath }/js/jquery-1.11.1.min.js"></script>--%>
    <script type="text/javascript" src="${pageContext.request.contextPath }/js/plugins/juicer/juicer-min.js"></script>
    <base href="<c:url value='/' />"/>
    <style>
        input[type=file] {
            display: none !important;
        }

        .yes,.sl30{
            color: green;
        }

        .no,.reject,.sl20{
            color: red;
        }

        .timeline-item .content {
            min-height: auto !important;
        }

        .modal-content .ibox{
            margin-bottom: 0px;
        }
        .ml5{
            margin-left: 5px;
        }

        .riskTip .layui-layer-btn .layui-layer-btn0{
            border-color: #1ab394;
            color: #1ab394;
            background-color: #fff;
            border-radius: 3px;
        }

        .riskTip .layui-layer-btn .layui-layer-btn1{
            background-color: #1ab394;
            border-color: #1ab394;
            color: #fff;
            border-radius: 3px;
        }

        .riskTip .layui-layer-content{
            margin: 10px 10px;
        }
        .form-group {
            margin-bottom: 10px !important;
            margin-right: 50px;
        }
        .hideBtn{
            display: none !important;
        }
    </style>
</head>

<body style="background-color: #ffffff">
<div id="wrapper">
    <c:if test="${empty hiddenLeft}">
    <jsp:include page="../../include/menu.jsp"></jsp:include>
    <div id="page-wrapper" class="gray-bg">
        <jsp:include page="../../include/nav.jsp"></jsp:include>
        <div class="row wrapper border-bottom white-bg page-heading">
            <div class="col-lg-10">
                <h2>预案列表</h2>
                <ol class="breadcrumb">
                    <li>
                        <a href="javascript:void(0);" style="cursor:default">首页</a>
                    </li>
                    <li>
                        <a href="javascript:void(0);" style="cursor:default">预案管理</a>
                    </li>
                    <li>
                        <a href="javascript:void(0);" style="cursor:default">活动预案</a>
                    </li>
                    <li class="active">
                        <strong>预案列表</strong>
                    </li>
                </ol>
            </div>
            <div class="col-lg-2">
            </div>
        </div>
        </c:if>
        <!-- 主内容 -->
        <div class="wrapper wrapper-content animated fadeInRight">
            <div class="row">
                <div class="col-lg-12">
                    <div class="ibox float-e-margins">
                        <div class="ibox-title">
                            <h5>预案检索</h5>
                            <div class="ibox-tools">
                                <a class="collapse-link">
                                    <i class="fa fa-chevron-up"></i>
                                </a>

                            </div>
                        </div>
                        <div class="ibox-content" style="padding-bottom:5px;">
                            <form class="form-inline" onsubmit="return false">
                                <input type="hidden" id="activityId" name="activityId" value="${activityId}">
                                <div class="form-group">
                                    <label for="planType">预案类型：</label>
                                    <select id="planType" class="form-control" onchange="oTable.fnDraw();">
                                        <option value="">全部活动</option>
                                        <option value="1">应急处置</option>
                                        <option value="2">安保方案</option>
                                    </select>
                                </div>
                                <div class="form-group">
                                    <label for="activityLevel">活动级别：</label>
                                    <select id="activityLevel" class="form-control" onchange="oTable.fnDraw();">
                                        <option value="">全部活动</option>
                                        <option value="1">一级</option>
                                        <option value="2">二级</option>
                                        <option value="3">三级</option>
                                    </select>
                                </div>
                                <div class="form-group">
                                    <label for="securityLevel">安保级别：</label>
                                    <select id="securityLevel" class="form-control" onchange="oTable.fnDraw();">
                                        <option value="">全部活动</option>
                                        <option value="1">一级</option>
                                        <option value="2">二级</option>
                                        <option value="3">三级</option>
                                    </select>
                                </div>
                                <div class="form-group">
                                    <label for="classifiedLevel">涉密级别：</label>
                                    <select id="classifiedLevel" class="form-control" onchange="oTable.fnDraw();">
                                        <option value="">全部活动</option>
                                        <option value="1">一级</option>
                                        <option value="2">二级</option>
                                        <option value="3">三级</option>
                                    </select>
                                </div>

                                <div class="form-group">
                                    <label for="keywords">查询关键字：</label>
                                    <div class="input-group">
                                        <input id="keywords" name="keywords" type="text" class="form-control" maxlength="50" placeholder="输入关键词"/>
                                        <a id="searchBtn" class="input-group-addon" onclick="oTable.fnDraw();"><i class="fa fa-search"></i></a>
                                    </div>
                                </div>
                            </form>
                            <form class="form-inline" >
                                <div class="form-group">
                                    <label for="startDate">开始时间：</label>
                                    <div class="input-daterange input-group" id="datepicker">
                                        <input type="text" class="form-control" id="startDate" name="startDate" maxlength="10" placeholder="开始时间"/>
                                        <span class="input-group-addon"> ~ </span>
                                        <input type="text" class="form-control" id="endDate" name="endDate" maxlength="10" placeholder="结束时间"/>
                                        <a class="input-group-addon" onclick="oTable.fnDraw();"><i class="fa fa-search"></i></a>
                                    </div>
                                    <button type="button" id="dateBtn" lay-submit lay-filter="layedit-link-yes" class="btn-white btn-sm">清除</button>
                                </div>
                                <div class="form-group">
                                    <label for="startDate2">创建时间：</label>
                                    <div class="input-daterange input-group" id="datepicker1">
                                        <input type="text" class="form-control" id="startDate2" name="startDate2" maxlength="10" placeholder="开始时间"/>
                                        <span class="input-group-addon"> ~ </span>
                                        <input type="text" class="form-control" id="endDate2" name="endDate2" maxlength="10" placeholder="结束时间"/>
                                        <a class="input-group-addon" onclick="oTable.fnDraw();"><i class="fa fa-search"></i></a>
                                    </div>
                                    <button type="button" id="date2Btn" lay-submit lay-filter="layedit-link-yes" class="btn-white btn-sm">清除</button>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-lg-12">
                    <div class="ibox float-e-margins">
                        <div class="ibox-title">
                            <h5>预案列表</h5>
                            <div class="ibox-tools">
                                <button type="button" style="margin-top: -9px;" class="btn btn-info" onclick="showAddPanel()">新增预案</button>
                                <a class="collapse-link">
                                    <i class="fa fa-chevron-up"></i>
                                </a>

                            </div>
                        </div>
                        <div class="ibox-content">
                            <table id="dynamic-table" class="table table-striped table-bordered table-hover dataTables-example">
                                <thead>
                                <tr>
                                    <th style="min-width: 180px">预案名称</th>
                                    <th>预案类型</th>
                                    <th>活动级别</th>
                                    <th>安保级别</th>
                                    <th style="min-width: 90px">涉密级别</th>
                                    <th style="min-width: 140px">总指挥</th>
                                    <th style="min-width: 140px">副总指挥</th>
                                    <th style="min-width: 140px">开始时间</th>
                                    <th>操作</th>
                                </tr>
                                </thead>
                                <tbody>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <%--详情--%>
        <div class="modal inmodal" id="grade-plan-info" tabindex="-1" role="dialog" aria-hidden="true" style="z-index:101">
            <div class="modal-dialog modal-lg">
                <div class="modal-content animated bounceInRight">
                    <div class="modal-header">
                        <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span>
                        </button>
                        <h4 class="modal-title">预案详情</h4>
                    </div>
                    <div id="grade-plan-info-area">
                        <div class="ibox-content">
                            <div class="row">
                                <div class="col-lg-6">
                                    <dl class="dl-horizontal">
                                        <dt>预案名称</dt>
                                        <dd class="input-group"><input readonly type="text" class="form-control" value="" id="iplanName"></dd>
                                    </dl>
                                </div>

                                <div class="col-lg-6">
                                    <dl class="dl-horizontal">
                                        <dt>预案类型</dt>
                                        <dd class="input-group"><input readonly type="text" class="form-control" value="" id="iplanType"></dd>
                                    </dl>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-lg-6">
                                    <dl class="dl-horizontal">
                                        <dt>开始时间</dt>
                                        <dd class="input-group"><input readonly type="text" class="form-control" value="" id="istartTime"></dd>
                                    </dl>
                                </div>

                                <div class="col-lg-6">
                                    <dl class="dl-horizontal">
                                        <dt>活动级别</dt>
                                        <dd class="input-group"><input readonly type="text" class="form-control" value="" id="iactivityLevel"></dd>
                                    </dl>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-lg-6">
                                    <dl class="dl-horizontal">
                                        <dt>安保级别</dt>
                                        <dd class="input-group"><input readonly type="text" class="form-control" value="" id="isecurityLevel"></dd>
                                    </dl>
                                </div>

                                <div class="col-lg-6">
                                    <dl class="dl-horizontal">
                                        <dt>涉密级别</dt>
                                        <dd class="input-group"><input readonly type="text" class="form-control" value="" id="iclassifiedLevel"></dd>
                                    </dl>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-lg-6">
                                    <dl class="dl-horizontal">
                                        <dt>总指挥</dt>
                                        <dd class="input-group"><input readonly type="text" class="form-control" value="" id="icommander"></dd>
                                    </dl>
                                </div>

                                <div class="col-lg-6">
                                    <dl class="dl-horizontal">
                                        <dt>副总指挥</dt>
                                        <dd class="input-group"><input readonly type="text" class="form-control" value="" id="iassistantCommander"></dd>
                                    </dl>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-lg-6">
                                    <dl class="dl-horizontal">
                                        <dt>参与部门</dt>
                                        <dd class="input-group"><input readonly type="text" class="form-control" value="" id="idepartmentInvolved"></dd>
                                    </dl>
                                </div>

                                <div class="col-lg-6">
                                    <dl class="dl-horizontal">
                                        <dt>总面积</dt>
                                        <dd class="input-group"><input readonly type="text" class="form-control" value="" id="igrossArea"></dd>
                                    </dl>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-lg-6">
                                    <dl class="dl-horizontal">
                                        <dt>参与人数</dt>
                                        <dd class="input-group"><input readonly type="text" class="form-control" value="" id="iinvolvedNum"></dd>
                                    </dl>
                                </div>
                                <div class="col-lg-6">
                                    <dl class="dl-horizontal">
                                        <dt>附件</dt>
                                        <dd><a class="btn btn-outline btn-primary btn-xs ml5" id="ifileUrl" href="">下载</a></dd>
                                    </dl>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-lg-12">
                                    <dl class="dl-horizontal">
                                        <dt>预案描述</dt>
                                        <dd class="input-group"><textarea readonly id="iplanDes" rows="5" cols="40" maxlength="500" class="form-control" ></textarea></dd>
                                    </dl>
                                </div>
                            </div>
                        </div>
                    </div>

                    <form id="grade-plan-info-from" class="form-horizontal">
                        <div class="modal-footer">
                            <button type="button" class="btn btn-white" data-dismiss="modal">取 消</button>
                        </div>
                    </form>
                </div>
            </div>
        </div>

        <%--修改预案--%>
        <div class="modal inmodal" id="grade-update-plan" tabindex="-1" role="dialog" aria-hidden="true" style="z-index:101">
            <div class="modal-dialog modal-lg">
                <div class="modal-content animated bounceInRight">
                    <div class="modal-header">
                        <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span>
                        </button>
                        <h4 class="modal-title">修改预案</h4>
                    </div>
                    <div id="grade-activity-info-area"></div>

                    <form id="grade-update-plan-from" class="form-horizontal">
                        <input type="hidden" id="uactivityPlanId" value=""/>
                        <input type="hidden" id="uactivityId" value=""/>
                        <input type="hidden" id="grade_urankFile" value=""/>
                        <div class="modal-body">
                            <div class="row">
                                <div class="form-group">
                                    <label class="col-sm-4 control-label">*预案名称</label>
                                    <div class="col-sm-8">
                                        <input type="text" class="form-control" value="" id="uplanName">
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-sm-4 control-label">*开始时间</label>
                                    <div class="col-sm-8">
                                        <input type="text" class="form-control" id="ustartTime" maxlength="10"/>
                                    </div>
                                </div>

                                <div class="form-group">
                                    <label class="col-sm-4 control-label">*预案类型</label>
                                    <div class="col-sm-2">
                                        <select id="uplanType" class="form-control">
                                            <option value="1">应急预案</option>
                                            <option value="2">安保预案</option>
                                        </select>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-sm-4 control-label">活动级别</label>
                                    <div class="col-sm-2">
                                        <select id="uactivityLevel" class="form-control">
                                            <option value="1">一级</option>
                                            <option value="2">二级</option>
                                            <option value="3">三级</option>
                                        </select>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-sm-4 control-label">安保级别</label>
                                    <div class="col-sm-2">
                                        <select id="usecurityLevel" class="form-control">
                                            <option value="1">一级</option>
                                            <option value="2">二级</option>
                                            <option value="3">三级</option>
                                        </select>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-sm-4 control-label">涉密级别</label>
                                    <div class="col-sm-2">
                                        <select id="uclassifiedLevel" class="form-control">
                                            <option value="1">一级</option>
                                            <option value="2">二级</option>
                                            <option value="3">三级</option>
                                        </select>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-sm-4 control-label">总指挥</label>
                                    <div class="col-sm-8">
                                        <input type="text" class="form-control" value="" id="ucommander">
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-sm-4 control-label">副总指挥</label>
                                    <div class="col-sm-8">
                                        <input type="text" class="form-control" value="" id="uassistantCommander">
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-sm-4 control-label">参与部门</label>
                                    <div class="col-sm-8">
                                        <input type="text" class="form-control" value="" id="udepartmentInvolved">
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-sm-4 control-label">总面积</label>
                                    <div class="col-sm-8">
                                        <input type="text" class="form-control" value="" id="ugrossArea">
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-sm-4 control-label">参与人数</label>
                                    <div class="col-sm-8">
                                        <input type="text" class="form-control" value="" id="uinvolvedNum">
                                    </div>
                                </div>
                                <div>
                                    <div class="form-group">
                                        <label class="col-sm-4 control-label">附件上传</label>
                                        <div class="col-sm-8">
                                            <div class="col-sm-8 input-group">
                                                <label id="urankFile" for="urankFile" style="padding: 3px 20px; border: 1px solid #2e7cee; color: #2e7cee; background-color: white; border-radius: 3px;">
                                                    上传文件
                                                </label>
                                                <div id="urankFileShow" style="display: none;color: green">文件已上传</div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-sm-4 control-label">预案描述</label>
                                    <div class="col-sm-8">
                                        <div class="col-sm-8 input-group">
                                            <textarea id="uplanDes" class="form-control"
                                                      maxlength="300" rows="" cols=""></textarea>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <br/>
                        </div>

                        <div class="modal-footer">
                            <button type="button" class="btn btn-white" data-dismiss="modal">取 消</button>
                            <button type="button" class="btn btn-primary" onclick="updatePlan()">保 存</button>
                        </div>
                    </form>
                </div>
            </div>
        </div>

        <%--新增预案--%>
        <div class="modal inmodal" id="grade-add-plan" tabindex="-1" role="dialog" aria-hidden="true" style="z-index:101">
            <div class="modal-dialog modal-lg">
                <div class="modal-content animated bounceInRight">
                    <div class="modal-header">
                        <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span>
                        </button>
                        <h4 class="modal-title">新增预案</h4>
                    </div>
                    <form id="grade-add-plan-from" class="form-horizontal">
                        <input type="hidden" id="aactivityId" value=""/>
                        <input type="hidden" id="grade_arankFile" value=""/>
                        <div class="modal-body">
                            <div class="row">
                                <div class="form-group">
                                    <label class="col-sm-4 control-label">*预案名称</label>
                                    <div class="col-sm-8">
                                        <input type="text" class="form-control" value="" id="aplanName">
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-sm-4 control-label">*开始时间</label>
                                    <div class="col-sm-8">
                                        <input type="text" class="form-control" id="astartTime" maxlength="10"/>
                                    </div>
                                </div>

                                <div class="form-group">
                                    <label class="col-sm-4 control-label">*预案类型</label>
                                    <div class="col-sm-2">
                                        <select id="aplanType" class="form-control">
                                            <option value="1">应急预案</option>
                                            <option value="2">安保预案</option>
                                        </select>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-sm-4 control-label">活动级别</label>
                                    <div class="col-sm-2">
                                        <select id="aactivityLevel" class="form-control">
                                            <option value="1">一级</option>
                                            <option value="2">二级</option>
                                            <option value="3">三级</option>
                                        </select>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-sm-4 control-label">安保级别</label>
                                    <div class="col-sm-2">
                                        <select id="asecurityLevel" class="form-control">
                                            <option value="1">一级</option>
                                            <option value="2">二级</option>
                                            <option value="3">三级</option>
                                        </select>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-sm-4 control-label">涉密级别</label>
                                    <div class="col-sm-2">
                                        <select id="aclassifiedLevel" class="form-control">
                                            <option value="1">一级</option>
                                            <option value="2">二级</option>
                                            <option value="3">三级</option>
                                        </select>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-sm-4 control-label">总指挥</label>
                                    <div class="col-sm-8">
                                        <input type="text" class="form-control" value="" id="acommander">
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-sm-4 control-label">副总指挥</label>
                                    <div class="col-sm-8">
                                        <input type="text" class="form-control" value="" id="aassistantCommander">
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-sm-4 control-label">参与部门</label>
                                    <div class="col-sm-8">
                                        <input type="text" class="form-control" value="" id="adepartmentInvolved">
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-sm-4 control-label">总面积</label>
                                    <div class="col-sm-8">
                                        <input type="text" class="form-control" value="" id="agrossArea">
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-sm-4 control-label">参与人数</label>
                                    <div class="col-sm-8">
                                        <input type="text" class="form-control" value="" id="ainvolvedNum">
                                    </div>
                                </div>
                                <div>
                                    <div class="form-group">
                                        <label class="col-sm-4 control-label">附件上传</label>
                                        <div class="col-sm-8">
                                            <div class="col-sm-8 input-group">
                                                <label id="arankFile" for="arankFile" style="padding: 3px 20px; border: 1px solid #2e7cee; color: #2e7cee; background-color: white; border-radius: 3px;">
                                                    上传文件
                                                </label>
                                                <div id="arankFileShow" style="display: none;color: green">文件已上传</div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-sm-4 control-label">预案描述</label>
                                    <div class="col-sm-8">
                                        <div class="col-sm-8 input-group">
                                            <textarea id="aplanDes" class="form-control"
                                                      maxlength="300" rows="" cols=""></textarea>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <br/>
                        </div>

                        <div class="modal-footer">
                            <button type="button" class="btn btn-white" data-dismiss="modal">取 消</button>
                            <button type="button" class="btn btn-primary" onclick="addPlan()">保 存</button>
                        </div>
                    </form>
                </div>
            </div>
        </div>

        <jsp:include page="../../include/footer.jsp"></jsp:include>

    </div>
</div>

<jsp:include page="../../include/scripts.jsp"></jsp:include>
<script src="${pageContext.request.contextPath }/layui/layui.js"></script>

<script type="text/javascript">

    $(function () {
        //清空开始时间
        $('#dateBtn').click(function () {
            $('#startDate').val("");
            $('#endDate').val("");
            oTable.fnDraw();
        });
        //清空创建时间
        $('#date2Btn').click(function () {
            $('#startDate2').val("");
            $('#endDate2').val("");
            oTable.fnDraw();
        });

        $('#startDate,#endDate,#startDate2,#endDate2').datetimepicker({
            todayBtn: "linked",
            keyboardNavigation: false,
            forceParse: false,
            calendarWeeks: true,
            autoclose: true,
            format: 'yyyy-mm-dd hh:ii'
        });
        oTable = $('#dynamic-table')
            .dataTable({
                "bAutoWidth": false,
                "bFilter": false,
                "bDestroy": true,
                "bServerSide": true,
                "bPaginate": true,
                "bLengthChange": false,
                "sAjaxSource": "<c:url value='/business/plan/findPlanListData.json'/>",
                "sAjaxDataProp": "data",
                "aLengthMenu": [10],
                "aoColumns": [
                    {"mDataProp": "planName", "sClass": "text-center", "bSortable": false},
                    {"mDataProp": "planType", "sClass": "", "bSortable": false},
                    {"mDataProp": "activityLevel", "sClass": "", "bSortable": false},
                    {"mDataProp": "securityLevel", "sClass": "text-center", "bSortable": false},
                    {"mDataProp": "classifiedLevel", "sClass": "text-center", "bSortable": false},
                    {"mDataProp": "commander", "sClass": "text-center", "bSortable": false},
                    {"mDataProp": "assistantCommander", "sClass": "text-center", "bSortable": false},
                    {"mDataProp": "startTime", "sClass": "text-center", "bSortable": false}
                ],
                "fnServerParams": function (aoData) {
                    rowNum = 0;
                    aoData.push(
                        {"name": "planType", "value": $("#planType").val()},
                        {"name": "activityLevel", "value": $("#activityLevel").val()},
                        {"name": "securityLevel", "value": $("#securityLevel").val()},
                        {"name": "classifiedLevel", "value": $("#classifiedLevel").val()},
                        {"name": "keywords", "value": $("#keywords").val()},
                        {"name": "startDate", "value": $("#startDate").val()},
                        {"name": "endDate", "value": $("#endDate").val()},
                        {"name": "startDate2", "value": $("#startDate2").val()},
                        {"name": "endDate2", "value": $("#endDate2").val()},
                        {"name": "activityId", "value": $("#activityId").val()}
                    );
                },
                "fnDrawCallback": function (data) {
                    $("td").tooltip({
                        selector: "[data-toggle=tooltip]",
                        container: "body"
                    });
                },
                "aoColumnDefs": [
                    {
                        "aTargets": [0],
                        "mRender": function (tar, type, data) {
                            return data.planName;
                        }
                    },
                    {
                        "aTargets": [1],
                        "mRender": function (tar, type, data) {
                            return data.planType=='1'?'应急预案':data.planType=='2'?'安保预案':'';
                        }
                    },
                    {
                        "aTargets": [2],
                        "mRender": function (tar, type, data) {
                            return data.activityLevel=='1'?'一级':data.activityLevel=='2'?'二级':data.activityLevel=='3'?'三级':'';
                        }
                    },
                    {
                        "aTargets": [3],
                        "mRender": function (tar, type, data) {
                            return data.securityLevel=='1'?'一级':data.securityLevel=='2'?'二级':data.securityLevel=='3'?'三级':'';
                        }
                    },
                    {
                        "aTargets": [4],
                        "mRender": function (tar, type, data) {
                            return data.classifiedLevel=='1'?'一级':data.classifiedLevel=='2'?'二级':data.classifiedLevel=='3'?'三级':'';
                        }
                    },
                    {
                        "aTargets": [5],
                        "mRender": function (tar, type, data) {
                            return data.commander;
                        }
                    },
                    {
                        "aTargets": [6],
                        "mRender": function (tar, type, data) {
                            return data.assistantCommander;
                        }
                    },
                    {
                        "aTargets": [7],
                        "mRender": function (tar, type, data) {
                            return data.startTime;
                        }
                    },
                    {
                        "aTargets": [8],
                        "mRender": function (tar, type, data) {
                            var html = "<a class='btn btn-outline btn-primary btn-xs ml5' onclick='showDetailPanel(" + rowNum + ")'  >详情</a>";
                                html += "<a class='btn btn-outline btn-primary btn-xs ml5' onclick='showUpdatePanel(" + rowNum + ")'  >编辑</a>";
                                html += "<a class='btn btn-outline btn-primary btn-xs ml5' onclick='deletePanel(" + rowNum + ")'  >删除</a>";
                            rowNum++;
                            return html;
                        }
                    }
                ],
                "oLanguage": {
                    "sProcessing": "处理中...",
                    "sLengthMenu": "显示_MENU_ 项结果",
                    "sZeroRecords": "没有匹配结果",
                    "sInfo": " _START_ - _END_条记录，共_TOTAL_条",
                    "sInfoEmpty": "没有匹配结果",
                    "sInfoFiltered": "(由_MAX_项结果过滤)",
                    "sSearch": "搜索:",
                    "oPaginate": {
                        "sFirst": "首页",
                        "sPrevious": "上页",
                        "sNext": "下页",
                        "sLast": "末页"
                    }
                }
            });
    });

    $(document).keyup(function (event) {
        if (event.keyCode == 13) {
            $("#searchBtn").trigger("click");
        }
    });

    function showDetailPanel(rowNum) {
        $(".has-error").removeClass("has-error");
        $("#grade-plan-info").modal();
        if (null != rowNum) {
            var data = oTable.fnGetData(oTable.fnGetNodes()[rowNum]);
            console.log(data.planName);
            $("#iplanName").val(data.planName);
            $("#iplanType").val(data.planType=='1'?'应急预案':data.planType=='2'?'安保预案':'');
            $("#istartTime").val(data.startTime);
            $("#iactivityLevel").val(data.activityLevel=='1'?'一级':data.activityLevel=='2'?'二级':data.activityLevel=='3'?'三级':'');
            $("#isecurityLevel").val(data.securityLevel=='1'?'一级':data.securityLevel=='2'?'二级':data.securityLevel=='3'?'三级':'');
            $("#iclassifiedLevel").val(data.classifiedLevel=='1'?'一级':data.classifiedLevel=='2'?'二级':data.classifiedLevel=='3'?'三级':'');
            $("#icommander").val(data.commander);
            $("#iassistantCommander").val(data.assistantCommander);
            $("#idepartmentInvolved").val(data.departmentInvolved);
            $("#igrossArea").val(data.grossArea);
            $("#iinvolvedNum").val(data.involvedNum);
            $("#iplanDes").html(data.planDes);
            $("#ifileUrl").attr("href",data.fileUrl);
        }
        $(".has-error").removeClass("has-error");
    }

    function showUpdatePanel(rowNum) {
        $(".has-error").removeClass("has-error");
        $("#grade-update-plan").modal();
        $('#ustartTime').datetimepicker({
            todayBtn: "linked",
            keyboardNavigation: false,
            forceParse: false,
            calendarWeeks: true,
            autoclose: true,
            format: 'yyyy-mm-dd hh:ii'
        });
        initURankFile();
        if (null != rowNum) {
            var data = oTable.fnGetData(oTable.fnGetNodes()[rowNum]);
            $("#uactivityPlanId").val(data.activityPlanId);
            $("#uactivityId").val(data.activityId);
            $("#uplanName").val(data.planName);
            $("#uplanType").val(data.planType);
            $("#ustartTime").val(data.startTime);
            $("#uactivityLevel").val(data.activityLevel);
            $("#usecurityLevel").val(data.securityLevel);
            $("#uclassifiedLevel").val(data.classifiedLevel);
            $("#ucommander").val(data.commander);
            $("#uassistantCommander").val(data.assistantCommander);
            $("#udepartmentInvolved").val(data.departmentInvolved);
            $("#ugrossArea").val(data.grossArea);
            $("#uinvolvedNum").val(data.involvedNum);
            $("#uplanDes").html(data.planDes);
            $("#grade_urankFile").val(data.fileUrl);
        }
        $(".has-error").removeClass("has-error");
    }

    function showAddPanel() {
        $(".has-error").removeClass("has-error");
        $("#grade-add-plan").modal();
        $('#astartTime').datetimepicker({
            todayBtn: "linked",
            keyboardNavigation: false,
            forceParse: false,
            calendarWeeks: true,
            autoclose: true,
            format: 'yyyy-mm-dd hh:ii'
        });
        initARankFile();
        $("#aactivityId").val('${activityId}');
        $(".has-error").removeClass("has-error");
    }

    function deletePanel(rowNum) {
        if (null != rowNum) {
            var data = oTable.fnGetData(oTable.fnGetNodes()[rowNum]);
            layer.confirm('确定删除"' + data.planName + '"吗?', {
                btn: ['确定', '取消']
            }, function () {
                $.ajax({
                    url: '<c:url value="/business/plan/delete/'+data.activityPlanId+'.json"/>',
                    type: 'post',
                    data: {},
                    dataType: 'json',
                    success: function (data) {
                        if (data.successful) {
                            oTable.fnDraw();
                            layer.msg('删除成功', {time: 1000, icon: 1});
                        } else {
                            layer.msg(data.msg);
                        }
                    }
                });
            });
        } else {
            layer.alert('参数错误!');
        }
    }

    function addPlan() {
        var aplanName = $("#aplanName").val();
        if (aplanName == null || aplanName == '') {
            layer.msg("预案名称不能为空");
            return ;
        }
        var startTime = $("#astartTime").val();
        if (startTime == null || startTime == '') {
            layer.msg("请选择开始时间");
            return ;
        }

        var loadIndex = parent.layer.load(0, {shade: [0.3,'#808080']});
        $.ajax({
            url: '<c:url value="/business/plan/createOrUpdate.json"/>',
            type: 'post',
            data: {
                activityId:$('#aactivityId').val()
                ,planName:$('#aplanName').val()
                ,planType:$('#aplanType').val()
                ,activityLevel:$('#aactivityLevel').val()
                ,securityLevel:$('#asecurityLevel').val()
                ,classifiedLevel:$('#aclassifiedLevel').val()
                ,commander:$('#acommander').val()
                ,assistantCommander:$('#aassistantCommander').val()
                ,departmentInvolved:$('#adepartmentInvolved').val()
                ,grossArea:$('#agrossArea').val()
                ,involvedNum:$('#ainvolvedNum').val()
                ,planDes:$('#aplanDes').val()
                ,fileUrl:$('#grade_arankFile').val()
                ,startTime:$('#astartTime').val()
            },
            dataType: 'json',
            success: function (data) {
                layer.close(loadIndex);
                if (data.successful) {
                    $("#grade-add-plan").modal('hide');
                    oTable.fnDraw();
                    layer.msg('已提交', {time: 1000, icon: 1});
                } else {
                    layer.msg(data.msg);
                }
            }
        });
    }
    function updatePlan() {
        var aplanName = $("#uplanName").val();
        if (aplanName == null || aplanName == '') {
            layer.msg("预案名称不能为空");
            return ;
        }
        var startTime = $("#ustartTime").val();
        if (startTime == null || startTime == '') {
            layer.msg("请选择开始时间");
            return ;
        }

        var loadIndex = parent.layer.load(0, {shade: [0.3,'#808080']});
        $.ajax({
            url: '<c:url value="/business/plan/createOrUpdate.json"/>',
            type: 'post',
            data: {
                activityPlanId:$('#uactivityPlanId').val()
                ,activityId:$('#uactivityId').val()
                ,planName:$('#uplanName').val()
                ,planType:$('#uplanType').val()
                ,activityLevel:$('#uactivityLevel').val()
                ,securityLevel:$('#usecurityLevel').val()
                ,classifiedLevel:$('#uclassifiedLevel').val()
                ,commander:$('#ucommander').val()
                ,assistantCommander:$('#uassistantCommander').val()
                ,departmentInvolved:$('#udepartmentInvolved').val()
                ,grossArea:$('#ugrossArea').val()
                ,involvedNum:$('#uinvolvedNum').val()
                ,planDes:$('#uplanDes').val()
                ,fileUrl:$('#grade_urankFile').val()
                ,startTime:$('#ustartTime').val()
            },
            dataType: 'json',
            success: function (data) {
                layer.close(loadIndex);
                if (data.successful) {
                    $("#grade-update-plan").modal('hide');
                    oTable.fnDraw();
                    layer.msg('已提交', {time: 1000, icon: 1});
                } else {
                    layer.msg(data.msg);
                }
            }
        });
    }

    function initARankFile(){
        //上传附件功能
        layui.use('upload', function(){
            var layuiUpload = layui.upload;
            //多文件列表示例
            layuiUpload.render({
                elem : '#arankFile',
                url : "<c:url value='/business/approve/uploadFile.json'/>",
                multiple : true,
                auto : true,
                number:1,
                size:3072,
                accept:"file",
                before : function(obj) {
                },
                done : function(res, index, upload) {
                    if (res.successful) { //上传成功
                        $("#grade_arankFile").val(res.obj);
                        $("#arankFileShow").show();
                    }
                },
                error : function(index, upload) {
                    $("#"+index).remove();
                    layer.msg(res);
                }
            });
        });
    }

    function initURankFile(){
        //上传附件功能
        layui.use('upload', function(){
            var layuiUpload = layui.upload;
            //多文件列表示例
            layuiUpload.render({
                elem : '#urankFile',
                url : "<c:url value='/business/approve/uploadFile.json'/>",
                multiple : true,
                auto : true,
                number:1,
                size:3072,
                accept:"file",
                before : function(obj) {
                },
                done : function(res, index, upload) {
                    if (res.successful) { //上传成功
                        $("#grade_urankFile").val(res.obj);
                        $("#urankFileShow").show();
                    }
                },
                error : function(index, upload) {
                    $("#"+index).remove();
                    layer.msg(res);
                }
            });
        });
    }

</script>

<style>
    #tip {
        position: absolute;
        border-width: 0px;
        position: absolute;
        left: 0px;
        top: 0px;
        width: 42px;
        height: 22px;
        background: inherit;
        background-color: rgba(0, 0, 0, 0.298039215686275);
        border: none;
        border-radius: 4px;
        -moz-box-shadow: none;
        -webkit-box-shadow: none;
        box-shadow: none;
        font-family: 'PingFangSC-Regular', 'PingFang SC';
        font-weight: 400;
        font-style: normal;
        font-size: 11px;
        color: #FFFFFF;
    }
    #tip span{
        display: inline-block;
        padding:3px 0px 0px 4px;
    }
</style>

</body>

</html>
