<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<!DOCTYPE html>
<html>
<head>
    <jsp:include page="../../include/assets.jsp"></jsp:include>
    <jsp:include page="../../include/scripts.jsp"></jsp:include>
    <link rel="stylesheet" type="text/css" href="${pageContext.request.contextPath }/js/plugins/layer/css/layui.css"/>
    <link href="${pageContext.request.contextPath }/css/bootstrap.min.css" rel="stylesheet">
    <link href="${pageContext.request.contextPath }/css/style.css" rel="stylesheet">
    <script type="text/javascript" src="${pageContext.request.contextPath }/js/business/common/imgEnlarge.js"></script>
    <script type="text/javascript" src="${pageContext.request.contextPath }/js/plugins/layer/layui.js"></script>
    <base href="<c:url value='/' />"/>
</head>

<body>
    <div id="wrapper">
        <jsp:include page="../../include/menu.jsp"></jsp:include>
        <div id="page-wrapper" class="gray-bg">
	        <jsp:include page="../../include/nav.jsp"></jsp:include>
            <div class="row wrapper border-bottom white-bg page-heading">
                <div class="col-lg-10">
                    <h2>活动审批</h2>
                    <ol class="breadcrumb">
                        <li>
                            <a href="javascript:void(0);" style="cursor:default">首页</a>
                        </li>
                        <li>
                            <a href="javascript:void(0);" style="cursor:default">活动管理</a>
                        </li>
                        <li class="active">
                            <strong>勘查详情</strong>
                        </li>
                    </ol>
                </div>
                <div class="col-lg-2">
                </div>
            </div>

            <!-- 主内容 -->
            <div class="row wrapper border-bottom white-bg page-heading">
                <div class="col-lg-10 activity-item">
                    <div>
                        <div class="row">
                            <div class="col-lg-6">
                                <dl class="dl-horizontal">
                                    <dt>活动名称</dt>
                                    <dd id="survey-detail-name">${activity.fullName}</dd>
                                </dl>
                            </div>
                            <div class="col-lg-6">
                                <dl class="dl-horizontal">
                                    <dt>活动类型</dt>
                                    <dd id="survey-detail-type">${activity.typeCode}</dd>
                                </dl>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-lg-6">
                                <dl class="dl-horizontal">
                                    <dt>举办地区</dt>
                                    <dd id="survey-detail-area">${activity.provincename}-${activity.cityname}-${activity.areaname}</dd>
                                </dl>
                            </div>
                            <div class="col-lg-6">
                                <dl class="dl-horizontal">
                                    <dt>举办场地</dt>
                                    <dd id="survey-detail-address">${activity.address}</dd>
                                </dl>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-lg-6">
                                <dl class="dl-horizontal">
                                    <dt>主办单位</dt>
                                    <dd id="survey-detail-sponsor">${activity.organizer}</dd>
                                </dl>
                            </div>
                            <div class="col-lg-6">
                                <dl class="dl-horizontal">
                                    <dt>承办单位</dt>
                                    <dd id="survey-detail-organizer">${activity.sponsor}</dd>
                                </dl>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-lg-6">
                                <dl class="dl-horizontal">
                                    <dt>活动时间</dt>
                                    <dd id="survey-detail-time">${activity.startDateStr}~${activity.endDateStr}</dd>
                                </dl>
                            </div>
                            <div class="col-lg-6">
                                <dl class="dl-horizontal">
                                    <dt>活动期间单日最大参加人数</dt>
                                    <dd id="survey-detail-number">${activity.number}</dd>
                                </dl>
                            </div>
                        </div>

                        <c:forEach items="${surveyDto.surveyList}" var="survey">
                            <div id="ticket-check-table" class="row">
                                <div class="col-lg-10">
                                    <div class="ibox float-e-margins">
                                        <div class="ibox-title">
                                            <h5>
                                                <c:if test="${survey.step eq '1'}">第一阶段勘查详情</c:if>
                                                <c:if test="${survey.step eq '2'}">第二阶段勘查详情</c:if>
                                                <c:if test="${survey.step eq '3'}">第三阶段勘查详情</c:if>
                                                &nbsp; 地点：${survey.address }
                                                &nbsp; 勘查报告：<a href="<c:url value='${survey.report }'/>&reName=${activity.fullName}-${survey.address }-勘查报告">下载</a>
                                            </h5>
                                            <div class="ibox-tools">
                                                <a class="collapse-link">
                                                    展开详情
                                                </a>
                                                <a class="close-link">
                                                    <i class="fa fa-times"></i>
                                                </a>
                                            </div>
                                        </div>
                                        <div class="ibox-content" style="padding-bottom:0px;">
                                            <c:forEach items="${surveyDto.surveyInfoMap[survey.id]}" var="surveyDetail">
                                                <c:set value="${fn:split(surveyDetail.opinionPic, '&&') }" var="opinionPics"/>
                                                <c:set value="${fn:split(surveyDetail.solvePic, '&&') }" var="solvePics"/>
                                                <table class="table table-striped table-bordered table-hover" >
                                                    <tr>
                                                        <td>整改意见：${surveyDetail.opinion }</td>
                                                    </tr>
                                                    <c:if test="${not empty surveyDetail.opinionPic}">
                                                        <tr>
                                                            <td>
                                                                <c:forEach items="${opinionPics}" var="pic">
                                                                    <img style="width: 150px;height: 150px;" src="<c:url value='${pic}'/>" onclick="viewInfoImg('<c:url value='${pic}'/>')"/>
                                                                </c:forEach>
                                                            </td>
                                                        </tr>
                                                    </c:if>
                                                    <tr>
                                                        <td>整改情况：${surveyDetail.solve }</td>
                                                    </tr>
                                                    <c:if test="${not empty surveyDetail.solvePic}">
                                                        <tr>
                                                            <td>
                                                                <c:forEach items="${solvePics}" var="pic">
                                                                    <img style="width: 150px;height: 150px;" src="<c:url value='${pic}'/>" onclick="viewInfoImg('<c:url value='${pic}'/>')"/>
                                                                </c:forEach>
                                                            </td>
                                                        </tr>
                                                    </c:if>
                                                </table>
                                            </c:forEach>

                                            <div class="hr-line-dashed"></div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </c:forEach>

                    </div>
                </div>
            </div>
	        
			<jsp:include page="../../include/footer.jsp"></jsp:include>
        </div>
    </div>

            <div style="display: none;" id="imgDiv" class="layui-layer-wrap"><img id="viewImg" src=""></div>

</body>

</html>
