<%@ page language="java" contentType="text/html; charset=UTF-8"
         pageEncoding="UTF-8" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@taglib prefix="app" tagdir="/WEB-INF/tags" %>
<!DOCTYPE html>
<html>
<head>
    <jsp:include page="../../../include/assets.jsp"></jsp:include>
    <style>
        .form-group {
            margin-right: 50px;
            margin-bottom: 10px !important;
        }
    </style>
</head>

<body style="background-color: #ffffff">
<div id="wrapper">
    <c:if test="${empty hiddenLeft}">
    <jsp:include page="../../../include/menu.jsp"></jsp:include>
    <div id="page-wrapper" class="gray-bg">
        <jsp:include page="../../../include/nav.jsp"></jsp:include>
        <div class="row wrapper border-bottom white-bg page-heading">
            <div class="col-lg-10">
                <h2>涉会企业基本信息</h2>
                <ol class="breadcrumb">
                    <li>
                        <a href="${pageContext.request.contextPath }/" style="cursor:default">首页</a>
                    </li>
                    <li>
                        <a href="${pageContext.request.contextPath }/business/bi/xcts" style="cursor:pointer">安保态势</a>
                    </li>
                    <li class="active">
                        <strong>涉会企业基本信息</strong>
                    </li>
                </ol>
            </div>
            <div class="col-lg-2">
            </div>
        </div>
        </c:if>

        <!-- 主内容 -->
        <div class="wrapper wrapper-content animated fadeInRight">
            <div class="row">
                <div class="col-lg-12">
                    <div class="ibox float-e-margins">
                        <div class="ibox-title">
                            <h5>数据检索</h5>
                            <div class="ibox-tools">
                                <a class="collapse-link">
                                    <i class="fa fa-chevron-up"></i>
                                </a>
                            </div>
                        </div>
                        <div class="ibox-content" style="padding-bottom:5px;">
                            <form class="form-inline" onsubmit="return false">
                                <input type="hidden" id="activityNo" name="activityNo" value="${activityNo }">
                                <div class="form-group">
                                    <label for="keywords">查询关键字：</label>
                                    <div class="input-group">
                                        <input id="keywords" name="keywords" type="text" class="form-control" maxlength="50" placeholder="企业名称"/>
                                        <a id="searchBtn" class="input-group-addon" onclick="oTable.fnDraw();"><i class="fa fa-search"></i></a>
                                    </div>
                                </div>
                            </form>

                        </div>
                    </div>
                </div>
            </div>

            <div class="row">
                <div class="col-lg-12">
                    <div class="ibox float-e-margins">
                        <div class="ibox-title">
                            <h5>数据统计</h5>
                            <div class="text-right">
                                <a class='btn btn-outline btn-success btn-xs ml5'
                                   onclick="javascript:window.history.back();">返回上一级</a>
                            </div>
                            <div class="ibox-tools">
                                <a class="collapse-link">
                                    <i class="fa fa-chevron-up"></i>
                                </a>
                            </div>
                        </div>
                        <div class="ibox-content">
                            <table id="dynamic-table" class="table table-striped table-bordered table-hover dataTables-example">
                                <thead>
                                <tr>
                                    <th>企业名称</th>
                                    <th>注册号</th>
                                    <th>法人</th>
                                    <th>企业类型</th>
                                    <th>状态</th>
                                    <th>注册资本</th>
                                    <th>住所</th>
                                    <th>住所方式</th>
                                    <th>投资总额</th>
                                    <th>实收资本</th>
                                </tr>
                                </thead>
                                <tbody>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <jsp:include page="../../../include/footer.jsp"></jsp:include>
    </div>
</div>
<jsp:include page="abrwDetail.jsp"></jsp:include>
<jsp:include page="../../../include/scripts.jsp"></jsp:include>

<script type="text/javascript">

    $('#startDate,#endDate,#addTime').datetimepicker({
        minView: "month",//设置只显示到月份
        format : "yyyy-mm-dd",//日期格式
        autoclose:true,//选中关闭
        todayBtn: true//今日按钮
    });

    //清空活动开始日期
    $('#clearBtn').click(function () {
        $('#startDate').val("");
        $('#endDate').val("");
        oTable.fnDraw();
    });

    $(function () {
        oTable = $('#dynamic-table')
            .dataTable({
                "bAutoWidth": false,
                "bFilter": false,
                "bDestroy": true,
                "bServerSide": true,
                "bPaginate": true,
                "bLengthChange": false,
                "sAjaxSource": "<c:url value='/business/nx/findShqyjbxxListData.json'/>",
                "sAjaxDataProp": "data",
                "aLengthMenu": [10],
                "aoColumns": [
                    {"mDataProp": "QYMC", "sClass": "text-center", "bSortable": false},
                    {"mDataProp": "ZCH", "sClass": "text-center", "bSortable": false},
                    {"mDataProp": "FR", "sClass": "text-center", "bSortable": false},
                    {"mDataProp": "QYLX", "sClass": "text-center", "bSortable": false},
                    {"mDataProp": "ZT", "sClass": "text-center", "bSortable": false},
                    {"mDataProp": "ZCZB", "sClass": "text-center", "bSortable": false},
                    {"mDataProp": "ZS", "sClass": "text-center", "bSortable": false},
                    {"mDataProp": "ZSFS", "sClass": "text-center", "bSortable": false},
                    {"mDataProp": "TZZE", "sClass": "text-center", "bSortable": false},
                    {"mDataProp": "SSZB", "sClass": "text-center", "bSortable": false}
                ],
                "fnServerParams": function (aoData) {
                    rowNum = 0;
                    aoData.push(
                        {"name": "keywords", "value": $("#keywords").val()}
                    );
                },
                "fnDrawCallback": function (data) {
                    $("td").tooltip({
                        selector: "[data-toggle=tooltip]",
                        container: "body"
                    });
                },
                "aoColumnDefs": [
                    {
                        "aTargets": [0],
                        "mRender": function (tar, type, data) {
                            return data.QYMC;
                        }
                    },
                    {
                        "aTargets": [1],
                        "mRender": function (tar, type, data) {
                            return data.ZCH;
                        }
                    },
                    {
                        "aTargets": [2],
                        "mRender": function (tar, type, data) {
                            return data.FR;
                        }
                    },
                    {
                        "aTargets": [3],
                        "mRender": function (tar, type, data) {
                            return data.QYLX;
                        }
                    },
                    {
                        "aTargets": [4],
                        "mRender": function (tar, type, data) {
                            return data.ZT;
                        }
                    },
                    {
                        "aTargets": [5],
                        "mRender": function (tar, type, data) {
                            return data.ZCZB;
                        }
                    },
                    {
                        "aTargets": [6],
                        "mRender": function (tar, type, data) {
                            return data.ZS;
                        }
                    },
                    {
                        "aTargets": [7],
                        "mRender": function (tar, type, data) {
                            return data.ZSFS;
                        }
                    },
                    {
                        "aTargets": [8],
                        "mRender": function (tar, type, data) {
                            return data.TZZE;
                        }
                    },
                    {
                        "aTargets": [9],
                        "mRender": function (tar, type, data) {
                            return data.SSZB;
                        }
                    }
                ],
                "oLanguage": {
                    "sProcessing": "处理中...",
                    "sLengthMenu": "显示_MENU_ 项结果",
                    "sZeroRecords": "没有匹配结果",
                    "sInfo": " _START_ - _END_条记录，共_TOTAL_条",
                    "sInfoEmpty": "没有匹配结果",
                    "sInfoFiltered": "(由_MAX_项结果过滤)",
                    "sSearch": "搜索:",
                    "oPaginate": {
                        "sFirst": "首页",
                        "sPrevious": "上页",
                        "sNext": "下页",
                        "sLast": "末页"
                    }
                }
            });

        $(document).keyup(function (event) {
            if (event.keyCode == 13) {
                $("#searchBtn").trigger("click");
            }
        });

        //根据导航第二个a的链接打开左侧对应的菜单
        $('.nav-second-level a[href="'+$('.breadcrumb li').eq(1).children().attr('href')+'"]').parent().addClass("active").parent().prev().click();

    });

</script>
</body>

</html>
