<%@ page language="java" contentType="text/html; charset=UTF-8"
         pageEncoding="UTF-8"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>

<style>
    .ibox-content{ word-wrap:break-word; }
</style>
<div class="modal inmodal" id="camera-detail"  tabindex="-1" role="dialog" aria-hidden="true" style="z-index:101">
    <div class="modal-dialog modal-lg" style="width:750px;">
        <div class="modal-content animated bounceInRight" >
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
                <h4 class="modal-title">设备信息</h4>
            </div>
            <div class="row">
                <div class="col-lg-10 col-lg-offset-1">
                    <div class="ibox float-e-margins">
                        <div id="detail-camera-info-area"></div>
                    </div>
                </div>
            </div>

            <div class="modal-footer">
                <button type="button" class="btn btn-white" data-dismiss="modal">关 闭</button>
            </div>
        </div>
    </div>
</div>


<div id="camera-info-html" class="hide">
    <div class="ibox-content">
    <div class="row">
        <div class="col-lg-12">
            <dl class="dl-horizontal">
                <dt>设备名称</dt>
                <dd>{fullName}</dd>
            </dl>
        </div>
        <div class="col-lg-12">
            <dl class="dl-horizontal">
                <dt>视频设备编码</dt>
                <dd>{serialNumber}</dd>
            </dl>
        </div>
        <div class="col-lg-12">
            <dl class="dl-horizontal">
                <dt>厂商名称</dt>
                <dd>{factory}</dd>
            </dl>
        </div>
        <div class="col-lg-12">
            <dl class="dl-horizontal">
                <dt>IP地址</dt>
                <dd>{ipAddress}</dd>
            </dl>
        </div>
        <div class="col-lg-12">
            <dl class="dl-horizontal">
                <dt>IPV6地址</dt>
                <dd>{ipAddress6}</dd>
            </dl>
        </div>
        <div class="col-lg-12">
            <dl class="dl-horizontal">
                <dt>地球经度</dt>
                <dd>{longitude}</dd>
            </dl>
        </div>
        <div class="col-lg-12">
            <dl class="dl-horizontal">
                <dt>地球纬度</dt>
                <dd>{latitude}</dd>
            </dl>
        </div>
        <div class="col-lg-12">
            <dl class="dl-horizontal">
                <dt>安装地点行政区划代码</dt>
                <dd>{installAreaCode}</dd>
            </dl>
        </div>
        <div class="col-lg-12">
            <dl class="dl-horizontal">
                <dt>安装地点地址名称</dt>
                <dd>{installAddress}</dd>
            </dl>
        </div>
        <div class="col-lg-12">
            <dl class="dl-horizontal">
                <dt>管辖单位</dt>
                <dd>{controlOrg}</dd>
            </dl>
        </div>
        <div class="col-lg-12">
            <dl class="dl-horizontal">
                <dt>组织机构代码</dt>
                <dd>{controlOrgCode}</dd>
            </dl>
        </div>
        <div class="col-lg-12">
            <dl class="dl-horizontal">
                <dt>设备类型</dt>
                <dd>{deviceCameraType}</dd>
            </dl>
        </div>
        <div class="col-lg-12">
            <dl class="dl-horizontal">
                <dt>采集数据类型</dt>
                <dd>{dataType}</dd>
            </dl>
        </div>
        <div class="col-lg-12">
            <dl class="dl-horizontal">
                <dt>监视方向</dt>
                <dd>{monitorDirection}</dd>
            </dl>
        </div>
        <div class="col-lg-12">
            <dl class="dl-horizontal">
                <dt>监视区域说明</dt>
                <dd>{monitorArea}</dd>
            </dl>
        </div>
        <div class="col-lg-12">
            <dl class="dl-horizontal">
                <dt>摄像机位置类型</dt>
                <dd>{cameraPositionType}</dd>
            </dl>
        </div>
        <div class="col-lg-12">
            <dl class="dl-horizontal">
                <dt>摄像机用途</dt>
                <dd>{cameraUse}</dd>
            </dl>
        </div>
    </div>

</div>
</div>


<script type="text/javascript">

    function getCameraInfo(obj,data){

        var cameraHtml = $("#camera-info-html").html();

        cameraHtml = cameraHtml.replaceAll("{serialNumber}",data.serialNumber || "");
        cameraHtml = cameraHtml.replaceAll("{fullName}",data.fullName || "");
        cameraHtml = cameraHtml.replaceAll("{factory}",data.factory || "");
        cameraHtml = cameraHtml.replaceAll("{ipAddress}",data.ipAddress || "");
        cameraHtml = cameraHtml.replaceAll("{ipAddress6}",data.ipAddress6 || "");
        cameraHtml = cameraHtml.replaceAll("{longitude}",data.longitude || "");
        cameraHtml = cameraHtml.replaceAll("{latitude}",data.latitude || "");
        cameraHtml = cameraHtml.replaceAll("{installAreaCode}",data.installAreaCode || "");
        cameraHtml = cameraHtml.replaceAll("{installAddress}",data.installAddress || "");
        cameraHtml = cameraHtml.replaceAll("{controlOrg}",data.controlOrg || "");
        cameraHtml = cameraHtml.replaceAll("{controlOrgCode}",data.controlOrgCode || "");
        cameraHtml = cameraHtml.replaceAll("{deviceCameraType}",data.deviceCameraType || "");
        cameraHtml = cameraHtml.replaceAll("{dataType}",data.dataType || "");
        cameraHtml = cameraHtml.replaceAll("{monitorDirection}",data.monitorDirection || "");
        cameraHtml = cameraHtml.replaceAll("{monitorArea}",data.monitorArea || "");
        cameraHtml = cameraHtml.replaceAll("{cameraPositionType}",data.cameraPositionType || "");
        cameraHtml = cameraHtml.replaceAll("{cameraUse}",data.cameraUse || "");
        $("#"+obj).html(cameraHtml);
    }


    function showDetailCamera(rowNum) {
        $("#camera-detail").modal();

        if(null != rowNum) {
            var data = oTable.fnGetData(oTable.fnGetNodes()[rowNum]);
            //获取设备详情
            getCameraInfo("detail-camera-info-area",data);
        }
        $(".has-error").each(function(i, e) {
            $(e).removeClass("has-error");
        })
    }

</script>
