<%@ page language="java" contentType="text/html; charset=UTF-8"
         pageEncoding="UTF-8"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>

<style>
    .ibox-content{ word-wrap:break-word; }
</style>
<div class="modal inmodal" id="tcc-detail"  tabindex="-1" role="dialog" aria-hidden="true" style="z-index:101">
    <div class="modal-dialog modal-lg" style="width:750px;">
        <div class="modal-content animated bounceInRight" >
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
                <h4 class="modal-title">停车场信息</h4>
            </div>
            <div class="row">
                <div class="col-lg-10 col-lg-offset-1">
                    <div class="ibox float-e-margins">
                        <div id="detail-tcc-info-area"></div>
                    </div>
                </div>
            </div>

            <div class="modal-footer">
                <button type="button" class="btn btn-white" data-dismiss="modal">关 闭</button>
            </div>
        </div>
    </div>
</div>


<div id="tcc-info-html" class="hide">
    <div class="ibox-content">
    <div class="row">
        <div class="col-lg-12">
            <dl class="dl-horizontal">
                <dt>停车场编号</dt>
                <dd>{parkNo}</dd>
            </dl>
        </div>
        <div class="col-lg-12">
            <dl class="dl-horizontal">
                <dt>停车场名称</dt>
                <dd>{parkName}</dd>
            </dl>
        </div>
        <div class="col-lg-12">
            <dl class="dl-horizontal">
                <dt>停车场类型</dt>
                <dd>{parkType}</dd>
            </dl>
        </div>
        <div class="col-lg-12">
            <dl class="dl-horizontal">
                <dt>停车场位置</dt>
                <dd>{packAddress}</dd>
            </dl>
        </div>
        <div class="col-lg-12">
            <dl class="dl-horizontal">
                <dt>停车场出口数量</dt>
                <dd>{exitCount}</dd>
            </dl>
        </div>
        <div class="col-lg-12">
            <dl class="dl-horizontal">
                <dt>停车场入口数量</dt>
                <dd>{entryCount}</dd>
            </dl>
        </div>
        <div class="col-lg-12">
            <dl class="dl-horizontal">
                <dt>所含出入口编号</dt>
                <dd></dd>
<%--                无字段，待添加--%>
            </dl>
        </div>
        <div class="col-lg-12">
            <dl class="dl-horizontal">
                <dt>停车位数量</dt>
                <dd>{total}</dd>
            </dl>
        </div>
        <div class="col-lg-12">
            <dl class="dl-horizontal">
                <dt>已占用车位数量</dt>
                <dd>{parkTotal}</dd>
            </dl>
        </div>
        <div class="col-lg-12">
            <dl class="dl-horizontal">
                <dt>已预订车位数量</dt>
                <dd>{bookTotal}</dd>
            </dl>
        </div>
        <div class="col-lg-12">
            <dl class="dl-horizontal">
                <dt>地球经度</dt>
                <dd>{longitude}</dd>
            </dl>
        </div>
        <div class="col-lg-12">
            <dl class="dl-horizontal">
                <dt>地球纬度</dt>
                <dd>{latitude}</dd>
            </dl>
        </div>
        <div class="col-lg-12">
            <dl class="dl-horizontal">
                <dt>管理单位名称</dt>
                <dd>{manageOrg}</dd>
            </dl>
        </div>
        <div class="col-lg-12">
            <dl class="dl-horizontal">
                <dt>联系人名称</dt>
                <dd>{manageName}</dd>
            </dl>
        </div>
        <div class="col-lg-12">
            <dl class="dl-horizontal">
                <dt>联系电话</dt>
                <dd>{manageMobile}</dd>
            </dl>
        </div>
        <div class="col-lg-12">
            <dl class="dl-horizontal">
                <dt>数据更新时间</dt>
                <dd>{createOn}</dd>
            </dl>
        </div>
        <div class="col-lg-12">
            <dl class="dl-horizontal">
                <dt>数据来源</dt>
                <dd>{source}</dd>
            </dl>
        </div>
        <div class="col-lg-12">
            <dl class="dl-horizontal">
                <dt>数据状态</dt>
                <dd>{dataStatus}</dd>
            </dl>
        </div>
    </div>

</div>
</div>


<script type="text/javascript">

    function getTccInfo(obj,data){

        var tccHtml = $("#tcc-info-html").html();

        tccHtml = tccHtml.replaceAll("{parkTotal}",data.parkTotal || "");
        tccHtml = tccHtml.replaceAll("{bookTotal}",data.bookTotal || "");
        tccHtml = tccHtml.replaceAll("{parkNo}",data.parkNo || "");
        tccHtml = tccHtml.replaceAll("{parkName}",data.parkName || "");
        tccHtml = tccHtml.replaceAll("{parkType}",data.parkType || "");
        tccHtml = tccHtml.replaceAll("{packAddress}",data.packAddress || "");
        tccHtml = tccHtml.replaceAll("{entryCount}",data.entryCount || "");
        tccHtml = tccHtml.replaceAll("{exitCount}",data.exitCount || "");
        tccHtml = tccHtml.replaceAll("{longitude}",data.longitude || "");
        tccHtml = tccHtml.replaceAll("{latitude}",data.latitude || "");
        tccHtml = tccHtml.replaceAll("{manageOrg}",data.manageOrg || "");
        tccHtml = tccHtml.replaceAll("{manageName}",data.manageName || "");
        tccHtml = tccHtml.replaceAll("{manageMobile}",data.manageMobile || "");
        tccHtml = tccHtml.replaceAll("{source}",data.source || "");
        tccHtml = tccHtml.replaceAll("{dataStatus}",data.dataStatus || "");
        tccHtml = tccHtml.replaceAll("{createOn}",data.createOn || "");
        tccHtml = tccHtml.replaceAll("{total}",data.total || "");
        $("#"+obj).html(tccHtml);
    }


    function showDetailTCC(rowNum) {
        $("#tcc-detail").modal();

        if(null != rowNum) {
            var data = oTable.fnGetData(oTable.fnGetNodes()[rowNum]);
            console.log(data);
            //获取停车场详情
            getTccInfo("detail-tcc-info-area",data);
        }
        $(".has-error").each(function(i, e) {
            $(e).removeClass("has-error");
        })
    }

</script>
