<%@ page language="java" contentType="text/html; charset=UTF-8"
         pageEncoding="UTF-8" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib prefix="fns" uri="/WEB-INF/jsp/tld/fns.tld" %>
<!DOCTYPE html>
<html lang="en">

<head>
    <link href="${pageContext.request.contextPath }/css/workbench/reset.css" rel="stylesheet">
    <link href="${pageContext.request.contextPath }/css/bootstrap.min.css" rel="stylesheet">
    <link href="${pageContext.request.contextPath }/css/workbench/index.css" rel="stylesheet">
    <link href="https://cdn.jsdelivr.net/npm/daterangepicker/daterangepicker.css" rel="stylesheet" type="text/css"/>
    <!--[if lt IE 9]>

    <script type="text/javascript" src="${pageContext.request.contextPath }/js/bootstrap.min.js"></script>

<![endif]-->
    <script type="text/javascript">
        var baseUrl = '${pageContext.request.contextPath }';
    </script>
    <title>${fns:getConfig("platform_name")}</title>
</head>

<body>
<div class="dahuo_container">
    <!-- 筛选 -->
    <div class="screen_wrap">

        <div class="screen_item">
            <label for="active_name">活动名称:</label>
            <div class="btn-group">
                <button class="btn btn-default btn-sm dropdown-toggle" id="btn-dropdown" type="button" data-toggle="dropdown"
                        aria-haspopup="true" aria-expanded="false">
                    <span class="caret" id="caret_push"></span>
                </button>
                <ul class="dropdown-menu"> </ul>
            </div>
        </div>

        <div class="screen_item">
            <label for="active_name">活动周期:</label>
            <input type="text" id="timeInterval" />
        </div>
        <div class="screen_item">
            <label for="active_name">活动场馆:</label>
            <input type="text" id="venueName" />
        </div>

    </div>


    <!-- tab导航 -->
    <ul class="dahuo_nav dahuo_col col_4">
        <li>
            <div class="inner_wraper current shadow" onclick="goto('hdts',${activityId})">
                <img src="${pageContext.request.contextPath }/img/workbench/1.png" alt="">
                进入活动态势大屏
            </div>
        </li>
        <li>
            <div class="inner_wraper shadow" onclick="goto('abts',${activityId})">
                <img src="${pageContext.request.contextPath }/img/workbench/2.png" alt="">
                查看安保态势
            </div>
        </li>
        <li>
            <div class="inner_wraper shadow" onclick="goto('ryts',${activityId})">
                <img src="${pageContext.request.contextPath }/img/workbench/3.png" alt="">
                查看人员态势
            </div>
        </li>
        <li>
            <div class="inner_wraper shadow" onclick="goto('zgtj',${activityId})">
                <img src="${pageContext.request.contextPath }/img/workbench/4.png" alt="">
                查看战果报表
            </div>
        </li>
    </ul>

    <!-- 活动信息 -->
    <h2 class="dahuo_title">活动信息</h2>
    <ul class="dahuo_active_info dahuo_col col_4">
        <li id="detail-activity-area">
            <div class="inner_wraper">
                <h3 class="inner_title">活动基本信息</h3>
                <p>
                    <em>活动编号:</em>
                    <span></span>
                </p>
                <p>
                    <em>活动名称:</em>
                    <span></span>
                </p>
                <p>
                    <em>活动场馆:</em>
                    <span></span>
                </p>
                <p>
                    <em>活动地址:</em>
                    <span></span>
                </p>
                <p>
                    <em>活动周期:</em>
                    <span></span>
                </p>
                <p>
                    <em>活动人数:</em>
                    <span></span>
                </p>
                <p>
                    <em>承办单位:</em>
                    <span></span>
                </p>
            </div>
        </li>
        <li id="detail-venue-area">
            <div class="inner_wraper">
                <h3 class="inner_title">活动场馆信息</h3>
                <p>
                    <em>场馆编号:</em>
                    <span></span>
                </p>
                <p>
                    <em>场馆名称:</em>
                    <span></span>
                </p>
                <p>
                    <em>建成日期:</em>
                    <span></span>
                </p>
                <p>
                    <em>人数上限:</em>
                    <span></span>
                </p>
                <p>
                    <em>活动类型:</em>
                    <span></span>
                </p>
                <p>
                    <em>联系人:</em>
                    <span></span>
                </p>
                <p>
                    <em>身份证号:</em>
                    <span></span>
                </p>
            </div>
        </li>
        <li id="detail-service-org-area">
            <div class="inner_wraper">
                <h3 class="inner_title">安保公司信息</h3>
                <p>
                    <em>公司编号:</em>
                    <span></span>
                </p>
                <p>
                    <em>单位名称:</em>
                    <span></span>
                </p>
                <p>
                    <em>成立日期:</em>
                    <span></span>
                </p>
                <p>
                    <em>公司规模:</em>
                    <span></span>
                </p>
                <p>
                    <em>社会统一信用代码:</em>
                    <span></span>
                </p>
                <p>
                    <em>法人信息:</em>
                    <span></span>
                </p>
                <p>
                    <em>身份证号:</em>
                    <span></span>
                </p>
            </div>
        </li>
        <li id="detail-approve-area">
            <div class="inner_wraper">
                <h3 class="inner_title">活动审批信息</h3>
                <p>
                    <em>许可编号:</em>
                    <span></span>
                </p>
                <p>
                    <em>许可单位:</em>
                    <span></span>
                </p>
                <p>
                    <em>许可时间:</em>
                    <span></span>
                </p>
                <p>
                    <em>审批意见:</em>
                    <span></span>
                </p>
                <p>
                    <em>安全等级:</em>
                    <span></span>
                </p>
                <p>
                    <em>风评报告:</em>
                    <span></span>
                </p>
                <p>
                    <em>安保工作方案:</em>
                    <span></span>
                </p>
            </div>
        </li>
    </ul>

    <!-- 人员态势 -->
    <h2 class="dahuo_title">人员态势</h2>
    <ul class="dahuo_situation dahuo_col col_6">
        <li>
            <div class="inner_wraper">
                <p>实时进场人数（人）</p>
                <em class="dahuo_count" id="inCountTotal">--</em>
            </div>
        </li>
        <li>
            <div class="inner_wraper">
                <p>人脸识别未通过（人）</p>
                <em class="dahuo_count">3</em>
            </div>
        </li>
        <li>
            <div class="inner_wraper">
                <p>背审未通过（人）</p>
                <em class="dahuo_count">10</em>
            </div>
        </li>
        <li>
            <div class="inner_wraper">
                <p>核查人数（人）</p>
                <em class="dahuo_count">10</em>
            </div>
        </li>
        <li>
            <div class="inner_wraper">
                <p>拦截人数（人）</p>
                <em class="dahuo_count">10</em>
            </div>
        </li>
        <li>
            <div class="inner_wraper">
                <p>劝返人数（人）</p>
                <em class="dahuo_count">10</em>
            </div>
        </li>
    </ul>
<%--    <ul class="dahuo_frame dahuo_col col_3">--%>
<%--        <li>--%>
<%--            <div class="inner_wraper">--%>
<%--                <iframe src="http://114.116.191.105:8010/cboard/thirdParty.html#/mine/50" frameborder="0"></iframe>--%>
<%--            </div>--%>
<%--        </li>--%>
<%--        <li>--%>
<%--            <div class="inner_wraper">--%>
<%--                 <iframe src="http://114.116.191.105:8010/cboard/thirdParty.html#/mine/51" frameborder="0"></iframe>--%>
<%--            </div>--%>
<%--        </li>--%>
<%--        <li>--%>
<%--            <div class="inner_wraper">--%>
<%--                 <iframe src="http://114.116.191.105:8010/cboard/thirdParty.html#/mine/52" frameborder="0"></iframe>--%>
<%--            </div>--%>
<%--        </li>--%>
<%--    </ul>--%>

    <!-- 态势管理入口 -->
    <h2 class="dahuo_title">监管业务协同</h2>
    <ul class="dahuo_situation_entry dahuo_col col_2">
        <li>
            <div class="inner_wraper">
                <header>
                    <span>保安服务监管系统</span>
                    <section class="btns">
<%--                        <button>GIS地图标注</button>--%>
<%--                        <button>在数据大屏查看</button>--%>
                        <button>进入系统</button>
                    </section>
                </header>
                <ol class="situation_infos">
                    <li>
                        <section class="count_circle">
                            22070
                        </section>
                        <span>安保人员（人）</span>
                    </li>
                    <li>
                        <section class="count_circle">
                            19918
                        </section>
                        <span>已审核（人）</span>
                    </li>
                    <li>
                        <section class="count_circle">
                            1030
                        </section>
                        <span>未审核（人）</span>
                    </li>
                    <li>
                        <section class="count_circle">
                            338
                        </section>
                        <span>临保任务（人）</span>
                    </li>
                </ol>
            </div>
        </li>
        <li>
            <div class="inner_wraper">
                <header>
                    <span>圈层管理系统</span>
                    <section class="btns">
<%--                        <button>GIS地图标注</button>--%>
<%--                        <button>在数据大屏查看</button>--%>
                        <button class="blue" onclick="location='<c:url value="/business/bi/qcgl"/>'">进入系统</button>
                    </section>
                </header>
                <ol class="situation_infos">
                    <li>
                        <section class="count_circle">
                            36938
                        </section>
                        <span>审核人数（人）</span>
                    </li>
                    <li>
                        <section class="count_circle">
                            9539
                        </section>
                        <span>审核车辆数（辆）</span>
                    </li>
                    <li>
                        <section class="count_circle">
                            482
                        </section>
                        <span>问题人员（人）</span>
                    </li>
                    <li>
                        <section class="count_circle">
                            261
                        </section>
                        <span>问题车辆（人）</span>
                    </li>
                </ol>
            </div>
        </li>
        <li>
            <div class="inner_wraper">
                <header>
                    <span>现场管理系统</span>
                    <section class="btns">
<%--                        <button>GIS地图标注</button>--%>
<%--                        <button>在数据大屏查看</button>--%>
                        <button class="blue">进入系统</button>
                    </section>
                </header>
                <ol class="situation_infos">
                    <li>
                        <section class="count_circle">
                            28038
                        </section>
                        <span>现场事件（人）</span>
                    </li>
                    <li>
                        <section class="count_circle">
                            0
                        </section>
                        <span>警情事件（件）</span>
                    </li>
                    <li>
                        <section class="count_circle">
                            0
                        </section>
                        <span>已处理（人）</span>
                    </li>
                    <li>
                        <section class="count_circle">
                            14
                        </section>
                        <span>未处理（人）</span>
                    </li>
                </ol>
            </div>
        </li>
        <li>
            <div class="inner_wraper">
                <header>
                    <span>低慢小管理系统</span>
                    <section class="btns">
<%--                        <button>GIS地图标注</button>--%>
<%--                        <button>在数据大屏查看</button>--%>
                        <button class="blue">进入系统</button>
                    </section>
                </header>
                <ol class="situation_infos">
                    <li>
                        <section class="count_circle" id="deviceCameraCount">
                            --
                        </section>
                        <span>低小慢设备数量（路）</span>
                    </li>
                    <li>
                        <section class="count_circle" id="eventCount">
                            --
                        </section>
                        <span>已处置（起）</span>
                    </li>
                    <li>
                        <section class="count_circle">
                            3
                        </section>
                        <span>已处罚（起）</span>
                    </li>
                    <li>
                        <section class="count_circle">
                            5
                        </section>
                        <span>未处置（起）</span>
                    </li>
                </ol>
            </div>
        </li>
<%--        <li>--%>
<%--            <div class="inner_wraper">--%>
<%--                <header>--%>
<%--                    <span>人员态势-重点人员态势</span>--%>
<%--                    <section class="btns">--%>
<%--                        <button>GIS地图标注</button>--%>
<%--                        <button>在数据大屏查看</button>--%>
<%--                        <button class="blue">进入系统</button>--%>
<%--                    </section>--%>
<%--                </header>--%>
<%--                <ol class="situation_infos">--%>
<%--                    <li>--%>
<%--                        <section class="count_circle">--%>
<%--                            30--%>
<%--                        </section>--%>
<%--                        <span>重点人员数量（人）</span>--%>
<%--                    </li>--%>
<%--                    <li>--%>
<%--                        <section class="count_circle">--%>
<%--                            12--%>
<%--                        </section>--%>
<%--                        <span>前科人员（人）</span>--%>
<%--                    </li>--%>
<%--                    <li>--%>
<%--                        <section class="count_circle">--%>
<%--                            3--%>
<%--                        </section>--%>
<%--                        <span>在逃人员（人）</span>--%>
<%--                    </li>--%>
<%--                    <li>--%>
<%--                        <section class="count_circle">--%>
<%--                            0--%>
<%--                        </section>--%>
<%--                        <span>极端分子（人）</span>--%>
<%--                    </li>--%>
<%--                </ol>--%>
<%--            </div>--%>
<%--        </li>--%>
    </ul>
</div>

<div id="detail-activity-html" class="hide">
    <div class="inner_wraper">
        <h3 class="inner_title">活动基本信息</h3>
        <p>
            <em>活动编号:</em>
            <span>{activityNo}</span>
        </p>
        <p>
            <em>活动名称:</em>
            <span>{fullName}</span>
        </p>
        <p>
            <em>活动场馆:</em>
            <span>{venueName}</span>
        </p>
        <p>
            <em>活动地址:</em>
            <span>{addr}</span>
        </p>
        <p>
            <em>活动周期:</em>
            <span>{timeInterval}</span>
        </p>
        <p>
            <em>活动人数:</em>
            <span>{number}人</span>
        </p>
        <p>
            <em>承办单位:</em>
            <span>{sponsor}</span>
        </p>
    </div>
</div>
<div id="detail-venue-html" class="hide">
    <div class="inner_wraper">
        <h3 class="inner_title">活动场馆信息</h3>
        <p>
            <em>场馆编号:</em>
            <span>{serialNumber}</span>
        </p>
        <p>
            <em>场馆名称:</em>
            <span>{fullName}</span>
        </p>
        <p>
            <em>建成日期:</em>
            <span>{buildDate}</span>
        </p>
        <p>
            <em>人数上限:</em>
            <span>{capacityMax}</span>
        </p>
        <p>
            <em>活动类型:</em>
            <span>{typeName}</span>
        </p>
        <p>
            <em>联系人:</em>
            <span>{linkName}</span>
        </p>
        <p>
            <em>身份证号:</em>
            <span>{linkIdCardNo}</span>
        </p>
    </div>
</div>
<div id="detail-service-org-html" class="hide">
    <div class="inner_wraper">
        <h3 class="inner_title">安保公司信息</h3>
        <p>
            <em>公司编号:</em>
            <span>{serialNumber}</span>
        </p>
        <p>
            <em>单位名称:</em>
            <span>{orgName}</span>
        </p>
        <p>
            <em>成立日期:</em>
            <span>{foundDate}</span>
        </p>
        <p>
            <em>公司规模:</em>
            <span>{orgScale}</span>
        </p>
        <p>
            <em>社会统一信用代码:</em>
            <span>{comCerNo}</span>
        </p>
        <p>
            <em>法人信息:</em>
            <span>{legalName}</span>
        </p>
        <p>
            <em>身份证号:</em>
            <span>{legalIdCardNo}</span>
        </p>
    </div>
</div>
<div id="detail-approve-html" class="hide">
    <div class="inner_wraper">
        <h3 class="inner_title">活动审批信息</h3>
        <p>
            <em>许可编号:</em>
            <span>{serialNumber}</span>
        </p>
        <p>
            <em>许可单位:</em>
            <span>{permissionOrg}</span>
        </p>
        <p>
            <em>许可时间:</em>
            <span>{addTime}</span>
        </p>
        <p>
            <em>审批意见:</em>
            <span>{approveName}</span>
        </p>
        <p>
            <em>安全等级:</em>
            <span>{gradeRank}</span>
        </p>
        <p>
            <em>风评报告:</em>
            <span>{pgbg}</span>
        </p>
        <p>
            <em>安保工作方案:</em>
            <span>{aqgzfa}</span>
        </p>
    </div>
</div>

<jsp:include page="../../include/scripts.jsp"></jsp:include>
<script type="text/javascript">
    function getActivityCameraTotalDetail(activityId){
        $.ajax({
            url:"<c:url value='/business/workbench/getActivityCameraTotalByActivityId/"+activityId+"'/>",
            type: 'post',
            dataType: 'json',
            success: function(data) {
                $('#deviceCameraCount').html(data.deviceCameraCount||0);
                $('#eventCount').html(data.eventCount||0);
                $('#inCountTotal').html(data.inCountTotal||0);
            }
        });
    }

    function getActivityDetail(activityId){
        $.ajax({
            url:"<c:url value='/business/workbench/getActivityById/"+activityId+"'/>",
            type: 'post',
            dataType: 'json',
            success: function(data) {
                var detailHtml = $("#detail-activity-html").html();
                detailHtml=detailHtml.replaceAll("{activityNo}",data.activityNo || "--");
                detailHtml=detailHtml.replaceAll("{fullName}",data.fullName || "--");
                detailHtml=detailHtml.replaceAll("{venueName}",data.venueName || "--");
                detailHtml=detailHtml.replaceAll("{addr}",data.addr || "--");
                detailHtml=detailHtml.replaceAll("{timeInterval}",data.timeInterval || "--");
                detailHtml=detailHtml.replaceAll("{number}",data.number || "--");
                detailHtml=detailHtml.replaceAll("{sponsor}",data.sponsor || "--");
                $("#detail-activity-area").html(detailHtml);
            }
        });
    }

    function getVenueDetail(activityId){
        $.ajax({
            url:"<c:url value='/business/workbench/getVenueByIdForOne/"+activityId+"'/>",
            type: 'post',
            dataType: 'json',
            success: function(data) {
                var detailHtml = $("#detail-venue-html").html();
                detailHtml=detailHtml.replaceAll("{serialNumber}",data.serialNumber || "--");
                detailHtml=detailHtml.replaceAll("{fullName}",data.fullName || "--");
                detailHtml=detailHtml.replaceAll("{buildDate}",data.buildDate || "--");
                detailHtml=detailHtml.replaceAll("{capacityMax}",data.capacityMax || "--");
                detailHtml=detailHtml.replaceAll("{linkName}",data.linkName || "--");
                detailHtml=detailHtml.replaceAll("{linkIdCardNo}",data.linkIdCardNo || "--");
                detailHtml=detailHtml.replaceAll("{typeName}",data.typeName || "--");
                $("#detail-venue-area").html(detailHtml);
            }
        });
    }

    function getServiceOrgDetail(activityId){
        $.ajax({
            url:"<c:url value='/business/workbench/getServiceOrgByIdForOne/"+activityId+"'/>",
            type: 'post',
            dataType: 'json',
            success: function(data) {
                var detailHtml = $("#detail-service-org-html").html();
                detailHtml=detailHtml.replaceAll("{serialNumber}",data.serialNumber || "--");
                detailHtml=detailHtml.replaceAll("{comCerNo}",data.comCerNo || "--");
                detailHtml=detailHtml.replaceAll("{orgName}",data.orgName || "--");
                detailHtml=detailHtml.replaceAll("{foundDate}",data.foundDate || "--");
                detailHtml=detailHtml.replaceAll("{orgScale}",data.orgScale || "--");
                detailHtml=detailHtml.replaceAll("{legalName}",data.legalName || "--");
                detailHtml=detailHtml.replaceAll("{legalIdCardNo}",data.legalIdCardNo || "--");
                $("#detail-service-org-area").html(detailHtml);
            }
        });
    }

    function getApproveDetail(activityId){
        $.ajax({
            url:"<c:url value='/business/workbench/getApproveByIdLastOne/"+activityId+"'/>",
            type: 'post',
            dataType: 'json',
            success: function(data) {
                var detailHtml = $("#detail-approve-html").html();
                detailHtml=detailHtml.replaceAll("{serialNumber}",data.serialNumber || "--");
                detailHtml=detailHtml.replaceAll("{approveName}",data.approveName || "--");
                detailHtml=detailHtml.replaceAll("{addTime}",data.addTime || "--");
                detailHtml=detailHtml.replaceAll("{permissionOrg}",data.permissionOrg || "--");
                detailHtml=detailHtml.replaceAll("{gradeRank}",data.gradeRank || "--");
                var downPG = '';
                if(data.pgbg){
                    downPG = '<a href="${pageContext.request.contextPath }'+data.pgbg+'">查看安全风险评估报告</a>';
                }
                detailHtml=detailHtml.replaceAll("{pgbg}",downPG || "--");
                var downAB = '';
                if(data.pgbg){
                    downAB = '<a href="${pageContext.request.contextPath }'+data.aqgzfa+'">查看安保工作方案文档</a>';
                }
                detailHtml=detailHtml.replaceAll("{aqgzfa}",downAB || "--");
                $("#detail-approve-area").html(detailHtml);
            }
        });
    }

    //传活动id，用于加载活动详情、场馆、安保公司等信息
    function loadSomeDetail(id){
        getActivityDetail(id);
        getVenueDetail(id);
        getServiceOrgDetail(id);
        getApproveDetail(id);
        getActivityCameraTotalDetail(id);
    }
    function menuClick(obj){
        $('#btn-dropdown').html($(obj).html()+'<span class="caret" id="caret_push"></span>');
        $('#timeInterval').val($(obj).attr('l-time'));
        $('#venueName').val($(obj).attr('l-venue'));
        loadSomeDetail(obj.id.replace('menu-',''));
    }
    function loadData(){
        $.ajax({
            url:"<c:url value='/business/workbench/findActivityList'/>",
            type: 'post',
            dataType: 'json',
            success: function(data) {
                var len = data.length;
                if(data && len > 0){
                    var menuHtml = '<li><a id="menu-{id}" l-time="{timeInterval}" l-venue="{venueName}" onclick="menuClick(this)" href="javascript:void(0);">{fullName}</a></li>';
                    var appendHtml = menuHtml;
                    $.each(data,function (index,act) {
                        appendHtml = appendHtml.replaceAll("{id}",act.id || '');
                        appendHtml = appendHtml.replaceAll("{fullName}",act.fullName || '');
                        appendHtml = appendHtml.replaceAll("{timeInterval}",act.timeInterval || '');
                        appendHtml = appendHtml.replaceAll("{venueName}",act.venueName || '');
                        if(index != (len-1)){
                            appendHtml = appendHtml + menuHtml;
                        }
                    })
                    $('.dropdown-menu').append(appendHtml);
                    $('#menu-${activityId}').click();
                }else{
                    layer.msg("未查询到活动数据！");
                }
            }
        });
    }
    //加载活动数据
    loadData();

    function goto(urlKey,activityId) {
        window.open('<c:url value="/business/bi/"/>' + urlKey + "?activityId=" + activityId);
    }
</script>

<script type="text/javascript">

</script>
</body>

</html>