<%@ page language="java" contentType="text/html; charset=UTF-8"
         pageEncoding="UTF-8" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@taglib prefix="app" tagdir="/WEB-INF/tags" %>
<!DOCTYPE html>
<html>
<head>
    <jsp:include page="../../../include/assets.jsp"></jsp:include>
    <style>
        .form-group {
            margin-right: 50px;
            margin-bottom: 10px !important;
        }
    </style>
</head>

<body style="background-color: #ffffff">
<div id="wrapper">
    <c:if test="${empty hiddenLeft}">
    <jsp:include page="../../../include/menu.jsp"></jsp:include>
    <div id="page-wrapper" class="gray-bg">
        <jsp:include page="../../../include/nav.jsp"></jsp:include>
        <div class="row wrapper border-bottom white-bg page-heading">
            <div class="col-lg-10">
                <h2>人员背审信息</h2>
                <ol class="breadcrumb">
                    <li>
                        <a href="${pageContext.request.contextPath }/" style="cursor:default">首页</a>
                    </li>
                    <li>
                        <a href="${pageContext.request.contextPath }/business/bi/ryts" style="cursor:default">人员态势</a>
                    </li>
                    <li class="active">
                        <strong>人员背审信息</strong>
                    </li>
                </ol>
            </div>
            <div class="col-lg-2">
            </div>
        </div>
        </c:if>

        <!-- 主内容 -->
        <div class="wrapper wrapper-content animated fadeInRight">
            <div class="row">
                <div class="col-lg-12">
                    <div class="ibox float-e-margins">
                        <div class="ibox-title">
                            <h5>数据检索</h5>
                            <div class="ibox-tools">
                                <a class="collapse-link">
                                    <i class="fa fa-chevron-up"></i>
                                </a>
                            </div>
                        </div>
                        <div class="ibox-content" style="padding-bottom:5px;">
                            <form class="form-inline" onsubmit="return false">
                                <input type="hidden" id="activityNo" name="activityNo" value="${activityNo }">
                                <div class="form-group">
                                    <label for="personType">人员类型：</label>
                                    <select name="personType" class="form-control" id="personType" onchange="oTable.fnDraw();">
                                        <option value="">全部类型</option>
                                        <option value="现场观众">现场观众</option>
                                        <option value="安保人员">安保人员</option>
                                        <option value="会务人员">会务人员</option>
                                        <option value="公安干警">公安干警</option>
                                    </select>
                                </div>
                                <div class="form-group">
                                    <label for="keywords">类型筛选：</label>
                                    <div class="input-group">
                                        <input id="isQkPerson" name="isQkPerson" type="checkbox" onchange="oTable.fnDraw();"/>前科
                                        <input style="margin-left: 5px" id="isZtPerson" name="isZtPerson" type="checkbox" onchange="oTable.fnDraw();"/>在逃
                                        <input style="margin-left: 5px" id="isJdPerson" name="isJdPerson" type="checkbox" onchange="oTable.fnDraw();"/>极端
                                        <input style="margin-left: 5px" id="isFfPerson" name="isFfPerson" type="checkbox" onchange="oTable.fnDraw();"/>非访
                                        <input style="margin-left: 5px" id="isSkPerson" name="isSkPerson" type="checkbox" onchange="oTable.fnDraw();"/>涉恐
                                        <input style="margin-left: 5px" id="isXdPerson" name="isXdPerson" type="checkbox" onchange="oTable.fnDraw();"/>吸毒
                                        <input style="margin-left: 5px" id="isJsbr" name="isJsbr" type="checkbox" onchange="oTable.fnDraw();"/>精神病
                                    </div>
                                </div>

                                <div class="form-group">
                                    <label for="startDate">审查日期：</label>
                                    <div class="input-daterange input-group" id="datepicker">
                                        <input type="text" class="form-control" id="startDate" name="startDate" maxlength="10" placeholder="时间"/>
                                        <span class="input-group-addon"> ~ </span>
                                        <input type="text" class="form-control" id="endDate" name="endDate" maxlength="10" placeholder="时间"/>
                                        <a class="input-group-addon" onclick="oTable.fnDraw();"><i class="fa fa-search"></i></a>
                                    </div>
                                    <button type="button" id="clearBtn" lay-submit lay-filter="layedit-link-yes" class="btn-white btn-sm">清除</button>
                                </div>

                                <div class="form-group">
                                    <label for="keywords">查询关键字：</label>
                                    <div class="input-group">
                                        <input id="keywords" name="keywords" type="text" class="form-control" maxlength="50" placeholder="输入关键词"/>
                                        <a id="searchBtn" class="input-group-addon" onclick="oTable.fnDraw();"><i class="fa fa-search"></i></a>
                                    </div>
                                </div>
                            </form>

                        </div>
                    </div>
                </div>
            </div>

            <div class="row">
                <div class="col-lg-12">
                    <div class="ibox float-e-margins">
                        <div class="ibox-title">
                            <h5>数据统计</h5>
                            <div class="text-right">
                                <a class='btn btn-outline btn-success btn-xs ml5'
                                   onclick="javascript:window.history.back();">返回上一级</a>
                            </div>
                            <div class="ibox-tools">
                                <a class="collapse-link">
                                    <i class="fa fa-chevron-up"></i>
                                </a>

                            </div>
                        </div>
                        <div class="ibox-content">
                            <table id="dynamic-table" class="table table-striped table-bordered table-hover dataTables-example">
                                <thead>
                                <tr>
                                    <th>证件号码</th>
                                    <th>姓名</th>
                                    <th>人员类型</th>
                                    <th>性别</th>
                                    <th>民族</th>
                                    <th>国籍</th>
                                    <th>籍贯</th>
                                    <th>前科</th>
                                    <th>在逃</th>
                                    <th>极端</th>
                                    <th>非访</th>
                                    <th>涉恐</th>
                                    <th>吸毒</th>
                                    <th>精神病</th>
                                    <th>操作</th>
                                </tr>
                                </thead>
                                <tbody>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <jsp:include page="../../../include/footer.jsp"></jsp:include>
    </div>
</div>
<jsp:include page="rybsDetail.jsp"></jsp:include>
<jsp:include page="../../../include/scripts.jsp"></jsp:include>

<script type="text/javascript">

    $('#startDate,#endDate,#addTime').datetimepicker({
        minView: "month",//设置只显示到月份
        format : "yyyy-mm-dd",//日期格式
        autoclose:true,//选中关闭
        todayBtn: true//今日按钮
    });

    //清空活动开始日期
    $('#clearBtn').click(function () {
        $('#startDate').val("");
        $('#endDate').val("");
        oTable.fnDraw();
    });


    $(function () {
        oTable = $('#dynamic-table')
            .dataTable({
                "bAutoWidth": false,
                "bFilter": false,
                "bDestroy": true,
                "bServerSide": true,
                "bPaginate": true,
                "bLengthChange": false,
                "sAjaxSource": "<c:url value='/business/activityPerson/findRybsListData'/>",
                "sAjaxDataProp": "data",
                "aLengthMenu": [10],
                "aoColumns": [
                    {"mDataProp": "idCardNo", "sClass": "text-center", "bSortable": false},
                    {"mDataProp": "fullName", "sClass": "text-center", "bSortable": false},
                    {"mDataProp": "personType", "sClass": "text-center", "bSortable": false},
                    {"mDataProp": "sex", "sClass": "text-center", "bSortable": false},
                    {"mDataProp": "nation", "sClass": "text-center", "bSortable": false},
                    {"mDataProp": "country", "sClass": "text-center", "bSortable": false},
                    {"mDataProp": "nativeAddress", "sClass": "text-center", "bSortable": false},
                    {"mDataProp": "isQkPerson", "sClass": "text-center", "bSortable": false},
                    {"mDataProp": "isZtPerson", "sClass": "text-center", "bSortable": false},
                    {"mDataProp": "isJdPerson", "sClass": "text-center", "bSortable": false},
                    {"mDataProp": "isFfPerson", "sClass": "text-center", "bSortable": false},
                    {"mDataProp": "isSkPerson", "sClass": "text-center", "bSortable": false},
                    {"mDataProp": "isXdPerson", "sClass": "text-center", "bSortable": false},
                    {"mDataProp": "isJsbr", "sClass": "text-center", "bSortable": false}
                ],
                "fnServerParams": function (aoData) {
                    rowNum = 0;
                    aoData.push(
                        {"name": "activityNo", "value": $("#activityNo").val()},
                        {"name": "personType", "value": $("#personType").val()},
                        {"name": "isQkPerson", "value": $("#isQkPerson").is(':checked')?'是':''},
                        {"name": "isZtPerson", "value": $("#isZtPerson").is(':checked')?'是':''},
                        {"name": "isJdPerson", "value": $("#isJdPerson").is(':checked')?'是':''},
                        {"name": "isFfPerson", "value": $("#isFfPerson").is(':checked')?'是':''},
                        {"name": "isSkPerson", "value": $("#isSkPerson").is(':checked')?'是':''},
                        {"name": "isXdPerson", "value": $("#isXdPerson").is(':checked')?'是':''},
                        {"name": "isJsbr", "value": $("#isJsbr").is(':checked')?'是':''},
                        {"name": "startDate", "value": $("#startDate").val()},
                        {"name": "endDate", "value": $("#endDate").val()},
                        {"name": "keywords", "value": $("#keywords").val()}
                    );
                },
                "fnDrawCallback": function (data) {
                    $("td").tooltip({
                        selector: "[data-toggle=tooltip]",
                        container: "body"
                    });
                },
                "aoColumnDefs": [
                    {
                        "aTargets": [0],
                        "mRender": function (tar, type, data) {
                            return data.idCardNo;
                        }
                    },
                    {
                        "aTargets": [1],
                        "mRender": function (tar, type, data) {
                            return data.fullName;
                        }
                    },
                    {
                        "aTargets": [2],
                        "mRender": function (tar, type, data) {
                            return data.personType;
                        }
                    },
                    {
                        "aTargets": [3],
                        "mRender": function (tar, type, data) {
                            return data.sex;
                        }
                    },
                    {
                        "aTargets": [4],
                        "mRender": function (tar, type, data) {
                            return data.nation;
                        }
                    },
                    {
                        "aTargets": [5],
                        "mRender": function (tar, type, data) {
                            return data.country;
                        }
                    },
                    {
                        "aTargets": [6],
                        "mRender": function (tar, type, data) {
                            return data.nativeAddress;
                        }
                    },
                    {
                        "aTargets": [7],
                        "mRender": function (tar, type, data) {
                            return data.isQkPerson;
                        }
                    },
                    {
                        "aTargets": [8],
                        "mRender": function (tar, type, data) {
                            return data.isZtPerson;
                        }
                    },
                    {
                        "aTargets": [9],
                        "mRender": function (tar, type, data) {
                            return data.isJdPerson;
                        }
                    },
                    {
                        "aTargets": [10],
                        "mRender": function (tar, type, data) {
                            return data.isFfPerson;
                        }
                    },
                    {
                        "aTargets": [11],
                        "mRender": function (tar, type, data) {
                            return data.isSkPerson;
                        }
                    },
                    {
                        "aTargets": [12],
                        "mRender": function (tar, type, data) {
                            return data.isXdPerson;
                        }
                    },
                    {
                        "aTargets": [13],
                        "mRender": function (tar, type, data) {
                            return data.isJsbr;
                        }
                    },
                    {
                        "aTargets": [14],
                        "mRender": function (tar, type, data) {
                            var html = "<a class='btn btn-outline btn-primary btn-xs ml5' onclick='showDetailBS(" + rowNum + ")'  >背审详情</a>";
                            rowNum++;
                            return html;
                        }
                    }
                ],
                "oLanguage": {
                    "sProcessing": "处理中...",
                    "sLengthMenu": "显示_MENU_ 项结果",
                    "sZeroRecords": "没有匹配结果",
                    "sInfo": " _START_ - _END_条记录，共_TOTAL_条",
                    "sInfoEmpty": "没有匹配结果",
                    "sInfoFiltered": "(由_MAX_项结果过滤)",
                    "sSearch": "搜索:",
                    "oPaginate": {
                        "sFirst": "首页",
                        "sPrevious": "上页",
                        "sNext": "下页",
                        "sLast": "末页"
                    }
                }
            });


        $(document).keyup(function (event) {
            if (event.keyCode == 13) {
                $("#searchBtn").trigger("click");
            }
        });

        //根据导航第二个a的链接打开左侧对应的菜单
        $('.nav-second-level a[href="'+$('.breadcrumb li').eq(1).children().attr('href')+'"]').parent().addClass("active").parent().prev().click();

    });

</script>
</body>

</html>
