<%@ page language="java" contentType="text/html; charset=UTF-8"
         pageEncoding="UTF-8" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@taglib prefix="app" tagdir="/WEB-INF/tags" %>
<!DOCTYPE html>
<html>
<head>
    <jsp:include page="../../../../include/assets.jsp"></jsp:include>

    <style>
        .form-group {
            margin-right: 50px;
            margin-bottom: 10px !important;
        }
    </style>
</head>

<body style="background-color: #ffffff">
<div id="wrapper">
    <c:if test="${empty hiddenLeft}">
    <jsp:include page="../../../../include/menu.jsp"></jsp:include>
    <div id="page-wrapper" class="gray-bg">
        <jsp:include page="../../../../include/nav.jsp"></jsp:include>
        <div class="row wrapper border-bottom white-bg page-heading">
            <div class="col-lg-10">
                <h2>重点人员实名制动态信息</h2>
                <ol class="breadcrumb">
                    <li>
                        <a href="${pageContext.request.contextPath }/" style="cursor:default">首页</a>
                    </li>
                    <li>
                        <a href="${pageContext.request.contextPath }/business/bi/ryts" style="cursor:default">人员态势</a>
                    </li>
                    <li>
                        <a href="${pageContext.request.contextPath }/business/activityPerson/zdryList/${activityNo}" style="cursor:pointer">重点人员信息</a>
                    </li>
                    <li class="active">
                        <strong>重点人员实名制动态信息</strong>
                    </li>
                </ol>
            </div>
            <div class="col-lg-2">
            </div>
        </div>
        </c:if>

        <!-- 主内容 -->
        <div class="wrapper wrapper-content animated fadeInRight">
            <div class="row">
                <div class="col-lg-12">
                    <div class="ibox float-e-margins">
                        <div class="ibox-title">
                            <h5>数据检索</h5>
                            <div class="ibox-tools">
                                <a class="collapse-link">
                                    <i class="fa fa-chevron-up"></i>
                                </a>
                            </div>
                        </div>
                        <div class="ibox-content" style="padding-bottom:5px;">
                            <form class="form-inline" onsubmit="return false">
                                <input type="hidden" id="activityPersonId" name="activityPersonId" value="${activityPersonId }">
                                <div class="form-group">
                                    <label for="btn_other">信息选择：</label>
                                    <div id="btn_other" class="form-control" style="border: none; margin-bottom: 3px;">
                                        <a class="btn btn-outline btn-primary btn-xs ml5" style="margin-left: 2px;" href="<c:url value='/business/activityPerson/airList/${activityNo }/${activityPersonId }/${fullName }'/>" >民航出行</a>
                                        <a class="btn btn-outline btn-primary btn-xs ml5" style="margin-left: 2px;" href="<c:url value='/business/activityPerson/trainList/${activityNo }/${activityPersonId }/${fullName }'/>" >铁路出行</a>
                                        <a class="btn btn-outline btn-primary btn-xs ml5" style="margin-left: 2px;" href="<c:url value='/business/activityPerson/roadList/${activityNo }/${activityPersonId }/${fullName }'/>" >公路客运</a>
                                        <a class="btn btn-primary btn-xs ml5" style="margin-left: 2px;" href="javascript:void(0);" >轮渡出行</a>
                                        <a class="btn btn-outline btn-primary btn-xs ml5" style="margin-left: 2px;" href="<c:url value='/business/activityPerson/checkList/${activityNo }/${activityPersonId }/${fullName }'/>" >公安检查站</a>
                                        <a class="btn btn-outline btn-primary btn-xs ml5" style="margin-left: 2px;" href="<c:url value='/business/activityPerson/hotelList/${activityNo }/${activityPersonId }/${fullName }'/>" >旅馆住宿</a>
                                        <a class="btn btn-outline btn-primary btn-xs ml5" style="margin-left: 2px;" href="<c:url value='/business/activityPerson/barList/${activityNo }/${activityPersonId }/${fullName }'/>" >网吧上网</a>
                                        <a class="btn btn-outline btn-primary btn-xs ml5" style="margin-left: 2px;" href="<c:url value='/business/activityPerson/faceList/${activityNo }/${activityPersonId }/${fullName }'/>" >人像识别</a>
                                    </div>
                                </div>

                                <div class="form-group">
                                    <label for="collectStartDate">采集时间：</label>
                                    <div class="input-daterange input-group" id="datepicker1">
                                        <input type="text" class="form-control" id="collectStartDate" name="collectStartDate" maxlength="10" placeholder="时间"/>
                                        <span class="input-group-addon"> ~ </span>
                                        <input type="text" class="form-control" id="collectEndDate" name="collectEndDate" maxlength="10" placeholder="时间"/>
                                        <a class="input-group-addon" onclick="oTable.fnDraw();"><i class="fa fa-search"></i></a>
                                    </div>
                                    <button type="button" id="clearBtn" lay-submit lay-filter="layedit-link-yes" class="btn-white btn-sm">清除</button>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>

            <div class="row">
                <div class="col-lg-12">
                    <div class="ibox float-e-margins">
                        <div class="ibox-title">
                            <h5>重点人员实名制动态信息——${fullName}</h5>
                            <div class="text-right">
                                <a class='btn btn-outline btn-success btn-xs ml5'
                                   href="<c:url value='/business/activityPerson/zdryList/${activityNo}'/>">返回上一级</a>
                            </div>
                            <div class="ibox-tools">
                                <a class="collapse-link">
                                    <i class="fa fa-chevron-up"></i>
                                </a>

                            </div>
                        </div>
                        <div class="ibox-content">
                            <table id="dynamic-table" class="table table-striped table-bordered table-hover dataTables-example">
                                <thead>
                                <tr>
                                    <th>动态信息类型</th>
                                    <th>轮渡号</th>
                                    <th>出发码头</th>
                                    <th>出发日期</th>
                                    <th>出发时间</th>
                                    <th>到达码头</th>
                                    <th>到达日期</th>
                                    <th>到达时间</th>
                                    <th>采集时间</th>
                                    <th>入库时间</th>

                                </tr>
                                </thead>
                                <tbody>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <jsp:include page="../../../../include/footer.jsp"></jsp:include>
    </div>
</div>
<jsp:include page="../../../../include/scripts.jsp"></jsp:include>

<script type="text/javascript">

    $('#collectStartDate,#collectEndDate').datetimepicker({
        minView: "month",//设置只显示到月份
        format : "yyyy-mm-dd",//日期格式
        autoclose:true,//选中关闭
        todayBtn: true//今日按钮
    });

    //清空活动开始日期
    $('#clearBtn').click(function () {
        $('#collectStartDate').val("");
        $('#collectEndDate').val("");
        oTable.fnDraw();
    });

    $(function () {
        oTable = $('#dynamic-table')
            .dataTable({
                "bAutoWidth": false,
                "bFilter": false,
                "bDestroy": true,
                "bServerSide": true,
                "bPaginate": true,
                "bLengthChange": false,
                "sAjaxSource": "<c:url value='/business/activityPerson/findShipListData.json'/>",
                "sAjaxDataProp": "data",
                "aLengthMenu": [10],
                "aoColumns": [
                    {"mDataProp": "trackType", "sClass": "text-center", "bSortable": false},
                    {"mDataProp": "carNo", "sClass": "text-center", "bSortable": false},
                    {"mDataProp": "depart", "sClass": "text-center", "bSortable": false},
                    {"mDataProp": "departDate", "sClass": "text-center", "bSortable": false},
                    {"mDataProp": "departTime", "sClass": "text-center", "bSortable": false},
                    {"mDataProp": "arrive", "sClass": "text-center", "bSortable": false},
                    {"mDataProp": "arriveDate", "sClass": "text-center", "bSortable": false},
                    {"mDataProp": "arriveTime", "sClass": "text-center", "bSortable": false},
                    {"mDataProp": "collectDate", "sClass": "text-center", "bSortable": false},
                    {"mDataProp": "createOn", "sClass": "text-center", "bSortable": false}

                ],
                "fnServerParams": function (aoData) {
                    rowNum = 0;
                    aoData.push(
                        {"name": "activityPersonId", "value": $("#activityPersonId").val()},
                        {"name": "collectStartDate", "value": $("#collectStartDate").val()},
                        {"name": "collectEndDate", "value": $("#collectEndDate").val()}
                        // {"name": "keywords", "value": $("#keywords").val()}
                    );
                },
                "fnDrawCallback": function (data) {
                    $("td").tooltip({
                        selector: "[data-toggle=tooltip]",
                        container: "body"
                    });
                },
                "oLanguage": {
                    "sProcessing": "处理中...",
                    "sLengthMenu": "显示_MENU_ 项结果",
                    "sZeroRecords": "没有匹配结果",
                    "sInfo": " _START_ - _END_条记录，共_TOTAL_条",
                    "sInfoEmpty": "没有匹配结果",
                    "sInfoFiltered": "(由_MAX_项结果过滤)",
                    "sSearch": "搜索:",
                    "oPaginate": {
                        "sFirst": "首页",
                        "sPrevious": "上页",
                        "sNext": "下页",
                        "sLast": "末页"
                    }
                }
            });

        $(document).keyup(function (event) {
            if (event.keyCode == 13) {
                $("#searchBtn").trigger("click");
            }
        });

        //根据导航第二个a的链接打开左侧对应的菜单
        $('.nav-second-level a[href="'+$('.breadcrumb li').eq(1).children().attr('href')+'"]').parent().addClass("active").parent().prev().click();

    });

</script>
</body>

</html>
